2008-07-22  Sankar P  <psankar@novell.com>

	* camel-folder-search.c (check_header), (search_system_flag):
	Make search work and don't screw up when the system flags are included.
	A better sexp parser is coming up.

2008-07-21  Tor Lillqvist  <tml@novell.com>

	* camel-db.c (camel_db_open): Check for
	CAMEL_SQLITE_DEFAULT_CACHE_SIZE environment variable was
	backwards.

2008-07-21  Sankar P  <psankar@novell.com>	

	* camel-db.c (cdb_sql_exec)
	* camel-folder-summary.c (camel_folder_summary_migrate_infos): Hold the 
	rights when a transaction in place.

2008-07-21  Srinivasa Ragavan  <sragavan@novell.com>

	* camel/camel-folder-summary.c: Add migration support and fix some
	warnings

2008-07-20  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #541347

	* camel-block-file.h:
	#include <sys/types.h> (in the proper order)

2008-07-17  Sankar P  <psankar@novell.com>

	* camel-folder-summary.c (remove_item):
	Make disk-summary don't crash for the time being. 
	We need to find out where the uid is getting leaked and fix that.

2008-07-16  Sankar P  <psankar@novell.com>

	Pushing disk summary changes from the madagascar branch

	* Makefile.am:
	* camel-folder-search.c (camel_folder_search_class_init),
	(camel_folder_search_finalize), (camel_folder_search_construct),
	(camel_folder_search_set_folder),
	(camel_folder_search_set_summary),
	(camel_folder_search_execute_expression),
	(camel_folder_search_search), (camel_folder_search_free_result),
	(search_not), (search_match_all), (search_match_threads),
	(check_header_deprecated), (check_header),
	(search_header_contains), (db_search_header_contains),
	(match_words_index), (match_words_messages),
	(search_body_contains), (search_user_flag), (search_system_flag),
	(search_user_tag), (search_uid), (read_uid_callback):
	* camel-folder-search.h:
	* camel-folder-summary.c (camel_folder_summary_init),
	(camel_folder_summary_finalize), (camel_folder_summary_count),
	(camel_folder_summary_index),
	(camel_folder_summary_uid_from_index),
	(camel_folder_summary_array), (message_info_from_uid),
	(camel_folder_summary_uid), (perform_content_info_load_from_db),
	(append_changed_uids), (camel_folder_summary_get_changed),
	(remove_item), (remove_cache), (camel_folder_summary_cache_size),
	(camel_folder_summary_reload_from_db),
	(camel_folder_summary_load_from_db), (mir_from_cols),
	(camel_read_mir_callback), (camel_folder_summary_load),
	(perform_content_info_save_to_db), (save_to_db_cb),
	(save_message_infos_to_db), (camel_folder_summary_save_to_db),
	(camel_folder_summary_save),
	(camel_folder_summary_header_load_from_db),
	(camel_folder_summary_header_load), (summary_assign_uid),
	(camel_folder_summary_add), (camel_folder_summary_insert),
	(camel_folder_summary_add_from_header),
	(camel_folder_summary_add_from_parser),
	(camel_folder_summary_add_from_message),
	(camel_folder_summary_clear), (camel_folder_summary_clear_db),
	(summary_remove_uid), (camel_folder_summary_remove),
	(camel_folder_summary_remove_uid),
	(camel_folder_summary_remove_index_fast),
	(camel_folder_summary_remove_index),
	(camel_folder_summary_remove_range), (summary_meta_header_load),
	(summary_header_from_db), (summary_header_to_db),
	(camel_folder_summary_content_info_new), (message_info_from_db),
	(message_info_to_db), (message_info_free), (content_info_from_db),
	(content_info_to_db), (content_info_free), (camel_flag_set),
	(camel_message_info_new), (info_set_flags), (info_set_user_flag),
	(info_set_user_tag), (camel_folder_summary_class_init):
	* camel-folder-summary.h:
	* camel-folder-thread.c (camel_folder_thread_messages_new):
	* camel-folder.c (camel_folder_finalize), (camel_folder_construct),
	(camel_folder_refresh_info), (folder_getv), (folder_free),
	(get_uids), (free_uids), (free_summary),
	(camel_folder_free_summary), (search_free):
	* camel-folder.h:
	* camel-offline-journal.c:
	* camel-store.c (camel_store_finalize), (construct):
	* camel-store.h:
	* camel-string-utils.c (camel_pstring_free):
	* camel-vee-folder.c (camel_vee_folder_get_location),
	(summary_header_to_db), (vee_sync), (vee_get_message),
	(vee_search_by_expression), (vee_folder_add_uid),
	(vee_folder_remove_folder), (folder_added_uid),
	(vee_rebuild_folder), (folder_changed_remove_uid),
	(subfolder_renamed_update), (vee_set_expression),
	(camel_vee_folder_finalise):
	* camel-vee-store.c (camel_vee_store_class_init),
	(camel_vee_store_init), (construct), (vee_get_folder_info):
	* camel-vee-summary.c (vee_message_info_free),
	(vee_message_info_clone), (vee_info_ptr), (vee_info_uint32),
	(vee_info_time), (vee_info_user_flag), (vee_info_user_tag),
	(vee_info_set_user_flag), (vee_info_set_user_tag),
	(vee_info_set_flags), (message_info_from_uid),
	(camel_vee_summary_class_init), (camel_vee_summary_new),
	(camel_vee_summary_get_ids), (camel_vee_summary_add):
	* camel-vee-summary.h:
	* camel-vtrash-folder.c (vtrash_transfer_messages_to),
	(vtrash_search_by_expression), (vtrash_search_by_uids),
	(vtrash_uid_added), (vtrash_folder_changed), (vtrash_add_folder),
	(vtrash_remove_folder):

2008-07-12  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #213072

	* camel-folder.c: (camel_folder_refresh_info): Lock while rebuilding
	summaries.

2008-07-07  Matt McCutchen 2  <matt@mattmccutchen.net>

	** Fix for bug #503922

	* camel-folder-summary.c: Fix typo in mapping flag name "draft".

2008-07-02  Jeffrey Stedfast  <fejj@novell.com>

	* camel-folder.c (camel_folder_sort_uids): New method to sort an
	array of uids.

2008-06-25  Jeffrey Stedfast  <fejj@novell.com>

	* camel-mime-utils.c (camel_header_decode_date): Don't crash if
	the str argument is NULL.

	* camel-folder-summary.c (message_info_new_from_header): Don't
	allow ourselves to pass NULL as the str argument to
	camel_header_decode_date().

2008-06-21  Jeffrey Stedfast  <fejj@novell.com>

	* broken-date-parser.[c,h]: Removed, more-or-less moved into
	camel-mime-utils.c (this code was basically the same as the GMime
	date parser code except that it might not have been as
	up-to-date).

	* camel-mime-utils.c (camel_header_decode_date): Copy/pasted
	GMime's decode_date() code to replace really nasty code.

2008-06-20  Jeffrey Stedfast  <fejj@novell.com>

	* camel-mime-filter-progress.[c,h]: New progress-reporting stream
	filter.

	* camel-mime-utils.c: Get rid of the CLEAN_DATE #define
	usage... we can never trust that dates are always properly
	formatted.

2008-06-18  Priit Laes  <plaes@plaes.org>

	** Fix a regression introduced with bug #534080

	* camel-stream-vfs.c: (stream_write):
	Return correct bytes_written on success and -1 on error.

2008-06-18  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #340838

	* camel-http-stream.c: (http_method_invoke):
	Use the whole URL even when not the proxy set, because the URL can
	contain parameters, which are not part of the path.

2008-06-18  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #334160

	* camel-data-cache.c: (struct _CamelDataCachePrivate),
	(data_cache_path):
	Changed the way when test the expiration of the cache.

2008-06-13  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #534080

	* camel-stream-vfs.c: (stream_write):
	Use g_output_stream_write_all instead of g_output_stream_write.

2008-06-13  Tor Lillqvist  <tml@novell.com>

	* camel-msgport.c: Make it compile on Win32.

2008-06-06  Tor Lillqvist  <tml@novell.com>

	* camel-private.h
	* camel-win32.c: Drop the Win32 fsync() implementation. Instead
	just use _commit() in the Microsoft C library which does the same.

	* Makefile.am: Link libcamel with ICONV_LIBS.

2008-05-29  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #534312

	* camel-folder-summary.h: (enum CamelMessageFlags):
	Added new message flag CAMEL_MESSAGE_FORWARDED.

2008-05-22  Jeffrey Stedfast  <fejj@novell.com>

	* camel-mime-utils.c (camel_header_param_list_format_append): Work
	around the broken "Jive Forums" NNTP gateway. Fixes bug #518312.

2008-05-27  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fixes bug #534294.

	* camel-folder-search.[ch]: Added accessor to _camel_header_param.
	* camel-filter-search.c: Use camel_message_info_headers() instead of
	direct access (i.e. ->headers) since the message does not have
	headers' pointer if the message is in vitrual folder.

2008-05-19  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #531591

	* camel-disco-diary.c:
	* camel-disco-folder.c:
	* camel-disco-store.c:
	* camel-folder-summary.c:
	* camel-folder.c:
	* camel-gpg-context.c:
	* camel-object.c:
	* camel-offline-journal.c:
	* camel-provider.c:
	* camel-sasl-kerberos4.c:
	* camel-service.c:
	* camel-session.c:
	* camel-smime-context.c:
	* camel-store.c:
	* camel-url.c:
	* camel-vee-folder.c:
	Don't use TeX-style quotes in user-visible messages.

2008-05-13  Tor Lillqvist  <tml@novell.com>

	* camel-net-utils.h [Win32]: Define WIN32_LEAN_AND_MEAN around
	including <winsock2.h> to reduce the namespace pollution,
	especially DATADIR clashes.

2008-05-07  Jeffrey Stedfast  <fejj@novell.com>

	* camel-uid-cache.c (camel_uid_cache_save): Check cache->fd after
	we finish looping thru all of our uids; if cache->fd is -1, then
	it means we failed somewhere along the lines and need to goto
	exception.

2008-05-07  Matthew Barnes  <mbarnes@redhat.com>

	* camel-operation.c (camel_operation_unref):
	A typo broke the mailer.  Use camel_msgport_try_pop() (non-blocking)
	instead of camel_msgport_pop() (blocking).

2008-05-06  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #424744

	* Makefile.am:
	* camel-iconv.[ch]:
	* camel-msgport.[ch]:
	* camel-trie.[ch]:
	Add camel-iconv.[ch], camel-msgport.[ch], camel-trie.[ch].
	Essentially they're just renamed versions of equivalent but now
	deprecated API in libedataserver.

	* camel.h:
	#include <camel/camel-msgport.h>
	#include <camel/camel-trie.h>

	* camel-charset-map.c:
	* camel-filter-search.c:
	* camel-mime-utils.c:
	* camel-mime-part.c:
	* camel-sasl-digest-md5.c:
	* camel-mime-message.c:
	* camel-gpg-context.c:
	* camel-mime-filter-charset.c:
	* camel-folder-summary.c:
	Use camel-iconv.h instead of e-iconv.h.

	* camel-net-utils.c:
	* camel-operation.c:
	* camel-session.h:
	Use camel-msgport.h instead of e-msgport.h.

	* camel-url-scanner.c:
	Use camel-trie.h instead of e-trie.h.

2008-05-06  Sankar P  <psankar@novell.com>

	* Bad git-svn usage. Reverted.

2008-05-01  Jeffrey Stedfast  <fejj@novell.com>

	* camel-folder-summary.c: Don't limit references while loading the
	summary, etc to 500 entries - especially since we don't force the
	limit when outputting the summary. Fixes bug #347061.

2008-04-30  Matthew Barnes  <mbarnes@redhat.com>

	* camel-session.c:
	* camel-session.h:
	Replace assertions with g_return_val_if_fail().
	Clean up coding style in the threading functions.

2008-04-27  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #530139

	* tests/Makefile.am: Do not ship .svn files.

2008-04-22  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #529339

	* camel-folder-summary.c: (camel_system_flag):
	Do not access NULL pointer, aka recognize sentinel properly.

2008-04-18  Sankar P  <psankar@novell.com>

	* camel-mime-filter-pgp.c: (filter_run):
	Fix a build break. Use different variable names 
	for different purposes.

2008-04-17  Jeffrey Stedfast  <fejj@novell.com>

	* camel-mime-filter-pgp.c (filter_run): Properly handle CRLF
	line-endings and fixed the logic so that we could never read
	beyond the end of the buffer. Also fixed the "blank line end of
	headers" case which only allowed a single whitespace character.

2008-04-17  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #526741

	* camel-stream-vfs.h:
	* camel-stream-vfs.c: Do not depend on gnomve-vfs, but use gio/gvfs
	instead. Dropped camel_stream_vfs_new_with_handle, new function for
	this is camel_stream_vfs_new_with_stream, also prototype for
	camel_stream_vfs_new_with_uri has been changed. 
	CamelStreamVFS is not seekable anymore.

2008-04-16  Christian Kellner  <gicmo@gnome.org>

	** Fixes bug #514300

	* providers/imap/camel-imap-store.c:
	Make sure we do the Inbox -> INBOX translation at the right place,
	i.e. *after* we asked the camel_store_summary_path with the correct
	folder_name that we got from the server.

2008-04-14  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #270406

	* camel-folder.h: (CamelFolderClass):
	* camel-folder.c: (camel_folder_class_init), (get_quota_info),
	(camel_folder_get_quota_info), (camel_folder_quota_info_new),
	(camel_folder_quota_info_clone), (camel_folder_quota_info_free):
	Add virtual function get_quota_info on a folder. Also add functions
	to work with CamelFolderQuotaInfo structure.

2008-04-07  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #526138

	* camel-mime-utils.c (camel_header_unfold):
	Return NULL if the input string is NULL.

2008-04-04  Jeffrey Stedfast  <fejj@novell.com>

	* camel-folder-summary.c (summary_format_address): Unfold the
	header before decoding it.
	(summary_format_string): Same.

	* camel-mime-message.c (process_header): Unfold certain headers.

	* camel-mime-parser.c (folder_scan_header): Applied patch by Craig
	Shelly to fix the PRESERVE_HEADERS logic. First step in fixing bug
	#235681.

2008-04-02  Jeffrey Stedfast  <fejj@novell.com>

	* camel-mime-utils.c (camel_header_fold): Fixed bug #417000.

2008-04-02  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #271863

	* camel-folder.h: New CAMEL_FOLDER_JUNKED_NOT_DELETED property.
	* camel-folder.c: (folder_getv):
	Count junk messages which are not marked as deleted separately.

2008-03-31  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #524704

	* camel-mime-utils.c: (quoted_decode):
	Allow direct spaces in a string.
	* camel-mime-utils.c: (rfc2047_decode_word):
	Do not return empty string in case of malformed text.
	* camel-mime-utils.c: (header_decode_text):
	Be sure we access only allocated memory.

2008-03-27  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #518710

	* camel-folder-summary.c:
	* camel-multipart.c:
	* camel-sasl-cram-md5.c:
	* camel-sasl-digest-md5.c:
	* camel-tcp-stream-ssl.c:
	* camel-vee-folder.c:
	Use GLib's new MD5 Checksum API.  The MD5 utilities in
	libedataserver are now deprecated.

	* camel-multipart-signed.c:
	* camel-store-summary.c:
	Remove unneeded inclusion of <libedataserver/md5-utils.h>.

2008-03-17  Christian Kellner  <gicmo@gnome.org>

	** Fix for bug #341004

	* camel-url.c: (camel_url_to_string): Hide the auth mech when
	CAMEL_URL_HIDE_AUTH is specified.

2008-02-20  Jeff Cai<jeff.cai@sun.com>

	** Fix for bug #517190

	* camel-mime-utils.c: (decode_8bit):
	Make sure the parameter is valid before being passed to
	g_ascii_strcasecmp

2008-02-18  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bnc #167638

	* camel.c: Upstreamed OpenSUSE patch. Patch by Fejj to quit evolution
	faster. (Dont try downloading while exitting).

2008-02-14  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #516074

	* camel-net-utils.c:
	* camel-net-utils.h:
	Don't assume NI_MAXHOST and NI_MAXSERV are defined in <netdb.h>
	since these are GNU extensions.

2008-02-11  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #515054

	* camel-folder-summary.h: (CamelMessageFlags):
	New flag CAMEL_MESSAGE_NOTJUNK.
	* camel-folder-summary.c: (flag_names):
	New flag is system flag and check for changes on it.
	* camel-filter-search.c: (junk_test):
	Skip testing messages with this or CAMEL_MESSAGE_JUNK flag set.

2008-02-06  Matthew Barnes  <mbarnes@redhat.com>

	* Makefile.am:
	Fix a compilation error that occurs when building in a
	remote object directory (#514682, patch by Paul Smith).

2008-02-04  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #513389

	* camel-url.c: (camel_url_new):
	It's possible to pass empty string as url, so return safely.

2008-02-01  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #211353

	* camel-filter-driver.c: (do_label):
	Use new label tags when setting old tags.

2008-01-11  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #324168

	* camel-vee-summary.c: (vee_message_info_free),
	(vee_message_info_clone) (camel_vee_summary_add): Ensure the owner 
	of the real message info will not be freed before we unref the 
	message info itself.

2008-01-27  Jeffrey Stedfast  <fejj@novell.com>

	* camel-mime-utils.c (rfc2047_encode_word): Use ssize_t for
	proclen so that we can compare it against -1. Fixes a coverage
	warning noticed by Nokia.

2008-01-24  Matthew Barnes  <mbarnes@redhat.com>

	* camel-object.c (camel_object_cast):
	Check CamelObject pointer for NULL (#509124).

2008-01-24  Matthew Barnes  <mbarnes@redhat.com>

	* camel-store.c (camel_store_get_folder):
	Call camel_object_bag_abort() before returning with an exception.

2008-01-24  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #510779 

	* camel-filter-search.c: (junk_test): Add contact lookup and header
	based filtering.
	* camel-folder-summary.c: (message_info_free): Add/Free headers
	fetched into message info.
	* camel-folder-summary.h: Add a headers param into message info
	* camel-private.h: Add junk_headers into the session private which
	holds the junk headers to be extracted.
	* camel-session.c: (camel_session_init), (camel_session_finalise),
	(camel_session_lookup_addressbook),
	(camel_session_set_junk_headers), (camel_session_get_junk_headers):
	* camel-session.h:

2008-01-23  Tor Lillqvist  <tml@novell.com>

	* camel-net-utils.c
	* camel-filter-driver.c
	* camel-filter-search.c
	* camel-gpg-context.c: Include GLib headers before testing G_OS_WIN32.

2008-01-21  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #510303

	* camel-gpg-context.c (gpg_ctx_parse_status):
	Escape the PIN and passphrase prompts so the markup parser
	will parse it verbatim.

2008-01-21  Matthew Barnes  <mbarnes@redhat.com>

	* camel.c (camel_shutdown):
	Save certificates _before_ calling PR_Cleanup().  Calling fsync()
	from camel_certdb_save() after we've called PR_Cleanup() appears to
	trigger a race between PR_Cleanup() -- which frees a lock protecting
	thread bookmarking data -- and _pt_thread_death_internal() -- which
	needs to temporarily lock the thread bookmarking data.  (#445309)

2008-01-17  Matthew Barnes  <mbarnes@redhat.com>

	* camel-session.c (camel_session_build_password_prompt):
	Forgot to escape the user and host name strings.  (#506250)

2008-01-17  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #506250

	* camel-session.c (camel_session_build_password_prompt):
	New function constructs a password prompt markup string from the
	given account type, user name, and host name.  The prompt string
	is suitable for use in a password prompt dialog.

2008-01-16  Øystein Gisnås  <oystein@gisnas.net>

	** Fix for bug #300098

	* camel-provider.pc.in:
	* camel.pc.in:
	Set proper dependencies for stand-alone programs linking against
	camel.

2008-01-14  Matthew Barnes  <mbarnes@redhat.com>

	* camel-operation.c (camel_operation_end):
	Use g_slist_delete_link() to discard the list node (#509370).

2008-01-12  Srinivasa Ragavan  <sragavan@novell.com>

	* camel-mime-part.c: (camel_mime_part_get_content_size): Fixes few
	warnings.

2008-01-12  Srinivasa Ragavan  <sragavan@novell.com>

	* camel-mime-part.c: Fix a build break.

2008-01-12  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #379896

	* camel-mime-utils.c: (camel_header_param): Check the value for NULL 
	before comparing.

2008-01-12  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #500233 

	* camel-url.c: (camel_url_new): Handle empty strings.

2008-01-11  Jeffrey Stedfast  <fejj@novell.com>

	Slightly modified version of a patch submitted by Jean-Christophe
	BEGUE for bug #329692.

	* camel-mime-part.c (camel_mime_part_get_content_size): Get the
	decoded content size of a MIME part.

2008-01-09  Milan Crha  <mcrha@redhat.com>

	* Reverted previous patch because it doesn't play well with
	prefer plain plugin.

2008-01-09  Sankar P  <psankar@novell.com>

	* camel-mime-part.c: (camel_mime_part_set_filename):
	Use the right API to get the mime_type. Accessing Data Wrapper's
	field directly is not advisable.

	** Fix for bug #460204

2008-01-07  Sankar P  <psankar@novell.com>

	* camel-partition-table.c: (camel_key_table_add),
	(camel_key_table_set_flags):
	Convert a g_assert to g_warning. 
	Reduces the severity of	#348149

2008-01-07  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #405497
	* camel-private.h:
	* camel-vee-folder.c: (folder_changed_base),
	(camel_vee_folder_finalise): Don't pass events if the object is being 
	destroyed.

2008-01-06  Bharath Acharya  <abharath@novell.com>

	** Fix for bug #474118

	* camel-offline-store.c: (camel_offline_store_prepare_for_offline):
	* camel-offline-store.h:
	Downsyncs all the messages from folders marked for offline use.

2007-12-27  Jeffrey Stedfast  <fejj@novell.com>

	* camel-mime-utils.c (rfc2047_decode_word): If we fail to
	completely convert the text using the supplied charset, pass the
	declared charset as the 'default_charset' argument to
	decode_8bit() rather than the default_charset argument we were
	passed.
	(rfc2047_decode_word): Make sure inlen >= 8.

2007-12-25  Jeffrey Stedfast  <fejj@novell.com>

	Fixes bug #224026

	* camel-charset-map-private.h: Regenerated.

	* camel-charset-map.c (main): Rewritten to be in-sync with GMime's
	implementation which has support for multibyte charsets and
	Arabic.

2007-12-25  Jeffrey Stedfast  <fejj@novell.com>

	* camel-mime-utils.c (header_decode_domain): Check *inptr before
	calling camel_mime_is_dtext()

2007-12-25  Jeffrey Stedfast  <fejj@novell.com>

	Fixes the remainder of the "evolution won't decode
	this/that/whatever brokenly rfc2047 encoded header" bugs.

	* camel-mime-utils.c (camel_iconv_strndup): New (internal, tho
	could maybe be made public eventually) function to convert a
	string from one charset into another which returns NULL on
	failure.
	(decode_8bit): New function to try to find the best charset to
	convert raw 8bit/multibyte strings into UTF-8 by any means
	necessary.
	(rfc2047_decode_word): Rewritten. Now also takes a default_charset
	argument to aid in charset conversion.
	(header_decode_text): Rewritten to handle a wider variety of
	utterly broken encodings from crap mailers. No longer takes an
	inlen argument because it wasn't necessary.

2007-12-14  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #211353

	* camel-filter-driver.c: (do_label):
	Labels are newly stored in user_flags, not in user_tags.

2007-12-15  Matthew Barnes  <mbarnes@redhat.com>

	* camel-tcp-stream-ssl.c (camel_tcp_stream_ssl_finalize),
	(stream_close), (socket_connect):
	Call PR_Shutdown() before PR_Close() (based on discussion with
	Philip Van Hoof on evolution-hackers).

2007-12-12  Evil Ninja Squirrel  <evilninjasquirrel@hotbrev.com>

	** Fix for bug #486126

	* camel-filter-driver.c: (camel_filter_driver_filter_message):
	Fixed an incorrect format string usage that can lead to crashes.

2007-12-11  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #336074

	* camel-store.h: (struct CamelStoreClass::can_refresh_folder),
	(camel_store_can_refresh_folder):
	* camel-store.c: (can_refresh_folder), (camel_store_class_init),
	(camel_store_can_refresh_folder):
	New virtual function to check if folder can be refreshed or not.
	Default behavior of this function is that the Inbox will be refreshed.

2007-12-05  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #501622

	* camel-sasl.c (camel_sasl_challenge_base64):
	Return an empty string instead of NULL for empty SASL responses.
	Fixes broken Digest-MD5 authentication.

2007-12-03  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #324008

	* camel-text-index.c: (text_index_sync):
	Don't sync when wasn't created successfully.

2007-11-23  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #461979

	* camel-url.c: (camel_url_new_with_base):
	The base URL can be without a path, so do not crash, if that happen.

2007-11-22  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #376425

	* camel-http-stream.c: (camel_http_stream_get_content_type):
	Use proxy if user uses it.
	* camel-http-stream.c: (camel_http_stream_set_proxy):
	Do not crash if have proxy without name and password.

2007-11-15  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #474000

	* camel-mime-utils.c (camel_base64_decode_simple):
	* camel-sasl.c (camel_sasl_challenge_base64):
	Initialize 'length' before calling g_base64_decode().

2007-11-15  Milan Crha  <mcrha@redhat.com>

	** Typo fix in previous commit causing crash.

2007-11-14  Matthew Barnes  <mbarnes@redhat.com>

	** Merge a bunch of compiler warning fixes and cosmetic
	   cleanups from camel-lite.

2007-11-11  Matthew Barnes  <mbarnes@redhat.com>

	* camel-tcp-stream-ssl.c (enable_ssl):
	Disable SSLv2 compatible HELLO on SSL stream when SSLv2 is
	disabled (#345135, patch from Niels Vorgaard Christensen).

2007-11-09  Matthew Barnes  <mbarnes@redhat.com>

	* camel-mime-utils.c (camel_base64_decode_simple):
	Add argument guards, although nothing should be using this anymore.

2007-10-15  Jeffrey Stedfast  <fejj@gnome.org>

	* camel-mime-message.c (camel_mime_message_set_subject): Protect
	against a NULL subject string.

2007-10-01  Kjartan Maraas  <kmaraas@gnome.org>

	* camel-folder-summary.c: (camel_folder_summary_finalize),
	(perform_content_info_load), (camel_folder_summary_load),
	(camel_folder_summary_clear), (camel_folder_summary_encode_token),
	(my_list_append), (camel_flag_set), (camel_tag_set):
	* camel-folder-thread.c: (prune_empty), (thread_summary),
	(camel_folder_thread_messages_new):
	* camel-folder.c: (camel_folder_get_message_user_tag), (thaw):
	* camel-mime-filter-charset.c: (reset), (complete):
	* camel-mime-message.c: (camel_mime_message_set_date),
	(find_best_encoding), (best_encoding):
	* camel-mime-parser.c: (camel_mime_parser_filter_add),
	(camel_mime_parser_filter_remove), (folder_seek),
	(folder_scan_skip_line), (folder_scan_header), (folder_scan_step):
	* camel-mime-part.c: (init_header_name_table), (write_to_stream):
	* camel-multipart.c: (set_boundary), (write_to_stream):
	* camel-object.c: (cobject_meta_get), (camel_object_hook_event),
	(camel_object_trigger_event), (camel_object_get_ptr),
	(camel_object_meta_get), (camel_object_bag_reserve):
	* camel-offline-folder.c: (camel_offline_folder_get_type):
	* camel-offline-journal.c: (camel_offline_journal_get_type):
	* camel-offline-store.c: (camel_offline_store_get_type):
	* camel-partition-table.c: (camel_key_table_lookup),
	(camel_key_table_next):
	* camel-sasl-digest-md5.c: (generate_response), (digest_response),
	(digest_md5_challenge):
	* camel-sasl-popb4smtp.c: (popb4smtp_challenge):
	* camel-search-private.h: Include "libedataserver/e-sexp.h" to
	get the _ESExpResult declaration.
	* camel-stream-buffer.c: (camel_stream_buffer_init), (stream_read):
	* camel-stream-mem.c: (camel_stream_mem_init):
	* camel-tcp-stream-raw.c: (camel_tcp_stream_raw_new),
	(socket_connect):
	* camel-text-index.c: (text_index_add_name_to_word),
	(text_index_compress_nosync), (camel_text_index_dump),
	(text_index_cursor_reset):
	* camel-vee-store.c: (change_folder), (vee_get_folder),
	(vee_get_folder_info): NULL vs 0 and ANSIfy.

2007-09-12  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #231178

	* camel-filter-driver.c: (struct symbols), (do_label):
	New symbol 'set-label' defined and added corresponding callback.

2007-09-27  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #474000

	* camel-mime-utils.c:
	* camel-mime-utils.h:
	Deprecate Camel's Base64 API and make the functions thin wrappers
	for GLib's Base64 API.

	* camel-multipart.c (set_boundary):
	* camel-vee-folder.c (camel_vee_folder_hash_folder):
	* camel-mime-filter-basic.c (complete):
	* camel-sasl-digest-md5.c (generate_response):
	* camel-http-stream.c (camel_http_stream_set_proxy):
	* camel-sasl.c (camel_sasl_challenge_base64):
	Use GLib's Base64 API instead of Camel's.

2007-09-12  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #231178

	* camel-filter-driver.c: (struct symbols), (do_label):
	New symbol 'set-label' defined and added corresponding callback.

2007-09-10  Sankar P  <psankar@novell.com>

	* camel-partition-table.c: (camel_key_table_lookup):
	Convert a g_assert to g_warning. Reduces the severity of
	#348149

2007-09-07  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #469007

	* camel-search-private.c: (camel_search_header_match):
	Let work the code for skipping white spaces at the beginning of
	header value.

	* camel-search-private.c: (camel_ustrcasecmp), (camel_ustrncasecmp):
	Fixed other compiler warnings in this file.

2007-09-07  Milan Crha <mcrha@redhat.com>

	** Fix for bug #473880

	* camel-mime-filter-tohtml.c: (writeln), (html_convert):
	* camel-utf8.c: (camel_utf8_ucs2):
	* camel-url-scanner.c: (camel_url_scanner_scan):
	* camel-sasl-gssapi.c: (removed header glib/gi18n.h):
	Fixes serious compiler warnings.

2007-08-28  Ross Burton  <ross@openedhand.com>

	* */*:
	Fix FSF address (Tobias Mueller, #470445)

2007-08-27  Johnny Jacob  <jjohnny@novell.com>
 
	** Fix for 261084 by Jared Moore <cornflake.pirate@gmail.com>
	
	* camel-folder-search.c: String change.
	
	
2007-08-27  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #256878 from Vincent Untz

	* camel-cipher-context.h:
	* camel-gpg-context.c: (gpg_verify), (gpg_decrypt):

2007-08-23  Matthew Barnes  <mbarnes@redhat.com>

	* camel-tcp-stream-ssl.c (camel_certdb_nss_cert_get):
	Simplify the code; use g_file_get_contents() (#437331).

2007-08-20  Matthew Barnes  <mbarnes@redhat.com>

	* camel-url.c:
	Add argument checks to several public functions (#467883).

2007-08-16  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #350539

	* camel-filter-search.c: (check_header):
	* camel-smime-context.c: (camel_smime_context_describe_part):
	* camel-mime-part-utils.c:
	(camel_mime_part_construct_content_from_parser):
	* camel-gpg-context.c: (gpg_decrypt):
	Ensures non-NULL part/message/dw/ipart/content.

2007-08-14  Jens Granseuer  <jensgr@gmx.net>

	** Fix for bug #466309

	* camel-folder-summary.c: (camel_folder_summary_add_from_parser):
	declare variables at the beginning of the block. Fixes building
	with non-C99 compilers.

2007-08-13  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #352346

	* camel-provider.h: Added new constants CAMEL_URL_PART_PATH_DIR and
	CAMEL_URL_NEED_PATH_DIR; when CAMEL_URL_NEED_PATH_DIR is set, then
	in editor dialog is choosing file, without it directory.

2007-08-13  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #420462

	* camel-store.c: (camel_folder_info_build): If the FolderInfo doesn't
	have a child, unset the NO_CHILDREN flag.

2007-08-12  Rob Bradford  <rob@openedhand.com>

	* camel-text-index.c: (camel_text_index_new):
	Fix syntax error introduced by my patch. Kudos to Theppitak
	Karoonboonyanan for discovering it.

2007-08-12  Johnny Jacob  <jjohnny@novell.com>
 
	** Fix for 387806 by Rob Bradford  <rob@openedhand.com>
	
	* camel-text-index.c: Add some checking of return values when
	calling camel_block_file_new_block. 
 
2007-08-12  Johnny Jacob  <jjohnny@novell.com>

	** Fix for Bug 261084 from Jared Moore

	* camel-folder-search.c :
	
2007-07-28  Ross Burton  <ross@openedhand.com>

	* camel-index.c:
	* camel-folder-summary.c:
	Add some sanity checks (#460861)

2007-07-29  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #402925 from hggdh

	* camel.c: (camel_init):

2007-07-09  Gilles Dartiguelongue  <gdartigu@svn.gnome.org>

	* camel-folder.c: (camel_folder_change_info_add_update),
	(change_info_remove), (camel_folder_change_info_add_uid),
	(camel_folder_change_info_remove_uid),
	(camel_folder_change_info_change_uid):
	* camel-gpg-context.c: (gpg_ctx_get_diagnostics),
	(gpg_ctx_parse_status):
	* camel-mime-filter-bestenc.c: (filter):
	* camel-mime-filter-tohtml.c: (writeln):
	* camel-search-private.c: (camel_ustrstrcase), (camel_ustrcasecmp),
	(camel_ustrncasecmp), (camel_search_header_match),
	(camel_search_message_body_contains), (camel_search_words_simple):
	* camel-url-scanner.c: (camel_url_scanner_scan):
	* camel-utf8.c: (g_string_append_u), (camel_utf8_ucs2):
	Fix compilation warnings (#363384)

2007-06-20  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #449531

	* camel-mime-filter-pgp.c: (filter_run):
	Accept one space on a line after signature header as separator.

2007-07-09  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #434356 from Jindrich Makovicka

	* camel-mime-utils.c: (header_decode_lwsp), (header_decode_domain):

2007-07-02  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #412735 from Pascal Terjan

	* camel-url-scanner.c: (url_stop_at_brace):

2007-06-26  Philip Van Hoof  <pvanhoof@gnome.org>

	* providers/local/camel-maildir-folder.c: Bugfix when renaming from
	tmp to cur didn't work (which can happen on FAT32 that doesn't allow
	certain special characters that are used by the Maildir spec).

2007-06-21  Irene Huang  <irene.huang@sun.com>

	* camel-sasl-gssapi.c: (gssapi_challenge): replace gss_nt_service_name
	with GSS_C_NT_HOSTBASED_SERVICE.

2007-06-14  Philip Van Hoof  <pvanhoof@gnome.org>
	
	* camel-net-utils.c: Memory leak fix

2007-06-14  Philip Van Hoof  <pvanhoof@gnome.org>

	* camel-imap-folder.c: Security bugfix. The sequence can be a negative
	value while it is being used as the index of an array (#447414)

2007-06-10  Matthew Barnes  <mbarnes@redhat.com>

	* camel-object.c (cobject_state_read), (cobject_state_write):
	Calculate CamelArgV sizes in such a way that it doesn't produce
	negative intermediate values.  Negative values are bad because
	the terms of the expression are unsigned.  (#331099)

2007-06-06  Sankar P <psankar@novell.com>

	* camel-sasl-gssapi.c: 
	Fixed some wrong pre-processor directives,
	that were causing build-break.
	See bug #344728

2007-06-05  Irene Huang  <irene.huang@sun.com>

	* camel-sasl-gssapi.c: Add headers for Sun Kerberos
	fixing bug #344728

2007-06-05  Irene Huang  <irene.huang@sun.com>

	* camel-sasl-gssapi.c:

2007-06-01  Karl Relton  <karllinuxtest.relton@ntlworld.com>

        ** Fix for bug #311512

	* camel-folder.c (folder_changed): Block "folder_changed" signal
	propagation until filtering has completed.
	(camel_folder_change_info_new): Added a new uid_filter array.
	(change_info_recent_uid, change_info_filter_uid): Silently add
	uids.
	(camel_folder_change_info_cat): Silently add uids to recent and
	filter uid sets.
	(camel_folder_change_info_recent_uid): Use the new
	change_info_recent_uid() function and also add the uid to the
	filter set.
	(camel_folder_change_info_clear): Clear the filter uid set.
	(camel_folder_change_info_free): Free the filter uid set.

2007-05-24  Ross Burton  <ross@openedhand.com>

	* providers/sendmail/Makefile.am:
	Add missing link flags to fix build with -z,defs. (#409542, Loic
	Minier)

2007-05-16  Jules Colding  <colding@omesc.com>

	* camel-lock.c (camel_lock_dot): Use g_mkstemp()

	* camel-folder-summary.c (camel_folder_summary_save): Fix file
	descriptor leak.  fclose() a fdopen() stream instead of
	close()'ing the underlying file descriptor.

	* camel-uid-cache.c (camel_uid_cache_save): Cleanups, such as
	setting cache->fd = -1 when fd has been closed.

	* camel-block-file.c (key_file_use): Do not close() if (fd == -1)

	* camel-index-control.c (do_perf): Fix file descriptor leak

	* camel-charset-map.c (main): Check for return value

	* camel-text-index.c (dump_raw): Fix file descriptor leak

	* camel-lock.c (main): Fix file descriptor leak.

	* camel-lock-client.c (camel_lock_helper_init): Fix file
	descriptor leak
 
	* camel-process.c (camel_process_fork): Fix file descriptor leak
 
2007-05-15  Srinivasa Ragavan  <sragavan@novell.com>

	* camel-disco-store.c: (camel_disco_store_prepare_for_offline):
	Added a new api to fetch a folder for offline sync.  *
	camel-disco-store.h:

2007-05-12  Jules Colding  <colding@omesc.com>

	* camel-store.h (CamelFolderInfo): Change type of unread and total 
	members to gint32 instead of guint32. The previous unsigned members 
	are initialized to a negative value (-1) by many CamelFolderInfo 
	producers. To do that is ugly. Changing the type to a signed data 
	type will make a negative initialization value acceptable. We 
	won't be able to index folders with more than ~2 billion messages, 
	but who has that many anyway?

2007-05-07  Matthew Barnes  <mbarnes@redhat.com>

	* camel-stream-vfs.c:
	* camel-stream-vfs.h:
	Fix warnings reported by 'sparse'.  Patch from Kjartan Maraas.

2007-04-30  Srinivasa Ragavan  <sragavan@novell.com>

	* Makefile.am: Added the include files part of core to the
	installation path. Build break.

2007-04-27  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #418852

	* Note, these changes touch almost every file in Camel.

	* Replace C++ declaration guards (extern "C" { ... }) with
	  G_BEGIN_DECLS / G_END_DECLS, or add them to headers with
	  no declaration guards at all.

	* Use GLib's i18n support instead of Camel's (now deprecated).

	* Use quotes and brackets consistently in #include directives.

	* Remove CAMEL_EXPLICIT_TRANSLATION_DOMAIN from Makefiles.

	* Fix documentation warnings identified by Gtk-Doc.

	* camel.h:
	Expose Camel's entire "core" (non-provider) API.

	* camel-i18n.h:
	Deprecate this API.  Use GLib's i18n support instead.

	* camel-folder.h (camel_folder_get_message_flags):
	* camel-folder.h (camel_folder_set_message_flags):
	* camel-folder.h (camel_folder_get_message_user_flag):
	* camel-folder.h (camel_folder_set_message_user_flag):
	* camel-folder.h (camel_folder_get_message_user_tag):
	* camel-folder.h (camel_folder_set_message_user_tag):
	* camel-folder.h (camel_folder_get_unread_message_count):
	* camel-folder.h (camel_folder_ref_message_info):
	Add deprecation guards around these function declarations.

2007-04-05  Ross Burton  <ross@openedhand.com>

	* camel-data-cache.c: (camel_data_cache_new):
	* camel-object.c: (camel_object_state_write):
	* camel-session.c: (get_storage_path):
	* camel-uid-cache.c: (camel_uid_cache_new):
	Use g_mkdir_with_parents (#383686).

2007-04-03  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #322105

	* camel-folder-summary.c: (info_set_flags): Fix for non-junk messages 
	to learn ham.

2007-04-01  Matthew Barnes  <mbarnes@redhat.com>

	* camel-mime-utils.c (rfc2047_encode_word):
	Properly escape what would otherwise be a trigraph (??=).
	Patch from Kjartan Maraas.

	* camel-search-private.c (header_match):
	* camel-url.c (camel_url_to_string):
	Fix a compiler warning.  Patch from Kjartan Maraas.

2007-03-29  Matthew Barnes  <mbarnes@redhat.com>

	* camel-private.h:
	E-D-S requires GLib 2.10 now; remove dead backward-compatibility
	code for GLib < 2.8 (#418971).

2007-03-16  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #360240

	* camel-stream-vfs.c (camel_stream_vfs_new_with_handle):
	Remove unused variable.

2007-02-26  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #331813

	* camel-mime-filter-tohtml.c: Patch from Gilles 
	Dartiguelongue.

2007-02-23  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #356177

	* camel-folder.c:
	* camel-object.c:
	* camel-private.h:
	* camel-provider.c:
	* camel-service.c:
	* camel-store.c:
	* camel-text-index.c:
	Migrate from EMutex to GStaticMutex or GStaticRecMutex.

2006-01-08  Veerapuram Varadhan  <vvaradhan@novell.com>

	** Fixes eds part of bgo #362638 - Patch submitted by Matthew
	Barnes

	* camel/camel-private.h: 
	* camel/camel-session.c: Replace EThread with GThreadPool.
	
2006-12-14  Veerapuram Varadhan  <vvaradhan@novell.com>

	** Fixes for bgo #349445 - Patch submitted by Bastien Nocera

	* camel-url-scanner.c: (url_stop_at_brace): Added parameter to
	return appropriate "open" equivalent of the url_braces array.
	(camel_url_web_end): Do not remove ')' and '\'' from the end of URL.
	
2006-12-14  Veerapuram Varadhan  <vvaradhan@novell.com>

        ** Fix for bnc #208395

        * camel-url.[ch]: (camel_url_decode_path): Added method to
        decode path, by preserving the path-delimiter.
	
2006-11-08  Sankar P  <psankar@novell.com>

	* camel-folder-summary.h: Added support for CAMEL_MESSAGE_HIDDEN and 
	CAMEL_MESSAGE_USER_NOT_DELETABLE flags which can be used in mailer 
	and for proxy rights management.

2006-11-06  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #330157

	* camel-vee-folder.c: (camel_vee_folder_remove_folder),
	(camel_vee_folder_finalise): Dont unref if the sub folder is a
	vfolder.

2006-11-02  Hans Petter Jansson  <hpj@novell.com>

	* camel-mime-filter-tohtml.c (writeln): Prevent potential buffer
	overrun by one byte.

	* camel-gpg-context.c (gpg_ctx_op_step): Clear the poll structures'
	events fields, so we don't pass uninitialized values to poll().

2006-11-02  Harish Krishnaswamy  <kharish@novell.com>

	* camel-mime-filter-crlf.c (filter): Fixes buffer overrun. 
	 Bug #369168. Patch submitted by Hans Petter Jansson.

2006-10-05  Tor Lillqvist  <tml@novell.com>

	Fixes from Steffen Eschenbacher:

	* camel-stream-vfs.c (camel_stream_vfs_finalize): Call
	gnome_vfs_close() on the GnomeVFSHandle *, not close(). (#350576,
	#350885, #358010)

	* camel-url.c (camel_url_new_with_base, camel_url_to_string): On
	Win32, for file: urls, simply call g_filename_{to/from}_uri.
	(#358010) We could do this on all platforms maybe?

2006-09-14  Veerapuram Varadhan  <vvaradhan@novell.com> 

	** Fixes bug #350907

	* camel-filter-search.c: (run_command): Unref GMainContext
	* camel-filter-driver.c: (pipe_to_system): ditto
	
2006-08-28  Veerapuram Varadhan  <vvaradhan@novell.com> 

	** Fixes bug #331099 based on patches by Eric Anholt
	<anholt@FreeBSD.org> and Joe Marcus Clarke <marcus@FreeBSD.org>

	* camel-object.c: (cobject_state_read): Cast the input for
	g_try_malloc to gulong.
	
2006-08-23  Wang Xin  <jedy.wang@sun.com>

	Fixes bug #352109.

	* camel-stream-vfs.c: (stream_read), (stream_write), (stream_seek):
	GnomeVFSFileSize should be used, not ssize_t.

2006-08-23  Srinivasa Ragavan  <sragavan@novell.com>
	
	** Fix for bug #349960 by Daniel Gryniewicz
	
	* camel-stream-vfs.c: (camel_stream_vfs_new_with_uri): Set the excl
	flag to FALSE to over write existing file.

2006-07-24  Veerapuram Varadhan <vvaradhan@novell.com>

	* camel-folder-summary.h: Added CamelFolderMetaSummary structure
	that holds values for meta summary file.

	* camel-folder-summary.c (summary_meta_header_load),
	(summary_meta_header_save), (meta_message_info_save): Newly added
	virtual methods to load and save meta-headers and meta-message
	infos.
	(camel_folder_summary_load), (camel_folder_summary_save): Load and
	save meta-summary information as well.

	* providers/local/camel-mbox-summary.c (meta_message_info_save):
	Save message offset in the meta-summary file.

	* camel-file-utils.[c,h] (camel_file_util_encode_fixed_string),
	(camel_file_util_decode_fixed_string): Encode and decode fixed
	length string.
	
2006-07-07  Jeffrey Stedfast  <fejj@novell.com>

	Fix for a bug pvanhoof spotted with my last patch

	* camel-string-utils.c (camel_pstring_add): If the value is in the
	table already and 'own' is TRUE, g_free the passed-in string.

2006-07-07  Sankar P  <psankar@novell.com>

	* camel-string-utils.c (camel_pstring_add):
	Fixes a variable naming error. Fixes build break.
		
2006-07-06  Jeffrey Stedfast  <fejj@novell.com>

	Based on a suggestion/patch by pvanhoof

	* camel-string-utils.c (camel_pstring_add): New function that now
	holds the main logic of the old camel_pstring_strdup function. If
	'own' is TRUE, re-use the memory if the string doesn't already
	exist and free it otherwise. If FALSE, strdup the value if it
	doesn't already exist.
	(camel_pstring_strdup): Calls camel_pstring_add() with 'own' as
	FALSE.

	* camel-folder-summary.c (message_info_new_from_header): Use
	camel_pstring_add instead of camel_pstring_strdup here to prevent
	unnecessary strdup/freeing.
	(message_info_load): Same.

2006-06-26  Jeffrey Stedfast  <fejj@novell.com>

	* camel-gpg-context.c (gpg_ctx_parse_status): Only set name to ""
	if it wasn't already set. Fixes bug #345965.

2006-06-15  Tor Lillqvist  <tml@novell.com>

	* camel.c (camel_init): On Win32, NSS wants the directory name in
	system codepage, not UTF-8. No need to handle g_atexit()
	differently on Win32 any longer, in current GLib it is on Win32
	just a #define for atexit().

2006-06-15  Andre Klapper  <a9016009@gmx.de>

	* camel-gpg-context.c:

	* camel-net-utils.c: changing "cancelled" to "canceled" in
	user-visible strings.  Fixes bug #342163.

2006-06-15  Andre Klapper <a9016009@gmx.de>

	* addressbook/libebook/e-book.c:

	* camel/camel-folder.c:

	* camel/providers/nntp/camel-nntp-folder.c:

	* camel/providers/pop3/camel-pop3-folder.c: changing "uri" to
	"URI" in user-visible strings.  Fixes bug #342161.

2006-06-09  Chris Heath  <chris@heathens.co.nz>

	* camel-net-utils.c (camel_getnameinfo): Fix memory leak

	* camel-folder-search.c (camel_folder_search_search): Ditto

	* camel-digest-folder.c (digest_add_multipart): Ditto.
	Fixes bug #335423.

2006-06-02  Tor Lillqvist  <tml@novell.com>

	* camel-file-utils.c (camel_read, camel_write, camel_read_socket)
	(camel_write_socket): Improve doc comment, mention the Win32
	aspects.

2006-05-25  Srinivasa Ragavan  <sragavan@novell.com>

	* camel-stream-vfs.h: Added the missed file to commit.

2006-05-24  Srinivasa Ragavan  <sragavan@novell.com>

	* Makefile.am: Added new files for camel vfs stream
	* camel-stream-vfs.[ch]: Added a new gnome-vfs backend for 
	camel stream.

2006-05-05  Jeffrey Stedfast  <fejj@novell.com>

	* camel-charset-map.c (camel_charset_best_mask): Fixed a
	mis-ordering of an if-statement clause that caused bug #340717.

2006-05-01  Jeffrey Stedfast  <fejj@novell.com>

	* camel-gpg-context.c (gpg_ctx_parse_status): Handle prompts from
	GnuPG asking for the user's PIN for their SmartCard. Fixes bug
	#335386.

2006-04-19  Jeffrey Stedfast  <fejj@novell.com>

	* camel-mime-filter-pgp.c (filter_run): You cannot CANNOT modify
	the input strings. EVER. Fixed to not do that and to also work if
	there is preface before the pgp block (previous code failed in
	that case).
	(reset): Reset the filter state.

2006-04-13  Jeffrey Stedfast  <fejj@novell.com>

	* camel-mime-utils.c (camel_header_raw_check_mailing_list): Fixed
	a goof in the last patch.

2006-04-12  Jeffrey Stedfast  <fejj@novell.com>

	* Fixes to many source files to suppress compiler warnings thanks
	to Kjartan Maraas.

2006-04-04  Jeffrey Stedfast  <fejj@novell.com>

	* camel-charset-map.c (main): Set appropriate structs/struct
	elements to static/const.

	* camel-charset-map-private.h: Regenerated.

2006-04-05  Simon Zheng  <simon.zheng@sun.com>

	** Fixes bug #333698

	* camel-search-private.c (header_match):
	(camel_search_header_match):
	To traverse strings by utf8 char order rather than one by one byte,
	use camel_utf8_getc() and other utf8-specific routines instead.

2006-03-20  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	** See bug 272307

	* camel-mime-utils.c (header_decode_mailbox): Do not decode_lwsp
	if there is a space in mail id, just append it.  Also do not
	truncate address if addr is not NULL.

2006-03-20  Srinivasa Ragavan  <sragavan@novell.com>

	* camel-gpg-context.c (gpg_ctx_parse_status): Added flag to ask
	for pass phrase.

	* camel-session.h: Added the flag for passphrase.

2006-03-20  Srinivasa Ragavan  <sragavan@novell.com>

	* providers/groupwise/camel-groupwise-store.c:
	(groupwise_build_folder_info): Added flags for the system folders.

2006-02-21  Rohini S  <srohini@novell.com>

	** See bug 318697

	* camel-url-scanner.c (camel_url_addrspec_start): conditions
	modified to parse only valid mailto links

2006-02-21  Rohini S  <srohini@novell.com>
 
 	** Fixes bug #328322
 
	* camel-mime-filter-tohtml.c: add new pattern for sftp urls.
 
2006-02-21  Rohini S  <srohini@novell.com>
 
	* camel-url-scanner.c (camel_url_web_end): Modified to accept urls 
 	with ./
 	Fixes bug#256142
 
2006-02-16  Parthasarathi Susarla <sparthasarathi@novell.com>

	* camel-disco-diary.c (camel_disco_diary_log): proceed only if
	diary is a valid pointer

2006-02-13  Rohini S  <srohini@novell.com>

	**See bug 328384

	* camel-url-scanner.c (camel_url_addrspec_start): modified to
	remove all invalid characters in the beginning of a email address

2006-02-02  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	** See bug 328481

	* camel-gpg-context.c (gpg_ctx_parse_status): do not search if the
	gpg->need_id is NULL

2006-02-02  Parthasarathi Susarla <sparthasarathi@novell.com>

	* camel-object.c (object_finalise):
	(camel_message_info_free): decrement Ref count properly

2006-02-02  Tor Lillqvist  <tml@novell.com>

	* camel-net-utils.h
	* camel-net-utils.c: Make it compile on Win32 also without
	getaddrinfo() (with NEED_ADDRINFO).

2006-01-25  Not Zed  <NotZed@Ximian.com>
 
	* camel-folder-search.c (search_match_threads): add new
 	match-thread type "unreplied", matches messages that are unreplied
 	to. 
	Committed to head on behaf of Notzed
 
2006-01-23  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* camel-mime-utils.c (camel_content_type_unref):
	Id the content-type refcount is <1 then free it and
	assign it to NULL

2006-01-17  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* camel-service.c (camel_service_disconnect):
	set the service-status to CAMEL_SERVICE_DISCONNECTED

2006-01-10  Simon Zheng  <simon.zheng@sun.com>

	* camel-file-utils.h: 
	* camel-file-utils.c: Delete function camel_mkdir().

	* camel-data-cache.c (camel_data_cache_new):
	* camel-object.c (camel_object_state_write):
	* camel-session.c (get_storage_path):
	* camel-uid-cache.c (camel_uid_cache_new):
	* providers/imap/camel-imap-folder.c (camel_imap_folder_new):
	* providers/imap4/camel-imap4-folder.c (camel_imap4_folder_new):
	* providers/imapp/camel-imapp-folder.c (camel_imapp_folder_new):
	* providers/local/camel-local-store.c (get_folder):
	* providers/local/camel-mbox-store.c (get_folder):
	(create_folder):
	(rename_folder):
	* providers/local/camel-spool-store.c (spool_get_meta_path):
	* providers/nntp/camel-nntp-folder.c (camel_nntp_folder_new):
	Because of deletion of camel_mkdir(), all the callers use
	e_util_mkdir_hier() instead and add the related header file 
	<libedataserver/e-data-server-util.h>.

	* camel-debug.c: 
	* camel-win32.c: As file e-util.h is renamed,
	replace "libedataserver/e-util.h" as
	"libedataserver/e-data-server-util.h".

2006-01-05  Kjartan Maraas  <kmaraas@gnome.org>

	* camel-session.c (camel_session_get_network_state): Return stuff
	from this non-void function.

	* providers/imap4/camel-imap4-store.c (connect_to_server): Move
	some vars inside #ifdef HAVE_SSL

	* providers/local/camel-local-store.c (xrename): Use NULL not 0 as
	the last parameter to g_strconcat().

2006-01-04  Tor Lillqvist  <tml@novell.com>

	* camel-win32.c (setup): Modify calls to e_util_replace_prefix()
	according to its changed interface.

	* Makefile.am (INCLUDES): Need to pass also E_DATA_SERVER_PREFIX
	to the compilation because of the above.

2005-12-22  Shreyas Srinivasan  <sshreyas@novell.com>

	* Network Manager Support
	
	* camel-session.[h,c]: Add a gboolean network_state which the
	shell uses to set the current network state.  Add new api's
	camel_session_get_network_state and
	camel_session_set_network_state.
	
	* camel-offline-folder.c: If network down then dont sync folders
	while going offline and send clean as FALSE to
	camel_service_disconnect.
	
	* camel-disco-folder.c: If network down then dont sync folders
	while going offline and send clean as FALSE to
	camel_service_disconnect.

2005-12-13  Tor Lillqvist  <tml@novell.com>

	* camel-filter-driver.c: Use gstdio wrappers. Use
	g_filename_to_uri().

	* camel-filter-driver.c (pipe_to_system)
	* camel-filter-search.c (run_command): Use
	g_spawn_async_with_pipes() instead of manual fork/dup/exec dance.

	* camel-folder.c
	* camel-junk-plugin.c: Just cosmetics.

	* camel-lock.c: Use g_usleep() instead of sleep() which isn't
	available (as such) on Win32. No locking implementation for Win32
	yet (none of USE_DOT, USE_FCNTL or USE_FLOCK get defined on
	Win32), I wonder whether it is necessary t ohave one? Is locking
	used to guard against several threads in Evolution (or Evolution
	and the E-D-S or E-E processes) accessing the same files
	simultaneously, not just against other apps accessing them while
	Evolution is?

	* camel-object.c: Use gstdio wrappers. Use binary mode when
	opening files. Use g_path_get_dirname().

	Use a separate have_owner boolean flag field to indicate whether
	the pthread_t owner field is valid in the _CamelObjectBagKey
	struct. There is no portable way to check a pthread_t for
	uninitializedness. Remove the E_THREAD_NONE magic constant. Use
	pthread_equal() to compare pthread_t values.

	* camel-tcp-stream.h: Include Winsock headers on Win32.

	* camel-tcp-stream-raw.h (struct _CamelTcpStreamRaw): There is no
	way to find out a socket's blockingness state on Win32, so keep
	the state in a separate flag field on Win32.

	* camel-tcp-stream-raw.c: Use socket API wrapper macros to hide
	Unix/Winsock differences. Use camel_read_socket() and
	camel_write_socket() to read and write from sockets. Use
	ioctlsocket(FIONBIO) to set and clean nonblocking mode on Win32.
	
	* camel-tcp-stream-ssl.c (set_errno): Most of the network related
	errno values don't exist in the Win32 C library, so use ifdef
	around those cases.
	(stream_read, stream_write): Check PR_GetError() instead of errno.
	No ETIMEDOUT on Win32, so use the catch-all EIO instead.
	(cert_fingerprint): The fingerprint is used as a file name, and
	there can't be colons in file names on Win32, so use underscore
	instead.
	(camel_certdb_nss_cert_get, camel_certdb_nss_cert_set): Use gstdio
	wrappers. Use g_get_home_dir() on Win32 instead of $HOME.

2005-12-11  Tor Lillqvist  <tml@novell.com>

	* camel-gpg-context.c: Use gstdio wrappers. Ifdef out
	implementation on Win32 for now. Will have to come back to this
	later. Probably running a gpg subprocess is not the right way to
	do this on Windows.
	(swrite): Use g_get_tmp_dir(), g_build_filename(), g_mkstemp().

	* camel-net-utils.c (gai_strerror): Implement gai_strerror() for
	Win32.
	(cs_waitinfo): Use select() instead of poll() on Win32. Use
	g_win32_error_message(WSAGetLastError()) for socket API error
	messages on Win32.

	* camel-net-utils.h: Include the Winsock2 headers on Win3.

	* camel-session.c (get_storage_path): No need to have ifdefs for
	g_access() here, camel-private #defines g_access as access when
	builing against an older GLib.

2005-12-07  Jeff Cai <jeff.cai@sun.com>

	* camel-vee-folder.c (vee_search_by_expression),
	(vee_search_by_uids): if search expression of a vfolder is null,
	make it an empty string.  Fix #323433
	
2005-12-08  Tor Lillqvist  <tml@novell.com>

	* camel-file-utils.c: Win32 port: Include <winsock2.h>. Use
	g_htonl() and g_ntohl().
	(camel_mkdir): Implement using g_mkdir_with_parents() when
	compiling against GLib 2.8 or later.
	(camel_file_util_safe_filename): Need to encode more unsafe chars
	on Win32.
	(camel_read, camel_write): Not cancellable on Win32. But then
	these functions should be used only with regular files, not
	sockets.
	(camel_read_socket, camel_write_socket): New functions, to be used
	for sockets. On Unix just call camel_read() and camel_write(). On
	Win32 use recv() and write(). read() and write() can not be used
	on sockets in Windows. read() and write() are in the C library,
	which knows nothing about sockets.
	(camel_file_util_savename): Clarify doc comment. Use
	g_path_get_dirname() instead of looking for '/'. Use
	g_path_get_basename(), and g_build_filename() to construct the
	savename.

2005-12-06  Tor Lillqvist  <tml@novell.com>

	* camel-index.c
	* camel-mime-filter-basic.c
	* camel-mime-filter-charset.c
	* camel-mime-filter-from.c
	* camel-mime-filter-index.c
	* camel-mime-filter-windows.c
	* camel-mime-filter.c
	* camel-mime-part-utils.c
	* camel-multipart-encrypted.c
	* camel-multipart-signed.c
	* camel-multipart.c
	* camel-offline-folder.c
	* camel-offline-store.c
	* camel-operation.c
	* camel-sasl-anonymous.c
	* camel-sasl-cram-md5.c
	* camel-sasl-digest-md5.c
	* camel-sasl-kerberos4.c
	* camel-sasl-login.c
	* camel-sasl-ntlm.c
	* camel-sasl-plain.c
	* camel-sasl.c
	* camel-search-private.c
	* camel-service.c
	* camel-smime-context.c
	* camel-store.c
	* camel-stream-buffer.c
	* camel-stream-filter.c
	* camel-stream-process.c
	* camel-stream.c
	* camel-transport.c
	* camel-url-scanner.c
	* camel-vee-folder.c
	* camel-vee-summary.c
	* camel-vtrash-folder.c
	* camel.c: Unify header inclusion order and style purely for
	cosmetic reasons.
	
2005-12-02  Shi Pu <shi.pu@sun.com>

	** See bug #321139

	* camel-exception.c: (camel_exception_get_description):
	Don't return NULL.

2005-12-01  Tor Lillqvist  <tml@novell.com>

	* camel-private.h: If building against a GLib older than 2.8, map
	those gstdio wrappers that were introduced only in 2.8 to their
	normal counterparts here. (When building for Win32, we require
	GLib and GTK+ 2.8, so this is for Unix only.)

2005-12-01  Chenthill Palanisamy  <pchenthill@novell.com>

	* camel-data-cache.c:
	* camel-session.c: (get_storage_path):Use the functions
	defined in glib -2.8 only for win32 as it fails to build
	for OS which has glib 2.4.

2005-12-01  Tor Lillqvist  <tml@novell.com>

	* camel-mime-message.c: Add gmtime_r() implementation (a simple
	macro) for Win32.

	* camel-win32.c: Drop the realpath() implementation. realpath() is
	only used in one place in providers/local/camel-local-folder.c,
	and it's better to just enclose that code snippet (which isn't
	needed on Win32 anyway) in an ifdef.

	* camel-private.h: Drop the realpath() declaration from
	here. Remove the S_ISLNK() and lstat() dummy definitions. They are
	also used only in the place mentioned above.

2005-12-01  Chenthill Palanisamy  <pchenthill@novell.com>

	reviewed by Srinivasa Ragavan  <sragavan@novell.com> 

	* camel-private.h: Declare the functions _camel_get_*
	only for win32 as camel-win32.c is inlcuded only for
	win32. Fixes a build break.

2005-11-30  Tor Lillqvist  <tml@novell.com>

	* camel-file-utils.h: Define O_BINARY as 0 on Unix. Add
	declarations for camel_read_socket() and camel_write_socket(). (In
	a not yet committed addition to camel-file-utils.c.)

	* camel-block-file.c
	* camel-certdb.c
	* camel-data-cache.c
	* camel-disco-diary.c
	* camel-folder-summary.c
	* camel-mime-parser.c
	* camel-offline-journal.c
	* camel-provider.c
	* camel-session.c
	* camel-store-summary.c
	* camel-stream-fs.c
	* camel-text-index.c
	* camel-uid-cache.c
	* camel-vee-store.c: Use gstdio wrappers for full non-ASCII
	filename support on Windows.

	* camel-block-file.c (key_file_use)
	* camel-certdb.c (camel_certdb_save)
	* camel-disco-diary.c (camel_disco_diary_new)
	* camel-folder-summary.c (camel_folder_summary_load)
	* camel-offline-journal.c (camel_offline_journal_construct)
	* camel-store-summary.c (camel_store_summary_load,
	camel_store_summary_save, camel_store_summary_header_load)
	* camel-stream-fs.c (camel_stream_fs_new_with_name)
	* camel-text-index.c (dump_raw)
	* camel-uid-cache.c (camel_uid_cache_new, camel_uid_cache_save):
	Open file in binary mode.

	* camel-data-cache.c (data_cache_expire)
	* camel-provider.c (camel_provider_init): Use GDir instead of
	dirent API for portability and full non-ASCII filename support on
	Windows.
	
	* camel-folder-summary.c (camel_folder_summary_load): On Win32
	unlink destination before attempting a rename.

	* camel-mime-parser.c: Drop unused includes. Use
	g_ascii_strcasecmp() instead of strcasecmp() for well-definedness,
	and the other string being compared is an ASCII literal anyway.

	* camel-provider.c (camel_provider_init) Use G_MODULE_SUFFIX
	instead of hardcoding .so.

	* camel-session.c (session_thread_wait): Use g_usleep() instead of
	usleep() for portability.

	* camel-utf8.c: Use g_htons() and g_ntohs() instead of htons() and
	ntohs() for portability.
	
2005-11-25  Tor Lillqvist  <tml@novell.com>

	* camel-private.h: Add declaration for our Win32-only fsync() and
	realpath() implementations. Define S_ISLNK() as 0 and lstat() as
	stat().
	(realpath): Use gstdio wrappers.

	* camel-win32.c (_camel_get_localedir, _camel_get_libexecdir,
	_camel_get_providerdir): Run-time path construction
	machinery. Maybe these should just be in libedataserver instead,
	like _libedataserver_get_extensiondir() etc.

2005-11-18  Jeff Cai  <jeff.cai@sun.com>

	* camel-disco-store.c: (disco_connect):
	If no diary is created, no need to do resync.

2005-11-15  Ross Burton  <ross@burtonini.com>

	* camel-provider.c:
	Use lazy bindings (#321515)

2005-11-15  Harish Krishnaswamy  <kharish@novell.com>

	* providers/Makefile.am: Add hula to SUBDIRS.

2005-10-23  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	** See bug #218177

	* camel-vtrash-folder.c: (vtrash_remove_folder):
	check if mi->real exists, continue otherwise. 
	
2005-10-11 Vivek Jain <jvivek@novell.com>

	** See bug #318508

	* camel-folder-summary.c : (camel_folder_summary_info_new_from_parser)
	Null check for p->index before using it.

2005-09-22  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	** See bug #316287
	
	* camel-mime-filter-bestenc.c:(camel_mime_filter_bestenc_get_best_encode):
	Remove the last return statement that can never be reached.
	
2005-09-15  Sankar P  <psankar@novell.com>

	* camel-store.h:
	Defined new macro CAMEL_FOLDER_TYPE_SENT for identifying sent-folder.
	Needed for fixing #257321
	
2005-09-15  Tor Lillqvist  <tml@novell.com>

	* broken-date-parser.c (get_wday, get_month)
	* camel-folder-search.c (check_header)
	* camel-http-stream.c (http_connect, http_get_statuscode)
	* camel-mime-filter-enriched.c (param_parse_colour, enriched_to_html)
	* camel-mime-part.c
	* camel-mime-utils.c
	* camel-movemail.c
	* camel-sasl-popb4smtp.c
	* camel-string-utils.c
	* camel-url.c: Use g_ascii_str(n)casecmp() instead of
	str(n)casecmp(). The strings we are comparing in these cases
	should be just ASCII anyway, so spell it out that we really do
	need ASCII casefolding only.

	* camel-debug.c: Use e_util_pthread_id() to identify threads.

2005-09-12  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	** See bug #314574

	* camel-lock-client.c: (camel_lock_helper_init):
	remove an spurious ','.
	
2005-09-01  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* camel-lock-client.c: (camel_lock_helper_init):
	use API_VERSION instead of the BASE_VERSION

2005-08-22  Not Zed  <NotZed@Ximian.com>

	* camel-store.c (camel_store_rename_folder): init folders and only
	use it if set.

	* camel-offline-journal.c (CAMEL_OFFLINE_JOURNAL_GET_CLASS):
	move redefined macro to .h.

	* camel-gpg-context.c (gpg_decrypt): cast args properly.

	* camel-text-index.c (camel_text_index_validate): cast to int for
	printf.

	* camel-object.c (co_metadata_get): assign metalast to remove
	spurious warning.

2005-08-19  Not Zed  <NotZed@Ximian.com>

	** See #312668.

	* camel-tcp-stream-ssl.c (stream_close): handle re-closing a
	closed socket.

2005-08-18  Not Zed  <NotZed@Ximian.com>

	** See bug #271894.

	* camel-gpg-context.c (gpg_decrypt): use the content part's
	mime-type to determine options.

2005-08-17  Tor Lillqvist  <tml@novell.com>

	* camel-operation.c (stamp): Use g_get_current_time() instead of
	gettimeofday() for portability.

	* camel-cipher-context.c
	* camel-vee-folder.c: Drop unneeded <pthread.h>.

	* camel-block-file.c
	* camel-index-control.c
	* camel-index.c
	* camel-partition-table.c
	* camel-text-index.c
	* camel-vee-summary.c
	* providers/groupwise/camel-groupwise-summary.c
	* providers/imap/camel-imap-summary.c
	* providers/local/camel-local-summary.c
	* providers/local/camel-mh-summary.c
	* providers/local/camel-spool-summary.c
	* providers/nntp/camel-nntp-summary.c: Drop unneeded <sys/uio.h>.

	* camel-sasl-digest-md5.h: Drop unneeded <netdb.h>.
	
	* camel-sasl-kerberos4.h
	* camel-sasl-kerberos4.c: Move inclusion of <netdb.h> to the
	source file so we don't need any Win32 ifdefs in the
	header. Include also <netinet/in.h> and "camel-net-utils.h" in the
	source file.

	* camel-service.c: Drop unneeded <sys/poll.h>

	* providers/pop3/camel-pop3-store.c
	* providers/smtp/camel-smtp-transport.c: Drop unneeded <sys/socket.h>
	<netinet/in.h> and <arpa/inet.h>.

2005-08-15  Not Zed  <NotZed@Ximian.com>

	** backported from disksummary-branch

	* camel-object.c: Change all ref-counting and bag-related
	operations to use a simple mutex rather than a recursive one.
	Then change the bag to use a cond rather than a semaphore.  Fixes
	some nasty races exposed by extra paralellism in the code.
	(camel_iterator_*): small iterator interface, not used on this
	branch; backported to make later merging easier.

2005-08-12  Not Zed  <NotZed@Ximian.com>

	* camel-mime-filter-windows.c (filter_filter): same.

	* camel-mime-filter-charset.c
	(camel_mime_filter_charset_new_convert): remove another common
	useless warning.

	* camel-block-file.c (block_file_validate_root): ifdef out the
	'invalid root' stuff.

	* camel-folder-summary.c (summary_build_content_info): turn off
	the annoying/pointless 'cannot convert xxx' message.

	** See bug #313284.

	* camel-mime-parser.c (folder_scan_content): make sure *data is
	set to something before we exit.

	* camel-mime-parser.c (folder_read): use memmove, not memcpy,
	since memory areas could overlap.

	* camel-html-parser.c (tokenise_step): use the length from the
	utf8 conversion, it isn't 0 terminated.

	* camel-mime-utils.c (header_decode_quoted_string): if we run out
	of string, then don't go past the 0.

2005-08-13  Tor Lillqvist  <tml@novell.com>

	* camel.c (camel_init): Call atexit() directly on Win32, not
	g_atexit(). As g_atexit() is currently implemented, the registered
	function gets called when the GLib DLL is detached, not when the
	process exits. This causes problems. Calling atexit() in the camel
	DLL at least means the function gets called when the camel DLL is
	detached, which works OK.

2005-08-12  Tor Lillqvist  <tml@novell.com>

	* Makefile.am: On Win32: Leave out camel-lock-client and
	camel-stream-process from libcamel-provider. Leave out
	camel-movemail and camel-sasl-kerberos4 from libcamel. Include
	camel-win32 in libcamel. Don't build lock-helper. Use
	-no-undefined. Link with CAMEL_LIBS, SOCKET_LIBS and REGEX_LIBS.

	* camel-win32.c: New file, some Win32-specific functions.

	* providers/Makefile.am: Leave out sendmail on Win32.

2005-08-09  Not Zed  <NotZed@Ximian.com>

	* camel-store.c (camel_store_get_folder): add some debug logging.

2005-04-17  Changwoo Ryu  <cwryu@debian.org>

	** See bug #300891
	
	* Makefile.am (INCLUDES): define CAMEL_EXPLICIT_TRANSLATION_DOMAIN
	and EVOLUTION_LOCALEDIR.

	* camel.c (camel_init): initialize gettext with bindtextdomain()
	and bind_textdomain_codeset().

2005-08-09  Changwoo Ryu <cwryu@debian.org>

	** See bug #300115.

	* camel-mime-utils.c (rfc2047_encode_word): if the last unicode
	character in the input string is non-ASCII, it is always encoded
	as a separated chunk.

2005-08-08  Not Zed  <NotZed@Ximian.com>

	** See bug #312831.

	* camel-folder-thread.c (prune_empty): change to depth-first
	search so we check for empty children before checking if we have
	children.
	(dump_tree_rec): update debug func.

2005-08-03  Not Zed  <NotZed@Ximian.com>

	** See bug #274382.

	* camel-mime-message.c (process_header): return false if we have a
	to/cc/etc, we can have multiple instances of all of these, and we
	dont want to strip them.

2005-07-28  Not Zed  <NotZed@Ximian.com>

	** See bug #311731.

	* camel-store.c (camel_folder_info_build): fix this, again, minor
	simplification.  it was messing up the namespace != "" case
	somewhat.

2005-07-28  Shreyas Srinivasan  <sshreyas@novell.com>

	* camel-offline-folder.c: (camel_offline_folder_init): Revert old
	patch. Copy folder contents locally by default makes evolution crawl.
	
2005-07-27  Mengjie Yu  <meng-jie.yu@sun.com>

	* camel-store.c: (camel_isubscribe_subscribe),
	(camel_isubscribe_unsubscribe):
	Void function should not return value.

	Fixes #310198

2005-07-25  Shreyas Srinivasan  <sshreyas@novell.com>

	* camel-offline-folder.c (camel_offline_folder_init): Copy 
	folder contents locally by default.
	
2005-07-20  Not Zed  <NotZed@Ximian.com>

	* camel-store.c (camel_store_get_folder_info): Changed the
	semantics slightly.  !FAST makes no guarantees about message
	counts anymore.

	* camel-disco-store.c: fix up some stupid hidden logic here.

2005-07-19  Not Zed  <NotZed@Ximian.com>

	* camel-folder.c (camel_folder_refresh_info): remove the folder
	lock.

	* camel-disco-store.c (disco_get_folder_info): dont force a
	connect here, it doesn't belong here.

	* camel-store.c (camel_store_get_folder_info): remove subscription
	assert.

2005-07-13  Not Zed  <NotZed@Ximian.com>

	* camel-store.c (camel_store_init): initialise the mode to
	something which reflects the actual mode.

	* camel-store.h: fix the permission bit names and mode name.

	* camel-session.c (camel_session_class_init,
	camel_session_set_online): Create/emit a new event 'online'.

2005-07-10  Shreyas Srinivasan <sshreyas@novell.com>

	* camel-store.h: Add a new #define to identify proxy stores
	and a new data member permissions to hold store specific permissions.
	
2005-07-08  Harish Krishnaswamy  <kharish@novell.com>

	** Patch submitted by Greg Hudson <ghudson@mit.edu>
	** See bug #308209
	* camel-sasl-login.c: (login_challenge): Wait for the
	server to initiate the challenge.

2005-07-06 Vivek Jain <jvivek@novell.com>

	* camel-folder.c: (folder_changed) check if junk_plugin is
	supplied before starting any junk specific operation
	* camel-junk-plugin.[ch]: pass CamelJunkPlugin object in all the
	 callbacks
	* camel-junk-plugin.c: (camel_junk_plugin_init) use csp->init(csp)
	style in place of (* csp->init)(csp) similar change in all other callbacks
	
2005-06-24	Matt Brown <matt@mattb.net.nz>

	* camel-gpg-context.c:	Extend verify and decrypt functions to support
	inline pgp signed messages via x-inlinepgp-signed/x-inlinepgp-encrypted
	mime types.
	* camel-mime-filter-pgp.h:
	* camel-mime-filter-pgp.c:
	New filter to strip dash encoding from inline pgp signed messages.

2005-06-09  Sarfraaz Ahmed <asarfraaz@novell.com>

	* camel-store.c (camel_folder_info_build): Minor typo in debug message.

2005-05-16  Jeffrey Stedfast  <fejj@novell.com>

	* camel-mime-filter-basic.c (complete): Call
	camel_quoted_encode_close() instead of quoted_decode_close() when
	encoding.

	* camel-mime-utils.c (camel_quoted_decode_close): This function
	was named incorrectly, it's really camel_quoted_encode_close
	(camel_quoted_encode_close): New name.

2005-05-07  Sankar P  <psankar@novell.com>

	* camel-provider.h: Added a new flag
	CAMEL_PROVIDER_DISABLE_SENT_FOLDER so as to facilitate disabling
	sent button and prevent copying sent items.  This flag is
	introduced for the GroupWise provider, but can be made use of by
	any other type of provider, if needed.

2005-04-26  Ross Burton  <ross@burtonini.com>

	* camel/broken-date-parser.c:
	* camel/camel-block-file.c:
	* camel/camel-charset-map-private.h:
	* camel/camel-mime-message.c:
	* camel/camel-mime-utils.c:
	* camel/camel-object.c:
	* camel/camel-url-scanner.c:
	* camel/camel-utf8.c:
	* camel/gentables.pl:
	Add the const keyword liberally.

2005-04-18  Jeffrey Stedfast  <fejj@novell.com>

	* camel-url-scanner.c (camel_url_web_end): Handle the case where
	the path doesn't exist in the url. See bug #301037 for more
	details.

2005-04-07  Jeffrey Stedfast  <fejj@novell.com>

	Fix for bug #273945

	* camel-mime-utils.c (camel_header_encode_string): If
	camel_charset_best() returns NULL, default to UTF-8.
	(camel_header_encode_phrase): Same as above.

2005-04-11  Harish Krishnaswamy  <kharish@novell.com>

	* Makefile.am:
	* providers/local/Makefile.am:
	* providers/pop3/Makefile.am:
	* providers/smtp/Makefile.am:
	* tests/folder/Makefile.am:
	* tests/lib/Makefile.am:
	* tests/message/Makefile.am:
	* tests/mime-filter/Makefile.am:
	* tests/misc/Makefile.am:
	* tests/smime/Makefile.am:
	* tests/stream/Makefile.am:
	use API_VERSION 

2005-03-31  Jeffrey Stedfast  <fejj@novell.com>

	* camel-sasl-digest-md5.c (camel_sasl_digest_md5_finalize): If the
	SASL negotiation fails or is cancelled, then the challenge and/or
	response may be NULL and so dereferencing them will cause a
	crash. Possible fix for bug #72325.

2005-03-25  Jeffrey Stedfast  <fejj@novell.com>

	* camel-mime-utils.c (header_append_param): Don't try to convert
	boundary param values into UTF-8 even if they contain binary
	text. Based on a patch from Pavel Fedin.

2005-03-15  Jeffrey Stedfast  <fejj@novell.com>

	* camel-stream.c (camel_stream_read): Fix for systems where read
	is a macro by David Malcolm.

2005-03-01  Not Zed  <NotZed@Ximian.com>

	* tests/misc/test2.c: fix the case of the charset specification,
	now we properly canonicalise them.

2005-03-01  Not Zed  <NotZed@Ximian.com>

	** See bug #73015

	* tests/misc/test1.c: Test case for references decoding.

	* camel-mime-utils.c (header_decode_addrspec): if we get no start
	word, then return NULL not "".

2005-03-02  Not Zed  <NotZed@Ximian.com>

	** See bug #70195

	* camel-mime-utils.c (rfc2047_encode_word): if we fail to convert
	all the buffer, skip the content we didn't convert - don't just
	skip the number of bytes we didn't convert from the start of the
	string.
	(header_encode_phrase_merge_words): when we merge the word, make
	sure we merge the encoding too.

2005-03-02  Not Zed  <NotZed@Ximian.com>

	** See bug #70590 (again)

	* camel-filter-driver.c (camel_filter_driver_filter_message):
	don't drop to default folder if we moved it.
	(do_move): mark moved, not copied.

2005-03-01  Not Zed  <NotZed@Ximian.com>

	** See bug #72876

	* camel-mime-message.c (process_header): if there are no addresses
	in from or reply-to header, don't save empty address list.

2005-02-28  Not Zed  <NotZed@Ximian.com>

	** See bug #72609

	* camel-mime-utils.c (header_encode_param): just call
	camel_charset_best once to get the best charset, and handle a NULL
	charset name case properly.

	* camel-charset-map.c (camel_charset_step): use the camel utf8
	functions for robustness (&fix possible buffer-read-overflow).
	Perform some short-circuit optimisation when we can.

2005-02-28  Not Zed  <NotZed@Ximian.com>

	** See bug #70590

	* camel-filter-driver.c (do_move): Make this copy+delete, and
	terminate processing implicitly.

2005-02-24  Not Zed  <NotZed@Ximian.com>

	** See bug #68459

	* camel-nntp-address.[ch]: cameladdress implementation for list of
	newsgroups.

2005-02-11  Radek Doulik  <rodo@novell.com>

	* camel-filter-search.c (junk_test): use camel debug

	* camel-junk-plugin.c: use camel debug

2005-02-09  Jeffrey Stedfast  <fejj@novell.com>

	* camel-store.c (camel_folder_info_build): Fix the FIXME about
	using fragment instead of path for those urls which use fragment
	instead. Also fixes bug #71747.

2005-02-07  JP Rosevear  <jpr@novell.com>

	* camel-iconv.c: remove dead file

2005-02-07  Jeffrey Stedfast  <fejj@novell.com>

	* tests/folder/test11.c: Fixed junk/trash folder names/paths.

2005-02-04  Not Zed  <NotZed@Ximian.com>

	* camel-filter-search.c (check_header): don't try to match against
	mlist if the mlist entry is NULL.

	* camel-store-summary.h: make the store-info flags match the
	store:folder_info flags.

	* Revert jeffs changes, they weren't needed.

2005-02-02  Jeffrey Stedfast  <fejj@novell.com>
	
	* camel-store.h (CAMEL_STORE_FOLDER_INFO_SUBSCRIPTION_INFO):
	Added. Hint to the provider that we want the
	CAMEL_FOLDER_SUBSCRIBED flag (even if we aren't requesting
	CAMEL_STORE_FOLDER_INO_SUBSCRIBED).
	* camel-folder-summary.h:
	Added some RESERVED bits for the summary->flags (last 24 bits are
	for provider specific flags).
	
2005-02-01  Not Zed  <NotZed@Ximian.com>

	** See bug #65329

	* camel-vee-store.c (camel_vee-store_init): api chanes

	* camel-vtrash-folder.c (camel_vtrash_folder_new): api chagne and
	translate the short name.

	* camel-vee-folder.c (camel_vee_folder_construct): take full-name
	argument separately from short-name.
	(camel_vee_folder_new): calculate short-name.

	* camel-store.c (camel_store_get_folder_info): set the folder type
	hint.

	* camel-store.h: add a bitfield for a folder-type hint.  used to
	indicate inbox/trash/etc (mainly for gui icons).

	** See bug #38791 and bug #36142.

	* camel-gpg-context.c (gpg_ctx_op_step): use poll rather than
	select, and listen to the cancellation fd as well.  perform all
	cancellation here.
	(gpg_sign): remove cancellation check/processing.
	(gpg_verify): same.
	(gpg_encrypt): same.
	(gpg_decrypt): same.
	(gpg_ctx_op_step): remove the messy execption handling stuff, it
	wasn't useful.
	(gpg_import_keys, gpg_export_keys): clean up exception case.

	** See bug #72020.

	* camel-filter-driver.c (do_score): don't use
	camel_folder_set_message_user_tag anymore, use the messageinfo
	interface.
	(do_adjust_score): implement missing function.

	* camel-store.c (camel_store_folder_uri_equal): check the path
	isn't NULL before dereferencing it.  Could happen with badly
	formed uris (since we're comparing folders, it MUST contain a path
	or fragment).

2005-01-31  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* providers/groupwise/camel-groupwise-folder.c
	  (groupwise_folder_get_message): fixed a crash
	  while getting message. also applied lock 
	  when getting message
	* providers/groupwise/camel-groupwise-store.c
	  (gropuwise_get_folder_info),
	  (groupwise_create_folder),
	  (groupwise_delete_folder): applied locks which
	  were missed out previously

2005-01-31  Hans Petter Jansson  <hpj@novell.com>

	* camel-mime-utils.c (camel_mime_special_table): Remove this, it's
	declared externally now.

2005-01-31  Not Zed  <NotZed@Ximian.com>

	** See bug #70303.

	* tests/mime-filter/test1.c: added new test for
	camel-mime-filter-canon.c

	* camel-mime-filter-canon.c (filter_run): separated out from
	filter.  Fix a case when it finds an embedded "From " not to
	create "=46rom rom".
	(complete): Properly canonicalise \n -> \r\n rather than just
	copying it across (use filter_run now).

	** See bug #68741.

	* camel-vtrash-folder.h: move Junk and Trash into the ".#evolution"
	'namespace'.

	* camel-store.c (add_special_info): only compare the full name for
	the special folder.

	** See bug #38671.

	* camel-filter-search.c (check_header): check all instances of
	headers for match string.

2005-01-28  Not Zed  <NotZed@Ximian.com>

	* camel-provider.h: Added CAMEL_URL_PART_HIDE* options, required
	for more flexible extensibility.

2005-01-29   Sivaiah Nallagatla <snallagatla@novell.com>

	* providers/groupwise/camel-groupwise-store.c 
	(groupwise_auth_loop) : change the default to 7191 
	use "use_ssl" param from CamelUrl instead of soap_ssl

2005-01-29   Sivaiah Nallagatla <snallagatla@novell.com>

	* providers/groupwise/camel-groupwise-provider.c 
	(camel_provider_init) : Make the soap mailer 
	default for groupwise accounts. exporting USE_IMAP 
	will cause imap to be used 

2005-01-27  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-summary.c
	(camel_imap4_summary_init): Default the have_mlist bit to TRUE so
	that upgraders from 2.0 won't have their summaries rescanned.
	(camel_imap4_summary_flush_updates): Always update have_mlist to
	reflect reality.

2005-01-27  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* providers/groupwise/camel-groupwise-folder.c
	(groupwise_refresh_info):
	(gw_update_summary): using getquickmessages instead of get items

	* providers/groupwise/camel-groupwise-store.c
	(groupwise_get_folder): using get quick messages instead of get
	items

2005-01-27  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap4/camel-imap4-summary.c (untagged_fetch_all):
	Decode References to improve threading code (In-Reply-To from
	ENVELOPE just wasn't good enough to make users happy). See bug
	#71808.
	(untagged_fetch_all): Look at the Content-Type header to decide if
	the message might contain attachments.
	(imap4_summary_fetch_all): Added References and Content-Type to
	our query.

	* providers/imap4/camel-imap4-engine.c (engine_parse_namespace):
	Fixed to handle "" as the delim portion of the NAMESPACE. Fixes
	bug #71847.

2005-01-26  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-summary.c (imap4_header_load): Check
	whether or not we have mlist info in our summary.
	(imap4_header_save): Save have_mlist.
	(camel_imap4_summary_flush_updates): Modified to clear the summary
	and do a complete refetch if enable_mlist has been newly enabled
	and we don't already have mlist info in our summary info's.
	(imap4_fetch_all_add): If the \Recent flag is set, also add it to
	the "recent" changes structure so the filetr code knows to filter
	it.

2005-01-25  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-folder.c (camel_imap4_folder_new):
	Setup filtering and junk filtering stuff.

2005-01-24  JP Rosevear  <jpr@novell.com>

	* tests/folder/test6.c: get imap4 not imap

	* tests/folder/test4.c: ditto
	
2005-01-24  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-folder.c (camel_imap4_folder_new):
	Default enable_mlist to ON.
	(imap4_append_message): Don't compare date_received against -1,
	compare it to 0 (since that's what it'll be if unset).

2005-01-24  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap4/camel-imap4-store.c (imap4_get_folder_info):
	Respect the user's namespace override setting.
	(imap4_get_folder_info): Changed the behaviour a bit to work like
	the old imap code: only use the cache if the network is
	unavailable, otherwise always scan the server for the folder
	listing.
	(imap4_get_folder_info): Always get INBOX (fix for cases where
	INBOX wasn't under the namespace and for cases where it's not
	subscribed).

2005-01-24  Parthasarathi Susarla <sparthasarathi@novell.com>

	* providers/groupwise/camel-groupwise-folder.c
	(groupwise_transfer_messages_to): using moveItemRequest for moving
	messages between folders.

2005-01-23  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap4/camel-imap4-store.c (imap4_construct): Check if
	we have the use_lsub url param and set the store->flags
	appropriately.

2005-01-24  Not Zed  <NotZed@Ximian.com>

	** See bug #71427.

	* providers/pop3/camel-pop3-store.c (pop3_connect): fix the
	exception case for re-prompting for the password.

	** See bug #71625, and bug #56110.

	* providers/imap/camel-imap-folder.c (get_content): when getting a
	simple content for a message, don't get .TEXT, as that is the full
	content of a message, not the part itself.

2005-01-23  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap4/camel-imap4-summary.c (untagged_fetch_all):
	Handle BODY[HEADER.FIELDS ...] responses for cases where we may
	wish to query for mailing-list headers.
	(imap4_summary_fetch_all): If enable_mlist is set for this folder,
	then query for mailing-list headers as well.

	* providers/imap4/camel-imap4-folder.c (imap4_getv): Added a new
	property to enable mlist detection (which will change our summary
	query to the same as the old imap code).
	(imap4_setv): Implemented.

2005-01-21  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-summary.c (imap4_header_load): Fixed
	to load fixed_int32's rather than uint32's.
	(imap4_header_save): Fixed to save fixed_int32's rather than
	uint32's for compat with old imap code.

	* providers/Makefile.am: Removed "imap" from the build and made
	"imap4" the default.

	* providers/imap4/libcamelimap4.urls: Fixed to only list "imap"

	* providers/imap4/camel-imap4-provider.c: Changed the 'protocol'
	string to "imap" from "imap4" so we override the old imap urls.

	* providers/imap4/camel-imap4-summary.c: Updated to load/save in
	the same format as the old imap code so no migration is necessary.

	* camel-offline-journal.c: Same.

	* camel-offline-folder.c (camel_offline_folder_downsync): Use a
	new macro to get the class from the offline folder object, don't
	cast the object as a class.

2005-01-20  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* providers/groupwise/camel-groupwise-folder.c
	  (groupwise_folder_get_message) : support for status
	  for message tracking. 
	  Removed compiler warnings.

2005-01-20  Parthasarathi Susarla <sparthasarathi@novell.com>

	* providers/groupwise/camel-groupwise-folder.c 
	  (groupwise_folder_get_message):
	  Show warning, but display message in case we cannot get
	  attachments. 
	  Display the itip control for appointments even if no 
	  message body is present
	* providers/groupwise/camel-groupwise-store.c 
	  (groupwise_get_folder_info):
	  Not displaying the Calendar and Contacts folders in the mail
	  view.

2005-01-20  Not Zed  <NotZed@Ximian.com>

	* camel-lock-helper.c (main): since malloc(MAXINT+1) returns a
	valid pointer, validate the length of the path before using it.
	set maximum path to 65000 characters.  Spotted by Max Vozeler
	<max@hinterhof.net>

2005-01-19  Jeffrey Stedfast  <fejj@novell.com>

	* camel-offline-folder.c (camel_offline_folder_class_init): Only
	init the perperties list once (class_init can be called multiple
	times apparently).

	* providers/imap4/camel-imap4-utils.c: disable debugging.

	* providers/imap4/camel-imap4-folder.c (camel_imap4_folder_new):
	Set a cmeta file path.

	* providers/imap4/camel-imap4-command.c: Disable debugging spew
	unless imap4:command is enabled.

	* camel-offline-folder.c (camel_offline_folder_downsync): Documented.

	* camel-offline-store.c (camel_offline_store_set_network_state):
	Use NULL as the search expression which forces all messages to be
	synced.

2005-01-18  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-summary.c (imap4_header_load): Load
	the IMAP4 summary version.
	(imap4_header_save): Save the IMAP4 summary version.

2005-01-13  Jeffrey Stedfast  <fejj@novell.com>

	* providers/groupwise/camel-groupwise-journal.c
	(groupwise_entry_load): Simplified the exception case. Also, in
	the exception case don't abort() if entry->type is an unknown type
	(keeps us from "crashing" on invalid/corrupted journal data).
	(camel_groupwise_journal_append): Don't free the uid here.
	(camel_groupwise_journal_transfer): Same.
	(groupwise_entry_write): Save the original_uid for TRANSFER types
	as we need it when we later replay the journal.
	(groupwise_entry_load): Load the original_uid here for TRANSFER
	entries.
	(groupwise_entry_free): Free the original_uid too.
	(groupwise_entry_play_transfer): Untangled from the APPEND entry
	replay because the code has very little to nothing in
	common. Also, after transfer we need to get the new message info
	structure and copy user tags/flags and system flags over or we
	lose that information.
	(play_update): Removed.

2005-01-19  Parthasarathi Susarla <sparthasarathi@novell.com>

	* providers/groupwise/camel-groupwise-folder.c
	(groupwise_folder_get_message): set the message id as the uid
	for the CamelMimeMessage
	
2005-01-18  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* providers/groupwise/camel-groupwise-store.c:
	  Removed debug statements and compiler warnings

2005-01-17 Sivaiah Nallagatla <snallagatla@novell.com>

	* camel-groupwise-provider.c : remove poa ip and 
	soap ssl settings. We no longer need them as we now use soap for mail 
	
	* camel-groupwise-store.c (groupwise_auth_loop) :
	when use_ssl is whenever possible try to login 
	using https and them if it fails using http 
	
2005-01-17  Not Zed  <NotZed@Ximian.com>

	* tests/lib/folders.c (test_folder_basic): dont enforce local
	store == no inbox; maildir implements one now.

	* camel-multipart-signed.c (skip_content): in the message state
	skip a state, otherwise we go nowhere but down an overflowed stack
	drain.

2005-01-14  Not Zed  <NotZed@Ximian.com>

	** Better fix for #65178.
	
	* tests/folder/test11.c: new maildir test.

	* camel-store.c (camel_store_folder_uri_equal): dont pass NULL
	values to compare_folder_name.

	* providers/local/camel-maildir-store.c (get_folder_info):
	reimplemented, now everything isn't a subfolder of INBOX ('.')
	anymore.
	(get_inbox): call main entry point so we don't create multiple
	inboxes each call.
	(scan_dirs): re-implemented using non-recursive implementation.
	(scan_fi, scan_free, scan_equal, scan_hash): helpers for above.
	(md_canon_name): helper to canonicalise old-format names to new
	ones.
	(maildir_hash_folder_name, maildir_compare_folder_name): implement
	custom folder hash functions so canonicalisation works.
	(get_folder): canoncalise name before using it.  special case '.'
	aka 'inbox', so that it is implicitly created if accessed.
	(delete_folder): don't let the caller delete ".".
	(camel_folder_info_new): removed.

2005-01-14  Jeffrey Stedfast  <fejj@novell.com>

	* providers/smtp/camel-smtp-transport.c
	(connect_to_server_wrapper): if the first connection fails, clear
	the exception before trying again.
	(connect_to_server): Use ssl_new_raw() for STARTTLS mode
	conenctions. Fixes bug #71082.

2005-01-14  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-journal.c (imap4_entry_play_append):
	Get the appended_uid from camel_folder_append_message() so that we
	can copy all user flags/tags over from the journal info over to
	the real summary info once the append has completed (assuming of
	course that the server supports UIDPLUS).
	(camel_imap4_journal_readd_failed): New function to readd
	message-info's from failed journal appends to the folder summary
	so that they aren't lost from the user's message-list (they have
	to temporarily be removed while the summary updates itself from
	the server or Bad Things (tm) would happen).

	* providers/imap4/camel-imap4-summary.c
	(camel_imap4_summary_flush_updates): Readd the failed journal
	replay info's to the summary so even if messages fail to be
	appended to the folder, the user will still see them in his/her
	message-list.

2005-01-12  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-provider.c: Use the same key
	shortcuts as current imap code.

2005-01-13  Not Zed  <NotZed@Ximian.com>

	** See bug #65178.

	* providers/local/camel-maildir-store.c (get_folder_info)
	(get_folder): if the incoming folder name starts with /, convert
	it to implicit start with "./".

	** See bug #69024.

	* providers/nntp/camel-nntp-store.c
	(nntp_store_get_subscribed_folder_info): emit a folder_changed
	event if refreshing it added any changes.

2005-01-12  Not Zed  <NotZed@Ximian.com>

	** See bug #47824.

	* camel-multipart-signed.c (parse_content): re-implemented to use
	camel-mime-parser.  For the annoying pathalogical case of re-used
	multipart boundary markers.

	* camel-mime-parser.c (folder_scan_step): modified the multipart
	state so that we don't try to match the same boundary again if
	we've already seen an end boundary for this part.  This is for the
	annoying case of a multipart inside a multipart which shares an
	identical boundary marker (groupwise!).
	(camel_mime_parser_tell_start_boundary): new function to indicate
	the offset of the start of the last boundary.

	* tests/message/test3.c (main): remove the nonfatal fixme & put
	extra null check for pre/postface text checks.

	* tests/message/test2.c (convert): use size_t for iconv length
	types.

2005-01-11  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-store-summary.c
	(camel_imap4_store_summary_get_folder_info): Fixed a possible
	uninitialised condition.

2005-01-12  Sushma Rai <rsushma@novell.com>

	* camel-provider.[ch]: Removed camel_provider_validate_user()
	and added a void pointer to CamelProvider structure. 

2005-01-12  Not Zed  <NotZed@Ximian.com>

	** See bug #70095.

	* camel-vee-folder.c (vee_delete): fix past-o, unlock not lock
	lock when done.

2005-01-08  Not Zed  <NotZed@Ximian.com>

	* camel-sasl-ntlm.c: convert all the unsigned long/long stuff to
	guint32 since it seems to need 32 bit integers.

	* camel-url.c (camel_url_new_with_base): cast length to int.

	* providers/imap/camel-imap-command.c
	(imap_command_strdup_vprintf): cast strlen to int.

	* camel-mime-utils.c (append_quoted_pair, header_decode_text): use
	gssize for length to match dumb g-api.

2005-01-11  Parthasarathi Susarla <sparthasarathi@novell.com>

	* providers/groupwise/camel-groupwise-store.c
	  (groupwise_create_folder): fixed a crash when creating a folder.
	  was not building the folder info

2005-01-11  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* providers/groupwise/camel-groupwise-folder.c
	  (groupwise_sync): to sync back flags to the server. currently
	  can sync only read messages.
	  (groupwise_append_message): set source based on folder 
	* providers/groupwise/camel-groupwise-utils.[ch]
	  (do_flags_diff): finds the difference between flags. Based on the
	  imap4 code by fejj

2005-01-11  JP Rosevear  <jpr@novell.com>

	* providers/groupwise/camel-groupwise-transport.h: remove defines

	* providers/groupwise/camel-groupwise-transport.c (groupwise_send_to) 
	(groupwise_send_to): use util routine to build item

	* providers/groupwise/camel-groupwise-store.h: new protos

	* providers/groupwise/camel-groupwise-store.c
	(groupwise_rename_folder): use new api name and don't strdup the
	lookup name
	(camel_groupwise_store_folder_lookup): find folder from container id

	* providers/groupwise/camel-groupwise-journal.[hc]: implement
	journalling for append and transfer

	* providers/groupwise/camel-groupwise-folder.h: add journal member

	* providers/groupwise/camel-groupwise-folder.c
	(groupwise_folder_get_message): use new api name and don't strdup
	the lookup name
	(groupwise_refresh_info): ditto
	(groupwise_append_message): ditto
	(groupwise_expunge): ditto
	(groupwise_transfer_messages_to): handle being in offline mode

	* providers/groupwise/Makefile.am: build journal sources

2005-01-11 Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* providers/groupwise/camel-groupwise-folder.c
	  (groupwise_append_message): support for append messages
	  into groupwise folders.
	* providers/groupwise/camel-groupwise-utils.[ch]
	  (camel_groupwise_util_item_from_message): creates an groupwise
	  item from CamelMimeMessage
	
2005-01-11 Vivek Jain  <jvivek@novell.com>
	* camel-store.h : defined flags for shared folders

2005-01-11  Not Zed  <NotZed@Ximian.com>

	** See bug #70919.

	* camel-multipart-signed.c (parse_content): treat the post pointer
	as binary, not 0 terminated.

2004-12-23  Not Zed  <NotZed@Ximian.com>
 
      ** See bug #70556.
      
      * providers/imap/camel-imap-command.c (imap_read_untagged): scan
      the non-literal contnet for s-expression brackets, and if we seem
      to be outside of one, don't try the 'blank line after literal'
      hack.

2005-01-10  Jeffrey Stedfast  <fejj@novell.com>

	* providers/groupwise/camel-groupwise-folder.c
	(groupwise_folder_get_message): Updated the offline check to use
	CamelOffline methods.
	(groupwise_refresh_info): Same.
	(groupwise_cache_message): Removed.
	(groupwise_folder_get_message): Use CAMEL_RECIPIENT_TYPE_* rather
	than strings.
	(groupwise_expunge): Updated to fit the normal CamelStore expunge
	API and fixed a deadlock condition.

	* providers/groupwise/camel-groupwise-store.c
	(groupwise_get_folder_offline): Removed.
	(groupwise_get_folder_online): Renamed to groupwise_get_folder()
	and made to handle offline case.
	(groupwise_connect_offline): Removed.
	(groupwise_disconnect_offline): Removed.
	(groupwise_get_fodler_info_online): Renamed
	groupwise_get_folder_info() - if in offline mode, do the offline
	thing.
	(groupwise_create_folder): Updated for CamelOfflineStore stuff.
	(groupwise_delete_folder): Same.
	(groupwise_rename_folder): Same.

	* providers/imap4/camel-imap4-stream.c: Disable token debug spew
	unless imap4:stream debug is enabled.

2005-01-10  Sushma Rai <rsushma@novell.com>

	* camel-provider.[ch] (camel_provider_validate_user):
	Given the server URL, validates the user credentials if
	the provider supports.
	Added temporarily for Exchange connector, will be removed
	once connector plugin is made external.

2005-01-10  Parthasarathi Susarla <sparthasarathi@novell.com>

	* providers/groupwise/camel-groupwise-folder.c
	(groupwise_folder_get_message),
	(groupwise_refresh_info): included default and notification in
	the view list for e_gw_connection_get_item.
	
	* providers/groupwise/camel-groupwise-store.c
	(groupwise_get_folder_online):included default and notification
	in the view list for e_gw_connection_get_items.
	
	* providers/groupwis/camel-groupwise-transport.[ch]
	(groupwise_send_to): sets send options in EGwItem by parsing the
	camelmimemessage for send-option headers

2005-01-10  Parthasarathi Susarla <sparthasarathi@novell.com>

	* providers/groupwise/camel-groupwise-store-summary.[ch]:
	implements the CamelStoreSummary Class providing support
	for store summary for the soap provider.

	* providers/groupwise/camel-groupwise-store.c
	(groupwise_get_folder_info_online): saves the store summary
	after building folder info.
  
2005-01-07  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-store.c (imap4_connect): Same as
	imap4-folder changes.
	(imap4_disconnect): Same.
	(imap4_get_folder): Same.
	(imap4_query_auth_types): Same.
	(imap4_create_folder): Same.
	(imap4_delete_folder): Same.
	(imap4_rename_folder): Same.
	(imap4_subscribe_folder): Same.
	(imap4_unsubscribe_folder): Same.

	* providers/imap4/camel-imap4-folder.c (camel_imap4_folder_new):
	Instead of checking the session online state, check the
	OfflineStore network availability state.
	(imap4_sync): Same.
	(imap4_refresh_info): Same.
	(imap4_get_message): Here too.
	(imap4_append_message): Same.
	(imap4_transfer_messages_to): Same.

2005-01-07  Parthasarathi Susarla <sparthasarathi@novell.com>

	* providers/groupwise/camel-groupwise-transport.c
	(groupwise_send_to): fixed the problem of the mail message (body)
	being treated as an attachment

2005-01-07  JP Rosevear  <jpr@novell.com>

	* providers/groupwise/camel-groupwise-store.c
	(groupwise_store_construct): don't free an alloca'd memory pointer

2005-01-06  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-summary.c: Changed to use the new
	CamelOfflineJournal API.

	* providers/imap4/camel-imap4-journal.c: Changed to inherit from
	the new CamelOfflineJournal class.

	* providers/imap4/camel-imap4-folder.c: Changed to inherit from
	CamelOfflineFolder
	(camel_imap4_folder_class_init): Removed the properties setup code
	- no longer needed as it is handled in our parent class now.
	(camel_imap4_folder_finalize): Use camel_offline_journal_write()

	* providers/imap4/camel-imap4-store.c: Changed to inherit from
	CamelOfflineStore rather than CamelStore.

	* camel-offline-journal.[c,h]: New abstract class for keeping a
	journal of folder operations done while in offline mode. (Future
	replacement for CamelDiscoDiary?)

	* camel-offline-folder.[c,h]: New abstract class for offline
	folders - handles syncing messages from the server to disk for
	offline use. (Future replacement for CamelDiscoFolder?)

	* camel-offline-store.[c,h]: New abstract class for offline stores
	- handles switching between network avail/unavail. (Future
	replacement for CamelDiscoStore?)

2005-01-06 Parthasarathi Susarla <sparthasarathi@novell.com>

	* providers/groupwise/camel-groupwise-store.[ch]
	(groupwise_get_folder_info_online): update the total and unread
	mail count from soap response
	(groupwise_rename_folder): fixed problems in renaming groupwise
	folders
	(storage_path_lookup): returns the storage path for the groupwise
	account

	* providers/groupwise/camel-groupwise-folder.c
	(groupwise_folder_get_message): support for shared folder
	notification type. displaying the itip control for appoinments.
	(groupwise_folder_rename): support function for renaming cache and
	summary when a groupwise folder is renamed
	(groupwise_transfer_online): function for copying/moving messages
	between folders
	(convert_to_calendar): function to populate data for displaying
	appointments by itip control

	* providers/groupwise/camel-groupwise-transport.c
	(groupwise_send_to): support for sending attachments

2005-01-04  Sivaiah Nallagatla     <snallagatla@novell.com>

	* providers/groupwise/camel-groupwise-store.c
	(groupwise_create_folder, groupwise_delete_folder),
	(groupwise_rename_folder): prevent these operations in offline
	mode

2005-01-04  Parthasarathi Susarla <sparthasarathi@novell.com>

	* providers/groupwise/camel-groupwise-store.c
	(groupwise_store_construct): initialise the store summary.

2005-01-04  Parthasarathi Susarla <sparthasarathi@novell.com>

	* providers/groupwise/camel-groupwise-transport.c
	(groupwise_send_to): freeing the recipient list and assigning to
	NULL, which was causing a crash while sending mails.

2004-12-31  JP Rosevear  <jpr@novell.com>

	* providers/groupwise/Makefile.am: dist the private header, fix
	includes

	* tests/smime/pgp.c (main): use define for data location

	* tests/smime/Makefile.am: define for the data dir

	* tests/mime-filter/test-charset.c (main): load and output to the
	correct dir

	* tests/message/Makefile.am: clean up generated files

	* Makefile.am: clean up the package config data

	* tests/Makefile.am: dist the data dir

2004-12-23  Sivaiah Nallagatla <snallagatla@novell.com>

	* providers/groupwise/camel-groupwise-provider.c : changed the
	offline_sync setting label 

2004-12-23  Parthasarathi Susarla <sparthasarathi@novell.com>
	* providers/groupwise/camel-groupwise-private.h:
	  Added the file which was missed out in the previous commit.

2004-12-23  Parthasarathi Susarla <sparthasarathi@novell.com>

	* providers/groupwise/camel-groupwise-store.[ch]
	* providers/groupwise/camel-groupwise-transport.[ch]
	* providers/groupwise/camel-groupwise-utils.[ch]
	* providers/groupwise/camel-groupwise-store-summary.[ch]
	* providers/groupwise/camel-groupwise-summary.[ch]:
	 Added the above files for implementing mailer for soap based
	 camel provider for groupwise server.
	* providers/groupwise/Makefile.am : added new files to SOURCES 
	* providers/groupwise/camel-groupwise-provider.c:(camel_provider_module_init): 
	check for an environment variable SOAP_MAILER, if not present will use IMAP 
	instead of soap.

2004-12-23  Not Zed  <NotZed@Ximian.com>

	* camel-folder-search.c (check_header): treat a missing header as
	if it was set to "".

	* camel-object.c (camel_object_is, camel_object_class_is)
	(camel_interface_is): check for null values before dereferencing
	them.

2004-12-20  David Mosberger-Tang  <David.Mosberger@acm.org>

	* camel-mime-parser.c: Include "libedataserver/e-memory.h".
	(STRUCT_ALIGN): Remove.
	(MemPoolNode): Likewise.
	(MemPoolThresholdNode): Likewise.
	(MemPool): Likewise.
	(mempool_new): Likewise.
	(mempool_alloc): Likewise.
	(mempool_flush): Likewise.
	(mempool_free): Likewise.
	(struct _header_scan_stack): Change type of "pool" from MemPool to
	EMemPool.
	(folder_pull_part): Call e_mempool_destroy() instead of
	mempool_free().
	(header_append_mempool): Call e_mempool_alloc() instead of
	mempool_alloc().
	(folder_scan_header): Call e_mempool_new() instead of
	mempool_new().

2004-12-20  Not Zed  <NotZed@Ximian.com>

	* camel-operation.c (camel_operation_init): remove
	(camel_operation_shutdown): remove.
	(co_getcc): new helper to get the current thread-specific value &
	init if need be.

	* camel-mime-utils.c (camel_mime_utils_init): removed, taken from
	prebuilt tables now.
	(header_remove_bits, header_init_bits, header_decode_init) 
	(base64_init): removed, handled by perl script now.

	* camel.c (camel_shutdown): dont shutdown mime utils anymore.

	* camel-mime-utils.c (mailing_list_init): move the mailing list
	init stuff from camel-mime-utils-init to here.
	(camel_header_raw_check_mailing_list): call mailing_list_once to
	init the regular expression tables.
	(camel_mime_utils_shutdown): removed, it can 'leak' the static
	memory.
	(base64_init): removed, this data never changes, keep table in
	static memory.

2004-12-15  Rodney Dawes  <dobey@novell.com>

	* Makefile.am: Move camel-search-private.h to libcamelinclude_HEADERS
	so we can install it so Evolution can build from a disted tarball

2004-12-14  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-folder.c
	(imap4_transfer_messages_to): Doh. Unlock the connect_lock at the
	end, don't lock it again :)

	* providers/imap4/camel-imap4-journal.c
	(camel_imap4_journal_append): Now takes an appended_uid
	argument. Also fixed to add a message-info place-holder to the
	summary.

	* providers/imap4/camel-imap4-folder.c (imap4_append_message): get
	an appedned_uid for the journalled append.
	(imap4_transfer_messages_to): Updated for appended_uid API change.

2004-12-14  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-journal.[c,h]: New source files
	implementing a basic journal.

	* providers/imap4/camel-imap4-summary.c
	(camel_imap4_summary_flush_updates): Replay the journal.

	* providers/imap4/camel-imap4-folder.c
	(camel_imap4_folder_finalize): Write/unref the journal.
	(camel_imap4_folder_new): Create a journal object.
	(imap4_append_message): Journal the message append if we're in
	offline mode.
	(imap4_transfer_messages_to): Implement offline copy/move support
	using the new journal code.

2004-12-09  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-folder.c (imap4_append_message):
	Don't bother sending UID APPEND if the caller doesn't care about
	appended_uid.

2004-12-13  Not Zed  <NotZed@Ximian.com>

	* tests/lib/Makefile.am: put the test-provider stuff back in.

	* tests/*/Makefile.am: version libcamel*.

	* tests/lib/camel-test-provider.[ch]: duh, re-implement, it got
	lost somehow.

2004-12-07  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-folder.c (imap4_append_message):
	Need to have the folder as the first vararg.

2004-12-06  Rodney Dawes  <dobey@novell.com>

	* camel-lock-client.c (camel_lock_helper_init):
	Exec camel-lock-helper-$BASE_VERSION instead of just camel-lock-helper

2004-12-06  Jeffrey Stedfast  <fejj@novell.com>

	* camel-sasl-gssapi.c: #include "camel-net-utils.h"

	* camel-net-utils.h: #include sys/types.h for size_t, etc.

2004-12-06  Rodney Dawes  <dobey@novell.com>

	* Makefile.am: Fix pkgconfig bits to dist the unversioned .in files
	properly

	* tests/lib/Makefile.am: Removed camel-test-provider stuff, since it
	isn't in the source tree

2004-11-29  Mengjie Yu  <meng-jie.yu@sun.com>

	* providers/imap/camel-imap-provider.c:add mnemonic for checkboxes.

2004-12-03  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-store.c (connect_to_server): Same.

	* providers/nntp/camel-nntp-store.c (connect_to_server): Same.

	* providers/imap/camel-imap-store.c (connect_to_server): Same.

	* providers/pop3/camel-pop3-store.c (connect_to_server): Same.

	* providers/smtp/camel-smtp-transport.c (connect_to_server): Wrap
	ssl stream stuff in #ifdef's so the code can be built without SSL
	support and not contain unresolved symbols.

2004-12-03  Sivaiah Nallagatla <snallagatla@novell.com>

	* providers/groupwise/camel-groupwise-provider.c: Remove
	unnecessary includes . Remove camel-gw-listener stuff from here as
	we are going to make it a plugin

	* providers/groupwise/Makefile.am: Remove camel-gw-listner.c from
	SOURCES

	* providers/Makefile.am: add groupwise to SUBDIRS 
		
2004-12-02  Not Zed  <NotZed@Ximian.com>

	** See bug #69533.

	* providers/imap/camel-imap-command.c (imap_read_untagged): gross
	hack, if we get a blank line after a literal, assume the server
	(read: groupwise) made a mistake.  Given the complexity of this
	code i'm not sure it is the server anyway but what can you do.

2004-12-01  Not Zed  <NotZed@Ximian.com>

	** See bug #69776.

	* camel-multipart-signed.c (parse_boundary): take end of data
	argument, so it handles binary data.  Use a binary data string
	search rather than strstr.
	(parse_content): dont bother to append a \0 on the end of the
	data, not binary capable.

2004-11-23  Not Zed  <NotZed@Ximian.com>

	** See bug #69615.

	* camel-smime-context.c (sm_get_passwd): removed.  All callers
	that passed it now pass NULL.  This is so we don't override the
	password function set by e-cert-db.  Seems to work ok, I think.

2004-11-22  Not Zed  <NotZed@Ximian.com>

	** See bug #69109.

	* providers/smtp/camel-smtp-transport.c (smtp_helo): if we have
	ipv6 address and it is numeric, prefix it with "IPv6:"

2004-11-30  Not Zed  <NotZed@Ximian.com>

	* providers/nntp/camel-nntp-stream.c (CAMEL_NNTP_STREAM_LINE):
	rename to STREAM_LINE_SIZE so it doesn't override the STREAM_LINE
	enum.  Sigh.
	(camel_nntp_stream_init): fix for above change.

2004-11-28  S.Çağlar Onur  <caglar@uludag.org.tr>

	** See bug #69446.

	* camel-charset-map.c (camel_charset_iso_to_windows):

	* camel-filter-search.c (check_header):

	* camel-folder-search.c (check_header):

	* camel-folder-summary.c
	(message_info_new,summary_build_content_info,camel_system_flag):

	* camel-html-parser.c (camel_html_parser_attr):

	* camel-mime-filter-enriched.c 
	(param_parse,camel_mime_filter_enriched_init):

	* camel-mime-parser.c (folder_scan_step,main):

	* camel-mime-utils.c (camel_header_param,camel_header_set_param),
	(camel_content_type_is,camel_transfer_encoding_from_string),
	(camel_content_type_format,camel_content_type_simple),
	(camel_header_decode_date,header_raw_find_node):

	* camel-sasl-digest-md5.c (decode_data_type):

	* providers/imap/camel-imap-command.c (camel_imap_response_free):

	* providers/imap/camel-imap-folder.c (camel_imap_folder_new),
	(camel_imap_folder_selected,imap_refresh_info),
	(camel_imap_folder_new,camel_imap_folder_selected):

	* providers/imap/camel-imap-store.c (imap_get_capability),
	(imap_connect_online,get_folder_online,get_folder_offline),
	(get_subscribed_folders,folder_hash,get_folders):

	* providers/pop3/camel-pop3-store.c (get_folder):

	* tests/lib/folders.c (test_folder_message_ops): some strcasecmp()
	calls changed with g_ascii_strcasecmp() for Turkish character
	conversiton problems
	[http://www.i18nguy.com/unicode/turkish-i18n.html]

2004-10-12  Radek Doulik  <rodo@ximian.com>

	* camel-junk-plugin.c: new init method implementation

	* camel-junk-plugin.h: added junk plugin init declaration

2004-11-10  Not Zed  <NotZed@Ximian.com>

	** See bug #69109.
	
	* camel-service.c (cs_getnameinfo): honour the NI_NAMEREQD flag.

	* providers/smtp/camel-smtp-transport.c (smtp_helo): change the
	nameinfo flags a bit so we know when we got a numeric name and
	need to wrap it in [].

2004-11-21 Sivaiah Nallagatla <snallagatla@novell.com>
	
	* providers/groupwise/camel-groupwise-provider.c : added 
	a setting to mark the account for offline usuage 

	* providers/groupwise/came-gw-listener.c 
	(add_esource) (modify_esource) : changed the prototypes
	to pass CamelUrl instead of individual properties 
	Add offline_sync property on e-sources if account is 
	marked for offline

2004-11-18  Not Zed  <NotZed@Ximian.com>

	* providers/nntp/camel-nntp-stream.c:
	* providers/nntp/camel-nntp-store.c:
	* providers/nntp/camel-nntp-summary.c: Make debug run based on
	'nntp' debug option.

	* providers/nntp/camel-nntp-stream.c (stream_fill): if we get a 0
	read, return ECONNRESET.  This should really have been put on the
	stream for that imap hack fix.

	* providers/nntp/camel-nntp-store.c (camel_nntp_try_authenticate):
	retry if the password attempt failed.

	** See bug #68556.

	* providers/nntp/camel-nntp-store.c (xover_setup): don't overwrite
	exception if we get a failure.
	(camel_nntp_command): if we continue, then set the return code to
	-1, so we re-loop rather than abort.

2004-11-15  Jeffrey Stedfast  <fejj@novell.com>

	* providers/pop3/camel-pop3-store.c (connect_to_server_wrapper):
	In the fallback cases, clear the exception first.

	* providers/imap/camel-imap-store.c (connect_to_server_wrapper):
	In the fallback cases, clear the exception first.

	* providers/imap4/camel-imap4-store.c (connect_to_server_wrapper):
	In the fallback cases, clear the exception first.

2004-11-15  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap/camel-imap-store.c (connect_to_server): Use
	camel_tcp_stream_ssl_new_raw() for STARTTLS stream.

	* providers/imap4/camel-imap4-store.c (connect_to_server): Use
	camel_tcp_stream_ssl_new_raw() for STARTTLS stream.

	* providers/pop3/camel-pop3-store.c: Change default port numbers
	to be correct (they shouldn't all be the pop3s port).
	(connect_to_server): Moved the last tcp_stream unref to afetr the
	last fail-check so that we won't ever get a double-unref on
	something we only own one ref on.
	(connect_to_server): Unref the tcp_stream if we fail to create an
	engine object before returning fail.
	(connect_to_server): Use camel_tcp_stream_ssl_new_raw() for
	STARTTLS stream.

	* providers/imap4/camel-imap4-stream.c (camel_imap4_stream_line):
	Fix bug #69408 by filling our input buffer if inptr == inend.

2004-11-13  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap4/camel-imap4-engine.c
	(camel_imap4_engine_parse_resp_code): Handle numeric tokens for
	the COPYUID set values as well.

2004-11-12  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-summary.c (camel_imap4_summary_new):
	Folder now gets set on the CamelFolderSummary object rather than
	the CamelIMAP4Summary.
	(imap4_fetch_all_update): Base summary class now has a folder
	member, use that instead.
	(imap4_fetch_all_add): Same.
	(imap4_summary_fetch_all): Same.
	(imap4_summary_fetch_flags): Same.
	(camel_imap4_summary_set_uidvalidity): Same.
	(camel_imap4_summary_expunge): Same.
	(camel_imap4_summary_flush_updates): Same.

	* providers/imap4/camel-imap4-folder.c (imap4_append_message):
	Init appended_uid value to NULL

	* providers/imap4/camel-imap4-engine.c (engine_parse_namespace):
	Properly handle NILs for the namespace separator (somehow I missed
	this, silly me).

2004-12-02  Not Zed  <NotZed@Ximian.com>

	* Makefile.am: version all the libraries with the base version of the
	package.  move libcamel-1.2 into libdir, etc.

	* camel.pc.in: remove the provider stuff from here.

	* camel-provider.pc.in: create a camel-provider pc file.

2004-11-16  Not Zed  <NotZed@Ximian.com>

	* tests/lib/folders.c (test_folder_message_ops): updated counts for
	delete also marking unread.

	* tests/lib/camel-test.c (camel_test_provider_init): new api for
	initialising test system 'in-build'.

	* camel-provider.c: remove the assertions, init if we need to,k
	use pthread_once stuff to serialise it.

	* tests/folder/test3.c (main): remove gtk stuff (???).

	* tests/*: Fix all the makefiles.  Made make-check work 'in-build'.

	* tests/lib/folders.c (test_folder_counts): update for api changes.
	(test_message_info): similar.

	* providers/Makefile.am: removed groupwise from the build, this
	can't go in here anymore, not in its current state.

	* camel-net-utils.c (camel_gethostbyaddr_r)
	(camel_gethostbyname_r): the old e_gethost* calls from
	e-host-utils.c.

2004-11-15  Not Zed  <NotZed@Ximian.com>

	* providers/imap/camel-imap-utils.c (imap_path_to_physical):
	copied from e-path.c.
	(imap_path_find_folders): copied from e-path.c.

	* camel.h: remove the provider stuff from the header.

	* camel-provider.c: globalise provider_init variable, and asserton
	it in all functions that rely on it.

	* camel-service.c: removed getaddrinfo/etc.

	* camel-net-utils.[ch]: separate out camel_getaddrinfo etc.

	* Makefile.am: split camel into 2 libraries, libcamel and
	libcamel-store.

	* camel-multipart-signed.c (camel_multipart_signed_sign)
	(camel_multipart_signed_verify, prepare_sign): remove old
	deprecated api.

	* camel-multipart-encrypted.c (camel_multipart_encrypted_encrypt) 
	(camel_multipart_encrypted_decrypt): remove old deprecated api.

2004-11-12  Not Zed  <NotZed@Ximian.com>

        ** Merge in notzed-messageinfo-branch, fix some minor conflicts.

2004-11-11  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-store.c (imap4_reconnect): Free the
	passwd here if we need to retry to authenticate.

2004-11-10  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-summary.c (imap4_summary_fetch_all):
	Use the expanded ALL macro as on closer inspection of the RFC,
	we're not allowed to use macros in conjunction with other FETCH
	items (such as UID in our case).

2004-11-09  Not Zed  <NotZed@Ximian.com>

	* providers/imap/camel-imap-folder.c (imap_get_message): before
	short-circuiting the check for child content, check the child
	content info is actually correct.

2004-11-08  Not Zed  <NotZed@Ximian.com>

	** See bug #69145.

	* providers/imap/camel-imap-folder.c (get_message): remove spec
	argument, always calculate it from the content-info.
	(content_info_incomplete): recursively check the content-info for
	completeness, not just one level.

2004-11-09  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-provider.c: Updated the properties
	to include all the same settings as the old imap code.

	* providers/imap4/camel-imap4-folder.c (imap4_getv): Implemented.
	(imap4_setv): Implemented.

2004-11-08  Jeffrey Stedfast  <fejj@novell.com>

	Fix for bug #69241.

	* camel-gpg-context.c (gpg_decrypt): We need to extract just the
	application/pgp-encrypted part from the multipart/encrypted that
	gets passed in. Added checks to verify that the input part is the
	correct type as well. Once we have the application/pgp-encrypted
	part, we need to use camel_data_wrapper_decode_to_stream() in case
	the part was encoded in any way.

2004-11-09  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-stream.c (camel_imap4_stream_line):
	Handle not getting the CRLF pair together. Also don't require that
	we have at least 3 bytes in the read buffer as it is possible we
	don't have that much (see bug #69160).

2004-11-08  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-store.c (imap4_subscribe_folder):
	Note the folder-info just subscribed.
	(imap4_unsubscribe_folder): Unnote the folder-info.

2004-11-04  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-engine.c: Added much in-line
	documentation.
	(engine_parse_capability): Use g_ascii_str[n]casecmp().
	(camel_imap4_engine_nstring): New convenience function.

2004-11-02  Not Zed  <NotZed@Ximian.com>

	* camel-object.c (camel_object_hook_event): check interfaces for
	events too.
	(camel_object_trigger_event): check interfaces for events too.
	(camel_object_class_add_event): more checks for interfaces vs
	normal object classes.
	(camel_object_class_add_interface): add an interface to a class.
	(camel_object_get_interface): query for interfaces on an object.
	(camel_object_get_type): register the interface type.

2004-11-02  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-store.c (imap4_folder_utf7_name):
	Don't bother getting the folder delim if the name is "" since we
	don't need it in that case.

	* providers/imap4/camel-imap4-utils.c
	(camel_imap4_get_path_delim): add an assert that s->namespaces is
	non-NULL.

	* providers/imap4/camel-imap4-stream.c
	(camel_imap4_stream_literal): Update stream->inptr after fetching
	the literal chunk.

	* providers/imap4/camel-imap4-summary.c (envelope_decode_address):
	Do proper cleanup in case of error and also handle literals.

	* providers/imap4/camel-imap4-store.c (imap4_get_folder_info):
	Removed camel_service_connect() call which is no longer needed.
	(imap4_connect): If engine is already connected, shortcut to
	simply returning success.
	(imap4_disconnect): Check engine state rather than poking at
	stream state.

2004-11-01  Jeffrey Stedfast  <fejj@novell.com>

	* providers/smtp/camel-smtp-transport.c
	(connect_to_server_wrapper): Do the same SSL->TLS and TLS->CLEAR
	fallbacks that the 2.0 (and older) code did.

	* providers/pop3/camel-pop3-store.c (connect_to_server_wrapper):
	Same.

	* providers/imap4/camel-imap4-store.c (connect_to_server_wrapper):
	Same.

	* providers/imap/camel-imap-store.c (connect_to_server_wrapper):
	Same.

2004-11-01  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-summary.c
	(camel_imap4_summary_expunge): Remove expunged messages from the
	cache.
	(camel_imap4_summary_set_uidvalidity): Clear the cache if the
	UIDVALIDITY has changed.

	* providers/imap4/camel-imap4-folder.c (imap4_get_message): If the
	message exists in the cache, use that rather than fetching it from
	the server and cache messages fetched from the server for later
	use.
	(camel_imap4_folder_finalize): Unref the cache if non-NULL.
	(camel_imap4_folder_new): Create the CamelDataCache.

	* providers/imap4/camel-imap4-store.c (imap4_create_folder): Cache
	the folder-info on the summary if successful.
	(imap4_delete_folder): Un-cache the folder-info from the summary.

	* providers/imap4/camel-imap4-store-summary.c (load_namespaces):
	Cleaned up a bit.
	(save_namespaces): Same.
	(camel_imap4_store_summary_unnote_info): New function.
	(camel_imap4_store_summary_get_folder_info): Fixed the logic a
	bit.

2004-11-11  Not Zed  <NotZed@Ximian.com>

	* providers/imap4/*: Update for folder-summary api changes.

	* providers/imap4/camel-imap4-store.c (imap4_build_folder_info):
	clean up the logic for getting counts from the folder, we have
	code to do this already.  Also always run it against the selected
	folder, does'nt need to have FAST bit unset.

	* camel-folder-summary.c (camel_folder_summary_info_new): removed.

	* camel-string-utils.c (camel_pstring_strdup, camel_pstring_free):
	pooled string allocators.  Oh so much easier than the poolv thing,
	and these refcount too.

	* camel-folder-summary.h: put message_id back into the summary.

2004-11-08  Not Zed  <NotZed@Ximian.com>

	* camel-folder.c (camel_folder_get_deleted_message_count): use
	getv method to get the deleted count.
	(get_deleted_message_count): removed.

	* camel-vtrash-folder.c (vtrash_getv): override the unread count
	to ignore junked or deleted.

	* camel-folder.c (folder_getv): ignore junked and deleted in the
	unread count.

	* camel-vee-folder.c (camel_vee_folder_finalise): changed the
	logic slightly not to call internal functions directly.
	(vee_delete): implement, remove all our folders when we're
	deleted, to give unmatched at least a snowflakes chance in hell of
	working.

	* camel-vtrash-folder.c (vtrash_search_by_expression)
	(vtrash_search_by_uids, vtrash_folder_changed, vtrash_add_folder)
	(vtrash_remove_folder, vtrash_rebuild_folder): implement
	vtrash-optimised versions.  Much faster.

	* camel-vee-folder.c (camel_vee_folder_set_folders): don't rebuild
	the folder.
	(camel_vee_folder_add_folder): track folders here, but invoke
	virtual method to let subclasses know about it.
	(camel_vee_folder_remove_folder): similar.
	(vee_search_by_uids): free the folder_uids array with TRUE,
	plugging memory leak.

2004-11-06  Not Zed  <NotZed@Ximian.com>

	* camel-vee-folder.c: Removed vname, use Folder->full_name
	instead.  Make add_folder/remove_folder/set_expression/set_folders
	virtual methods.
	(vee_add_folder): virtual implementation.

	* camel-vee-summary.c (camel_vee_summary_add): remove folder arg.

2004-11-05  Not Zed  <NotZed@Ximian.com>

	* camel-vee-summary.c (vee_info_set_flags): don't emit changed for
	ourselves, let it filter through the changed handler, otherwise we
	do it twice.
	(vee_info_set_user_tag, vee_info_set_user_flag): same.

	* camel-folder-summary.c (message_info_new_from_header): use the
	string pool for allocations.
	(message_info_load): same here.
	(camel_pstring_strdup): noop for NULL or ""
	(camel_pstring_free): same.
	(summary_assign_uid): don't always assing the flagged bit, der.

2004-11-02  Not Zed  <NotZed@Ximian.com>

	* camel-folder-summary.c (camel_pstring_strdup)
	(camel_pstring_free, message_info_free, message_info_clone):
	'uniquify' the strings.

2004-10-28  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap4/camel-imap4-summary.c (envelope_decode_nstring):
	Handle literal strings.
	(envelope_decode_date): Same. Fixes bug #68894.

	* providers/imap4/camel-imap4-stream.c
	(camel_imap4_stream_next_token): Properly tokenise "\*" as a flag
	token. Fixes bug #68869.

2004-10-21  Björn Torkelsson <torkel@acc.umu.se>

	* camel-sasl-kerberos4.c: #include "camel-i18n.h"

2004-10-27  Julio M. Merino Vidal <jmmv@menta.net>

	* camel-operation.c (camel_operation_shutdown): fix the arguments
	to pthread_key_delete.

2004-10-26  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-store-summary.[c,h]: New files
	implementing a folder-info cache for offline mode (and faster
	startup I guess).

	* providers/imap4/camel-imap4-store.c (imap4_build_folder_info):
	Cache the folder-info for later use in offline mode.

	* providers/imap4/camel-imap4-utils.c
	(camel_imap4_get_path_delim): Instead of assigning top = "INBOX",
	do strcpy (top, "INBOX") so that we can later modify the
	string. Fixes bug #68814.

2004-10-25  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-engine.c (engine_parse_namespace):
	Updated to use the public function in camel-imap4-utils.c
	(camel_imap4_engine_finalize): Same.

	* providers/imap4/camel-imap4-store.c (imap4_construct): Setup and
	load the store summary.
	(camel_imap4_store_finalize): Unref the store summary.
	(imap4_get_folder): Implemented offline support.
	(imap4_folder_utf7_name): Pass the summary to get_delim rather
	than the engine.
	(imap4_create_folder): Same.
	(imap4_reconnect): Update the namespaces on the store summary.
	(connect_to_server): Update the store summary capabilities.

	* providers/imap4/camel-imap4-utils.c
	(camel_imap4_get_path_delim): Now takes a store-summary rather
	than an engine so that it will work in offline mode.
	(camel_imap4_namespace_clear): Moved here from
	camel-imap4-engine.c
	(camel_imap4_namespace_list_copy): New convenience function.
	(camel_imap4_namespace_list_free): New.

	* providers/imap4/camel-imap4-folder.c (camel_imap4_folder_new):
	Check the return value of summary loading in offline mode (if it
	fails, we can't get the folder).

2004-10-21  Jeffrey Stedfast  <fejj@novell.com>

	* camel-sasl-gssapi.c: #include "camel-i18n.h"

2004-10-20  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap4/camel-imap4-store.c (imap4_get_folder): Don't
	allow users to create folders in offline mode. When in offline
	mode, use a different codepath to get a folder object.
	(imap4_noop): Handle offline mode.
	(imap4_unsubscribe_folder): Throw an exception if we are in
	offline mode.
	(imap4_subscribe_folder): Same.
	(imap4_get_folder_info): Started to implement offline
	support. Also, even if we are in online mode but the engine has
	not yet been connected, we should follow the "offline" code path
	and get the folder info's from the cache.
	(imap4_rename_folder): Disallow in offline mode.
	(imap4_delete_folder): Same.
	(imap4_connect): Handle offline mode.
	(imap4_disconnect): Handle offline mode and do proper locking.
	(imap4_query_auth_types): Same.

2004-10-19  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap4/camel-imap4-summary.c (imap4_summary_fetch_all):
	Removed an already-fixed FIXME comment.
	(imap4_summary_fetch_flags): Same.

	* providers/imap4/camel-imap4-folder.c (imap4_get_path_delim):
	Removed. Use camel_imap4_get_path_delim() instead.
	(camel_imap4_folder_new): Updated.
	(imap4_sync): If we aren't online, we're done. nothing to do.
	(imap4_refresh_info): Same.
	(imap4_append_message): Same but set an exception.
	(imap4_transfer_messages_to): Same.

	* providers/imap4/camel-imap4-utils.c
	(camel_imap4_get_path_delim): Moved here from camel-imap4-store.c

	* providers/imap4/camel-imap4-store.c (imap4_try_authenticate):
	Change the service string for the sasl mechanism to"imap" rather
	than "imap4".
	(imap4_get_path_delim): Removed.
	(imap4_create_folder): Updated.
	(imap4_folder_utf7_name): Same.

2004-10-13  Not Zed  <NotZed@Ximian.com>

	* providers/imap4/camel-imap4-folder.c (camel_imap4_folder_new)
	(imap4_sync_changes, imap4_sync): 
	* providers/imap4/camel-imap4-summary.c (untagged_fetch_all): kill
	cast as lvalue warning.

	* camel-string-utils.h: add prototype for camel_toupper.

	* providers/imap4/camel-imap4-utils.c: 
	* providers/imap4/camel-imap4-summary.c: 
	* providers/imap4/camel-imap4-folder.c: 
	* providers/imap4/camel-imap4-engine.c: 
	* providers/imap4/camel-imap4-command.c: 
	* providers/imap4/camel-imap4-store.c: include camel-i18n.h.

2004-10-12  Not Zed  <NotZed@Ximian.com>

	** See bug ???

	* providers/nntp/camel-nntp-store.c (connect_to_server): if we
	have a username, try to authenticate before doing anything else.

	** See bug #67895.

	* providers/nntp/camel-nntp-summary.c (add_range_xover)
	(add_range_head): use raw_command_auth since we might need auth
	here.

	* providers/nntp/camel-nntp-store.c (camel_nntp_raw_command_auth):
	new almost-raw command that also does auth.
	(xover_setup, connect_to_server, camel_nntp_command): use
	raw_command_auth since we might need auth here.

2004-10-12  Not Zed  <NotZed@Ximian.com>

	** See bug #67898 and probably others.

	* providers/imapp/camel-imapp-store.c (connect_to_server):
	* providers/pop3/camel-pop3-store.c (connect_to_server_wrapper): 
	* providers/imap4/camel-imap4-store.c (connect_to_server_wrapper): 
	* providers/imap/camel-imap-store.c (connect_to_server_wrapper): 
	* providers/nntp/camel-nntp-store.c (connect_to_server_wrapper): 
	* providers/smtp/camel-smtp-transport.c (connect_to_server_wrapper):
	Fallback to hard-coded port number if the name lookup fails and no
	port was supplied.

2004-10-11  Not Zed  <NotZed@Ximian.com>

	** See bug #67211.

	* camel-mime-utils.c (camel_header_raw_check_mailing_list):
	initialise the match start/end pointers, since some regexec's
	don't seem to do it.

2004-10-09  Sivaiah Nallagatla <snallagatla@novell.com>

	* providers/groupwise/camel-gw-listner.c (add_esource) : add the
	source uid to list of selected calendar and tasks so that
	groupwise calendar and tasks are automatically selected
        (remove_esource) : remove the uids from corresponding gconf keys
	Fixes #62053

2004-10-08  Not Zed  <NotZed@Ximian.com>

	** See bug #67170.

	* providers/nntp/camel-nntp-store.c
	(nntp_store_get_cached_folder_info): compare newsgroup names case
	sensitively.

2004-10-05  Jeffrey Stedfast  <fejj@novell.com>

	* camel-service.c (camel_getaddrinfo): Check msg->result for error
	and set an exception if appropriate.
	(camel_getnameinfo): Same.

2004-10-04  Jeffrey Stedfast  <fejj@novell.com>

	* camel-service.c (camel_getaddrinfo): Add a non-const cast for
	hints when changing the ai_family member in the IPv6-disabled
	case. Fixes bug #67028.

2004-10-05  Not Zed  <NotZed@Ximian.com>

	** See bug #67527.

	* camel-service.c (cs_getaddrinfo, cs_getnameinfo): don't loop on
	EAI_AGAIN, it doesn't appear to mean the same as EAGAIN does with
	system calls (i guess 'no shit sherlock' really).

2004-10-04  JP Rosevear  <jpr@novell.com>

	* providers/imap4/camel-imap4-provider.c: include camel-i18n.h

2004-10-01  Jeffrey Stedfast  <fejj@novell.com>

	* camel-service.c (camel_getaddrinfo): Avoid assigning a value to
	the member of a const struct (which newer gcc's apparently break
	over) by casting to non-const.

2004-09-28  Not Zed  <NotZed@Ximian.com>

	** See bug #66509.

	* providers/nntp/camel-nntp-store.c (camel_nntp_command): if we
	get an error selecting the folder, disconnect/include it in the
	re-try loop.
	(camel_nntp_command): don't set the exception based on errno,
	exception processing is already done.  don't clear it if we're on
	the 3rd retry.

2004-09-27  Not Zed  <NotZed@Ximian.com>
	
	* providers/nntp/camel-nntp-store.c (nntp_get_folder_info): don't
	do any locking here.
	(nntp_store_get_folder_info_all): move the locking here.
	(nntp_store_get_subscribed_folder_info): and some here too.

	* providers/nntp/camel-nntp-store.c:
	* providers/nntp/camel-nntp-folder.c: Remove nntp command_lock and
	just use the service connect lock for serialisation.

2004-09-14  Jeffrey Stedfast  <fejj@novell.com>

	* providers/nntp/camel-nntp-store.c (camel_nntp_try_authenticate):
	s/not/no/ in the error string. Fixes bug #65828.

2004-09-24  Not Zed  <NotZed@Ximian.com>

	* camel-vee-store.c (camel_vee_store_finalise): free the unmatched
	uid values as well.

	* camel-vee-folder.c (vee_folder_remove_folder): lock main folder
	summary lock before doing the unmatched stuff, so the order is
	right.

2004-08-25  Ed Catmur  <ed@catmur.co.uk>

	** See bug #63881.

	* camel-vee-store.c:
	* camel-vee-folder.c: move the unmatched
	folder onto the camel-vee-store object.  Removede the global
 	unmatched folder and associated locks/etc, fixed all the code up
	to work with the new unmatched folder, if present.

2004-09-27  Not Zed  <NotZed@Ximian.com>

	* providers/local/camel-spool-folder.c (camel_spool_folder_new):
	make sure body indexing is turned off always, missed the ~ bit.

	* providers/local/camel-spool-store.c (camel_folder_info_new):
	dont take unread count.
	(spool_fill_fi): copied from mbox more or less.
	(scan_dir): use fill_fi to setup counts.
	(spool_new_fi): replace camel_foldeR_info_new with one that does
	most of the work, also generates uri's properly.
	(get_folder_info_mbox): make the 'system' inbox name translatable.

	* providers/local/camel-mbox-folder.h: make the
	camel_mbox_folder_get* functions properly public.

	* providers/local/camel-local-folder.h: pass the object to the
	virtual methods now, fix all callers.

	* providers/local/camel-spool-folder.c (spool_get_full_path)
	(spool_get_meta_path): implement, this needs to work differnetly
	to the parent classes implementations :-/.

2004-09-22  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap/camel-imap-store.c (connect_to_server): Instead
	of doing a host-lookup ourselves, get it passed in to us as an
	argument. Also simplified a bit (try_starttls is no longer an
	option).
	(connect_to_server_wrapper): Simplified (we no longer have
	fallback cases for SSL stuff). Also, perform host lookup here.

	* providers/imap4/camel-imap4-store.c: Same changes as above.

	* providers/pop3/camel-pop3-store.c: Same.

	* providers/smtp/camel-smtp-transport.c: Same. Other changes
	include making the code consistant with the other providers.

	* providers/nntp/camel-nntp-store.c: Same as pop/imap.

2004-09-21  Not Zed  <NotZed@Ximian.com>

	** See bug #63521.

	* camel-movemail.c (camel_movemail): don't clear exception on entry.

	* camel-folder-search.c (match_words_message): use local exception.

	* camel-operation.c (camel_operation_cancel_check): soak up all
	cancellation requests as soon as we get one.
	(camel_operation_uncancel): soak up all cancellation reqeusts when
	we uncancel.

	* camel-uid-cache.c (camel_uid_cache_save): open the file O_TRUNC
	rather than O_EXCL, otherwise a crash would mean this file never
	gets updated.
	(camel_uid_cache_save): block cancellation around writes otherwise
	we could be interupted from old cancellation.

	* providers/local/camel-local-folder.c
	(camel_local_folder_construct): don't clear exception here, just
	don't pass it to summary load.

	* providers/pop3/camel-pop3-store.c (pop3_connect): only clear the
	exception when we received one we handled.

	* camel-filter-driver.c (close_folder): if exception is already
	set, don't pass it to folder.sync().

	* camel-lock.c (camel_lock_folder): don't clear the exception
	here, if it came in set its a programming error.

	* camel-filter-driver.c (camel_filter_driver_filter_message): if
	the exception is set after evaluating the expression, stop
	immediately.

2004-09-13  Not Zed  <NotZed@Ximian.com>

	** See bug #47821.

	* camel-service.c: removed the old hostent based hostname interfaces.

	* camel-sasl-kerberos4.c (krb4_challenge): new hostname interfaces.

	* camel-sasl-gssapi.c (gssapi_challenge): new hostname interfaces.

	* camel-sasl-digest-md5.c (digest_md5_challenge): use new hostname
	interfaces.
	(generate_response): just take hostname directly, not hostent.

	* camel-mime-utils.c (camel_header_msgid_generate): use new
	hostname interfaces.

	* providers/smtp/camel-smtp-transport.c (connect_to_server): fixed
	to use new addrinfo apis.

	* providers/pop3/camel-pop3-store.c (connect_to_server): fixed to
	use new addrinfo apis.

	* camel-tcp-stream-ssl.c (stream_connect): try all addresses
	supplied.

	* camel-tcp-stream.c (camel_tcp_stream_get_remote_address)
	(camel_tcp_stream_get_local_address): return a sockaddr now, and
	also the address length.  Fixed all implementations and callers.
	(camel_tcp_stream_connect): use addrinfo rather than hostent for
	host AND port info.  Fixed all implementations and callers.

2004-09-22  Not Zed  <NotZed@Ximian.com>

	* camel-folder-summary.c (camel_folder_summary_decode_token):
	handle a zero-length token read rather than failing.

2004-09-21  Not Zed  <NotZed@Ximian.com>

	** See bug #66199.

	* camel-http-stream.c (stream_read): handle relative url's in
	redirect.
	(camel_http_stream_set_proxy): generate the basic auth token for
	basic proxy auth if we have a user and password.

	* camel-http-stream.c: turn off debug.

2004-09-08  Hannah & Fazlu <hannah_lins@yahoo.co.in>

        Fixes Bug#61088

	* camel/camel-smime-context.c: Change of strings.

2004-09-15  Not Zed  <NotZed@Ximian.com>

	** See bug #0xffff.

	* providers/local/camel-local-folder.c
	(camel_local_folder_construct): only emit folder_created if we
	actually created it.

2004-09-03  Not Zed  <NotZed@Ximian.com>

	* camel-tcp-stream-ssl.c (stream_connect): make ssl connection
	async and cancellable, and minor api update to async connection.

2004-08-27  Not Zed  <NotZed@Ximian.com>

	** See bug #64023.

	* providers/nntp/camel-nntp-store.c (camel_nntp_try_authenticate):
	forget the password if it was wrong.

2004-08-26  Sivaiah Nallagatla <snallagatla@novell.com>
	
	* providers/groupwise/camel-gw-listner.c
	(add_calendar_tasks_sources) : change the "CheckList" to "Tasks"
	as there is another foder called chekclist in groupwise not
	related to tasks Fixes #64092

2004-08-25  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* camel-folder.c (folder_getv): Init one variable (remove warning)
	and don't redefine it.

2004-08-23  Not Zed  <NotZed@Ximian.com>

	** See bug #63189.

	* providers/imap/camel-imap-store.c (get_subscribed_folders): only
	LSUB folders we're interested in, and check full name of each path
	element.
	(imap_is_subfolder): helper for above.

2004-08-23  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap/camel-imap-store.c (get_folders): Check for an
	exception from get_folders_online() here so that we don't send
	commands to an IMAP server after a disconnect for example. See bug
	#63504 for an example.

2004-08-23  Jeffrey Stedfast  <fejj@novell.com>

	* camel-tcp-stream-openssl.c (open_ssl_connection): Call
	SSL_CTX_set_default_verify_paths() to initialise the certificate
	database paths. Thanks to Anton Altaparmakov for this fix.

2004-08-21 Sivaiah Nallagatla <snallagatla@novell.com>
	
	* providers/groupwise/camel-gw-listener.c (account_changed) :
	if any of the settings required for soap interaction changes 
	try connecting to server and resetup the ESources 
        * providers/groupwise/camel-groupwise-provider.c ": don't
	check soap ssl setting by default to be in consistent with
	IMAP 

2004-08-16  Not Zed  <NotZed@Ximian.com>

	* providers/groupwise/camel-groupwise-provider.c
	(camel_provider_module_init): pass an exception handle to
	camel_provider_get.

2004-08-13  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-summary.c (imap4_summary_fetch_all):
	Use g_ptr_array_sized_new() rather than using set_size() after
	creating a GPtrArray so that array->len starts out at 0.
	(imap4_summary_fetch_flags): Same.

2004-08-13  Sivaiah Nallagatla <snallagatla@novell.com>

	* providers/groupwise/camel-gw-listener.c (account_changed):
	remove the cal/taksks sources when account is disbaled. Also do
	not try to to create sources when a disabled account is changed to
	Novell Groupwise
	(camel_gw_listener_construct): do not add the disbaled accounts
	to exitsting groupwise accounts list

2004-08-13  Sivaiah Nallagatla <snallagatla@novell.com>

	* providers/groupwise/camel-groupwise-provider.c: update ssl
	setting label and title of the soap settings section. Fixes #62747

2004-08-13  Rodney Dawes  <dobey@novell.com>

	* camel-sasl-gssapi.c: Handle et/comm_err.h as well as the
	normal comm_err.h

2004-08-11  Jeffrey Stedfast  <fejj@novell.com>

	Fix for bug #62771

	* camel-mime-utils.c (append_quoted_pair): New function to append
	a string of text that may contain quoted-pairs.
	(header_decode_text): Now takes a ctext argument specifying
	whether or not to expect comments and to handle them.
	(camel_header_decode_string): Pass FALSE as ctext argument.
	(camel_header_format_ctext): New function to format text|comment
	header field bodies.

2004-08-10  Not Zed  <NotZed@Ximian.com>

	* providers/groupwise/camel-gw-listener.c
	(get_addressbook_names_from_server): fix for e_passwords api
	change, and handle reprompting as well.

2004-08-06  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-summary.c (untagged_fetch_all): Call
	camel_operation_progress().
	(imap4_summary_fetch_all): Setup info we need for progress
	reporting.
	(imap4_summary_fetch_flags): Same.

2004-08-04  Rodney Dawes  <dobey@novell.com>

	* camel-charset-map.c: #include <gal/util/e-iconv.h>

2004-08-03  Jeffrey Stedfast  <fejj@novell.com>

	* camel-url-scanner.c (camel_url_scanner_scan): In the case of
	start() or end() failing, loop starting with the first character
	immediately following the failed match position. Fixes bug #62136.

2004-08-03  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-store.c (imap4_construct): Pass a
	reconnect func.

	* providers/imap4/camel-imap4-engine.c
	(camel_imap4_engine_iterate): Reconnect if needed.
	(camel_imap4_engine_new): Now takes a reconnect func.

2004-07-30  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-engine.c
	(camel_imap4_engine_capability): This needs to prequeue the
	CAPABILITY command rather than queue it normally for the case of
	reconnecting.
	(camel_imap4_engine_namespace): Same.

2004-07-30  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-mime-utils.c (camel_header_encode_string): Similar fix as
	below in a later if-statement. Thanks to Suresh for spotting this
	one.

2004-07-28  Jeffrey Stedfast  <fejj@novell.com>

	* camel-mime-utils.c (camel_header_encode_string): Fixed an ABR
	that may have been responsible for bug #62029.

2004-07-29 Sivaiah Nallagatla <snallagatla@novell.com>

	* proivders/groupwise/camel-groupwise-provider.c: Add an entry to
	specify POA address and a check box to say whehter ssl has to be
	used for SOAP or not
	(groupwise_auto_detect_cb): new function to automatically fill POA
	address with host specified in receiving mail page
	(camel_provider_module_init): use the new auto_detect funcntion

	* providers/groupwise/camel-gw-listener.c (modify_esource)
	(account_changed, add_calendar_tasks_sources)
	(remove_calendar_tasks_sources, get_addressbook_names_from_server)
	(add_addressbook_sources, modify_addressbook_sources)
	(remove_addressbook_sources): while forming the uri, use the value
	from new poa_address setting instead of url->host. Also use ssl
	setting from the new check box provider instaed of imap one
	(get_addressbook_names_from_server): display an error to user when
	connection cpuld not be established with server during account
	setup

2004-07-26  Jeffrey Stedfast  <fejj@novell.com>

	* camel-charset-map.c (camel_charset_best_mask): Changed the logic
	slightly to only match certain charsets if the locale matches
	(Macedonians don't want to use koi8-r for example).

2004-07-27  Not Zed  <NotZed@Ximian.com>

	** See bug #61841.

	* providers/groupwise/camel-groupwise-provider.c: added junk settings.

2004-07-27  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-engine.c
	(camel_imap4_engine_prequeue): Changed to be the same prototype as
	engine_queue().
	(engine_prequeue_folder_select): Updated.

	* providers/imap4/camel-imap4-store.c (connect_to_server): Use
	engine_prequeue() for STARTTLS in case we are reconnecting and
	already have a command queue.
	(imap4_try_authenticate): Use prequeue() here too.
	(imap4_reconnect): Moved all the connect logic in here.
	(imap4_connect): just lock and call reconnect().

2004-07-27  Sivaiah Nallagatla <snallagatla@novell.com>

	Fixes #61454

	* providers/groupwise/camel-groupwise-provider.c
	(camel_provider_module_init): do not set transport object for
	groupwise provider. We want user to use SMTP itself instead of
	"Novell Groupwise"

2004-07-26  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-store.c (connect_to_server): Don't
	instantiate an engine here. Instead, take an engine as an argument
	(it has a service pointer) and connect using that. Also, if
	connect fails, don't unref the engine.
	(connect_to_server_wrapper): Now also takes an engine argument
	rather than a service argument.
	(imap4_try_authenticate): Now also takes an engine argument.
	(imap4_connect): Pass the engine to connect/auth functions rather
	than the store.
	(imap4_query_auth_types): Updated.
	(imap4_disconnect): Don't unref the engine here.
	(camel_imap4_store_init): Create the engine here.
	(imap4_get_folder_info): Can't check engine == NULL to know to
	connect (that was a broken check anyway).

	* providers/imap4/camel-imap4-engine.c (camel_imap4_engine_new):
	Now simply takes a service argument rather than a session and url.
	(camel_imap4_engine_next_token): Set the state to DISCONNECTED.
	(camel_imap4_engine_eat_line): Same.
	(camel_imap4_engine_line): Same.
	(camel_imap4_engine_literal): Same.

2004-07-22  Not Zed  <NotZed@Ximian.com>

	** See bug #61761.

	* providers/pop3/camel-pop3-engine.c (camel_pop3_engine_iterate):
	if we get an io error, move every current/active and queued
	command to the done queue and mark as failed.

2004-07-19  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap/camel-imap-store.c (get_subscribed_folders): Free
	result after parsing it. Fixes a leak.

2004-07-19  Not Zed  <NotZed@Ximian.com>

	* camel-mime-filter-canon.c (filter): only copy 5 chars after the
	F if we actually have "From ", otherwise we might have F.{,4}\n
	instead and break eol canonicalisation.  For #53355.

2004-07-16  Not Zed  <NotZed@Ximian.com>

	* camel-gpg-context.c: Added some debug stuff.

2004-07-15  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap/camel-imap-folder.c (imap_transfer_online): Don't
	grab the connect_lock before calling refresh_info so that we avoid
	the deadlock in bug #61551.

2004-07-14  Jeffrey Stedfast  <fejj@novell.com>

	Fix for bug #61538

	* camel-process.c (camel_process_fork): Same.

	* camel-filter-driver.c (pipe_to_system): Fixed strings

2004-07-12 Sivaiah Nallagatla <snallagatla@novell.com>

	* providers/groupwise/camel-gw-listener.c (add_esource)
	(modify_esource, add_addressbook_source)
	(modify_addressbook_sources): pass "use_ssl" value to these
	functions and set it on e-source
	(add_calendar_tasks_source): read the "use_ssl" param from camel
	url and pass it to add_esource) calls
	(get_addressbook_names_from_server): use "https" or http depending
	upon whther ssl is enabled or not
	(account_changed): compare urls from account instead of uris
	formed to know wheter somehting in the account changed

2004-07-09  Not Zed  <NotZed@Ximian.com>

	** This is no guarantee of security, but its just a helper to
	prevent old memory accidentally being included/used elsewhere.
	
	* camel-smime-context.c (sm_decrypt): mark the output stream
	'secure'.

	* camel-gpg-context.c (gpg_decrypt): set the output stream to
	secured, so we automagically blank it out on finalise.

	* camel-stream-mem.c (camel_stream_mem_set_secure): set the
	memory-stream 'secured', all we do at the moment is blank out the
	buffer on finalise.
	(camel_stream_mem_set_byte_array, camel_stream_mem_finalize):
	clear memory if owner and secured.  kill dead comment.
	(clear_mem): utilitiy to set memory to 0xABADF00D

2004-07-08  Not Zed  <NotZed@Ximian.com>

	** See bug #61186.
	
	* camel-cipher-context.c (camel_cipher_sign):
	(camel_cipher_verify, camel_cipher_encrypt, camel_cipher_decrypt):
	Add preliminary progress reporting.

2004-07-07  Chris Toshok  <toshok@ximian.com>

	* providers/groupwise/Makefile.am (INCLUDES): use
	CAMEL_GROUPWISE_CFLAGS.
	(libcamelgroupwise_la_LIBADD): use CAMEL_GROUPWISE_LIBS.

2004-09-07  Not Zed  <NotZed@Ximian.com>

	* providers/groupwise/camel-groupwise-provider.c: put the options
	in their own section.

2004-09-06  Not Zed  <NotZed@Ximian.com>

	* camel-search-private.c (utf8_get): remove this, and make the
	code use camel_utf8_getc instead.  Quite a bit faster esp if
	optimising with inlines.

	* camel-object.c (check_magic_fail): change the check_magic code
	to mostly run from a macro, its worth it.

2004-09-04  Not Zed  <NotZed@Ximian.com>

	* providers/local/camel-mbox-summary.c (message_info_new): fix
	cast issue.

	* providers/pop3/camel-pop3-engine.c (get_capabilities): remove
	some unused variables.

	* camel-object.h: remove camel-i18n.h, fixed all c files where
	appropriate.

2004-08-25  Not Zed  <NotZed@Ximian.com>

	* camel-list-utils.[ch]: Copied e_dlist* stuff to here, part of
	removing e-util dependency on camel.

2004-08-05  Not Zed  <NotZed@Ximian.com>

	* providers/local/camel-local-provider.c: same.

	* providers/imap/camel-imap-provider.c: put the extra stuff into a
	'general' section.

	* providers/imapp/camel-imapp-provider.c: same.

	* providers/pop3/camel-pop3-provider.c: make sure each section
	start has a name.

2004-08-03  Not Zed  <NotZed@Ximian.com>

	* camel-url.c (camel_url_set_param): when clearing a param, use
	remove_data instead of set_data_full.  craptatious glib at it
	again.

	* providers/nntp/camel-nntp-provider.c: turn on ssl option.

2004-07-07  Not Zed  <NotZed@Ximian.com>

	* camel-folder.c: removed filter-rule.h  ugh.

2004-07-02  Christian Neumair  <chris@gnome-de.org>

	* camel-smime-context.c: s/Can't/Cannot/.

2004-06-30  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-search.c (imap4_body_contains): Set
	the size of the ptrarray to prevent potentially realloc'ing
	several times.

2004-06-29  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-command.c
	(camel_imap4_command_newv): Aded a new %formatter 'V' which takes
	a string vector (needed for SEARCH).

	* providers/imap4/camel-imap4-search.[c,h]: New source files
	implementing search functionality.

	* providers/imap4/camel-imap4-folder.c (imap4_sync_flag): Use the
	new public version of imap4_get_uid_set().
	(imap4_transfer_messages_to): Same.
	(camel_imap4_folder_new): Create a search context.
	(camel_imap4_folder_finalize): Unref the search context.
	(camel_imap4_folder_class_init): Override the search methods.
	(imap4_search_by_expression): New.
	(imap4_search_by_uids): New.
	(imap4_search_free): New.

	* providers/imap4/camel-imap4-utils.c (camel_imap4_get_uid_set):
	Moved here from camel-imap4-folder.c

2004-06-29  Not Zed  <NotZed@Ximian.com>

	* camel-vee-store.c (vee_rename_folder): add any parents of the
	new name before we actually do the rename so the rename has
	somewhere to go to.  #60775.

2004-06-28  Not Zed  <NotZed@Ximian.com>

	* providers/local/camel-maildir-folder.c (maildir_folder_getv):
	override CAMEL_FOLDER_NAME arg so we can translate "." into
	"Inbox".

	* providers/local/camel-maildir-store.c (camel_folder_info_new):
	take url argument directly, fixes a memleak.
	(camel_folder_info_new): make the toplevel "." into "Inbox"
	always.
	(maildir_rename_folder): dont let users rename inbox.

2004-06-27  Jeffrey Stedfast  <fejj@novell.com>

	* camel-url-scanner.c (camel_url_web_end): More fixes.

2004-06-25  Jeffrey Stedfast  <fejj@novell.com>

	* camel-url-scanner.c (camel_url_web_end): Fixed to handle :pass
	in proto://user:pass@host. Fixes bug #60104.

2004-06-24  Jeffrey Stedfast  <fejj@novell.com>

	* providers/pop3/camel-pop3-store.c (connect_to_server): Error out
	and set an exception if camel_pop3_engine_new() returns NULL
	(which it can do now).

	* providers/pop3/camel-pop3-engine.c (get_capabilities): No longer
	reads the greeting.
	(camel_pop3_engine_new): Reads the greeting itself and returns
	NULL if an error occurs (like stupid braindamaged piece of shit
	POP servers that spew debug prinfs).

	* providers/local/camel-spool-folder.c (spool_lock): If we fail to
	lock the folder, close the lockfd and reset it to -1. Fixes bug
	#54680.

2004-06-23  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-store.c (imap4_get_folder_info):
	First LIST/LSUB the toplevel folder, and then LIST/LSUB the
	subfolders (it needs to be 2 commands to work properly).
	(imap4_delete_folder): CLOSE the folder we are about to DELETE if
	it is currently SELECTED.

	* providers/imap/camel-imap-provider.c (imap_url_equal): Same.

	* providers/imap4/camel-imap4-provider.c (imap4_url_equal): Check
	the protocol.

	* providers/imap4/camel-imap4-store.c (imap4_build_folder_info):
	Hide password, etc info in the fi->uri's.
	(imap4_create_folder): Don't bother to use
	imap4_get_folder_info(), we can construct the fi ourselves.
	(imap4_delete_folder): Emit the folder_deleted signal and
	construct an fi ourselves.
	(imap4_subscribe_folder): Same.
	(imap4_unsubscribe_folder): Same.

	* providers/imap4/camel-imap4-provider.c: Specify that the
	fragment is the path.

2004-06-21  Christian Kellner <gicmo@xatom.net>

	* camel-service.c (service_setv): Really set the path if tag is 
	CAMEL_SERVICE_PATH.

2004-06-21  Jeffrey Stedfast  <fejj@novell.com>

	* camel-mime-filter-enriched.c (enriched_to_html): Fixed a number
	of issues described in bug #49497.

2004-06-18  Jeffrey Stedfast  <fejj@novell.com>

	* camel.c (camel_shutdown): Call camel_mime_utils_shutdown() and
	camel_operation_shutdown().

	* camel-operation.c (camel_operation_shutdown): New function.

	* camel-mime-utils.c (camel_mime_utils_shutdown): New function to
	clean up the compiled regexes.

	* camel-stream-buffer.c (set_vbuf): Need to re-init sbf->ptr and
	sbf->end too, or we'll be sorrryy!

2004-06-18  Not Zed  <NotZed@Ximian.com>

	* camel-exception.h (CAMEL_EXCEPTION_INITIALISER): setup for
	static inititialisation.

2004-06-17  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap4/camel-imap4-folder.c (uidset_init): init
	tail->last to (guint32) -1, so that index = tail->last + 1 will
	start at 0 at the top of uidset_add() :-)

2004-06-17  Rodney Dawes  <dobey@novell.com>

	* camel-mime-filter-tohtml.c: Add support for the webcal, callto, and
	h323 URIs when we get them in mails

2004-06-17  Jeffrey Stedfast  <fejj@novell.com>

	* camel-mime-filter-tohtml.c: Don't foolishly unmunge From_
	lines. First off, we don't even know if our input stream came from
	an mbox file and secondly, the ">From " may have been intentional
	by the author. We Just Don't Know (tm).

2004-06-15  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-store.c (imap4_build_folder_info):
	Make sure we have elements in the array, if not then we're done
	(return a NULL fi).

2004-06-17  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap4/camel-imap4-folder.c (imap4_get_uid_set): Fixed
	to work properly. It was getting ranges wrong before sometimes
	which was making me lose mail! Ugh.

	Thanks to Christian Kellner for pointing out these bugs (and
	submitting the original patch for service_setv)

	* camel-service.c (service_setv): Don't use (tag &
	CAMEL_ARG_IGNORE) to determine if we should ignore this
	tag. CAMEL_ARG_IGNORE is not a bit flag.

	* providers/imap/camel-imap-store.c (imap_setv): Don't use (tag &
	CAMEL_ARG_IGNORE) to determine if we should ignore this
	tag. CAMEL_ARG_IGNORE is not a bit flag.

2004-06-16  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap4/camel-imap4-folder.c (imap4_refresh_info): Only
	force a re-update of all FLAGS if this folder wasn't in the
	SELECTED state. Otherwise, simply send a NOOP.

	* providers/imap4/camel-imap4-summary.c: Added a 'first' member to
	the imap_fetch_all_t struct so we can use that as a base offset in
	our GPtrArray, allowing us to limit resource consumption which
	could otherwise get quite large. Also added a ChangeInfo member
	that was needed for changes to untagged_fetch_all().
	(imap4_fetch_all_add): Use fetch->first as a base offset and
	change int i to guint32 i. Also updated to sue the fetch->changes.
	(imap4_fetch_all_update): Same.
	(untagged_fetch_all): Same - this is where it is really valuable,
	since we can avoid adding elements to the GPtrArray that we won't
	even use. Also needed to change code a big in case index <
	fetch->first (which could happen if a server notified us of a
	FLAGS change for a message we didn't request info about).
	(imap4_fetch_all_free): Free the ChangeInfo.
	(imap4_summary_fetch_all): Init fetch->changes and fetch->first.
	(imap4_summary_fetch_flags): Same.
	(camel_imap4_summary_flush_updates): Only request envelope info if
	first <= summary->exists. Avoids needless queries.
	(info_uid_sort): #if 0'd
	(camel_imap4_summary_flush_updates): No need to sort the summary -
	this should never have been needed. I can't remember why I did
	this...

2004-06-15  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-gpg-context.c (gpg_verify): Use
	camel_multipart_signed_get_content_stream() rather than getting
	the first part and canonicalising it ourselves. Fixes bug #60159.

	* providers/imap4/camel-imap4-stream.c (camel_imap4_stream_init):
	Init have_unget to FALSE. Don't set unget to NULL, it's no longer
	a pointer.
	(camel_imap4_stream_finalize): No need to g_free() unget anymore.
	(camel_imap4_stream_next_token): Check have_unget rather than
	unget != NULL. Set have_unget to FALSE if we get an unget'd token.
	(camel_imap4_stream_unget_token): Don't malloc space for an unget
	token. The unget token is no longer a pointer.

2004-06-14  Not Zed  <NotZed@Ximian.com>

	* providers/smtp/camel-smtp-transport.c (smtp_data): use
	g_ascii_strcasecmp.
	(smtp_connect): do not re-helo after we've authenticated.  This
	was a misreading of the spec.  We must only re-helo after a
	transport layer negotiation.

2004-06-12  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap4/camel-imap4-store.c (imap4_noop): Flush summary
	updates for the currently selected folder.
	(imap4_noop): Sync the currently selected folder before sending
	NOOP.

	* providers/imap4/camel-imap4-summary.c
	(camel_imap4_summary_set_exists): Don't bother with
	exists_changed. We don't need it afterall.
	(camel_imap4_summary_flush_updates): Instead of updating flags if
	update_flags or exists_changed is set, only bother if update_flags
	is set or if exists is smaller than the summary count (since
	updating flags is also sueful for determining which messages have
	been removed).

2004-06-11  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-folder.c (imap4_refresh_info): Force
	updating of the emsage flags (normally this only happens if
	something has changed that warrants rescanning them).

2004-06-11  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap4/camel-imap4-folder.c (untagged_fetch): Handle
	getting FLAGS even though we didn't request it (server can send us
	FLAGS info if another client changed them recently, for
	example). Also fixed to handle the fact that not every bit of info
	has to be in a single untagged FETCH response - it may come in
	several untagged responses.

	* providers/imap4/camel-imap4-summary.c (envelope_decode_address):
	Decode the email address name token.
	(envelope_decode_nstring): rfc2047 decode strings if requested.
	(decode_envelope): Request that the subject string be rfc2047
	decoded.

2004-06-11  Not Zed  <NotZed@Ximian.com>

	* providers/local/camel-maildir-store.c (get_folder_info): if we
	scan from "" or top == NULL, then we really want to scan from "."
	instead.

	* camel-url.c (camel_url_new_with_base): don't check the for a
	character after the # before extracting the fragment.  An empty
	fragment is still allowed and # should never be added to the path.
	See Rfc1808 2.4.1.

2004-06-11  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap4/camel-imap4-summary.c
	(camel_imap4_summary_flush_updates): Don't bother scanning summary
	info if EXISTS was 0.
	(camel_imap4_summary_set_uidvalidity): Emit the folder_changed
	event after clearing the summary.
	(camel_imap4_summary_expunge): Emit the folder_changed event after
	removing the message from the summary.
	(camel_imap4_summary_set_exists): Only set exists_changed if the
	new and old exists values are different.
	(imap4_fetch_all_add): Emit a folder_changed signal if any new
	info's were added.
	(imap4_fetch_all_update): Emit a folder_changed event if any uids
	were removed or otherwise updated.
	(camel_imap4_summary_expunge): Use seqid-1 to determine the actual
	summary index.
	(camel_imap4_summary_flush_updates): Added some logic to
	distinguish between EXISTS value changing because it changed and
	because messages got expunged.

	* providers/imap4/camel-imap4-folder.c (imap4_sync): Flush updates
	after an EXPUNGE and don't unset expunge if we didn't delete
	anything (the logic was wrong anyway).
	(imap4_refresh_info): Implemented.

2004-06-10  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap4/camel-imap4-engine.c
	(camel_imap4_engine_handle_untagged_1): Don't always try and parse
	a RESP-CODE in the BYE case as the RESP-CODE is optional.

2004-06-10  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-store.c (imap4_build_folder_info):
	If flags does not include FOLDER_INFO_FAST, get the total/unread
	counts for the folder-info.

	* providers/imap4/camel-imap4-engine.c (engine_parse_status):
	Removed.
	(camel_imap4_engine_handle_untagged_1): Don't handle untagged
	STATUS responses anymore. Let the STATUS requestor handle them
	instead.

	* providers/imap4/camel-imap4-utils.c
	(camel_imap4_untagged_status): New function to parse untagged
	status events.

2004-06-10  Not Zed  <NotZed@Ximian.com>

	* camel-filter-driver.c (camel_filter_driver_filter_message): add
	some :filter debug.
	(open_folder): only ignore the get_folder exception if we have a
	default folder, otherwise don't.  See #59727.

	* providers/nntp/camel-nntp-store.c (camel_nntp_command): move the
	stream based checking into the loop, after we connect.  Fixes a
	crash.

2004-06-09  Jeffrey Stedfast  <fejj@novell.com>

	* camel-gpg-context.c (gpg_verify): Fixed a case where it was
	possible to double-free the gpg context.
	(gpg_verify): If we don't have a public key, then the signature is
	just BAD always.

2004-06-09  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-gpg-context.c (gpg_verify): Don't assign trust to be
	UNKNOWN if gpg sent us a NODATA status.

2004-06-07  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-folder.c (camel_imap4_folder_new):
	Load the entire summary, not just the summary header. This way
	when the user opens the folder, we don't do a complete re-sync
	with the server unnecessarily.

	* providers/imap4/camel-imap4-summary.c (untagged_fetch_all): New
	info's always have a uid of "", so don't checkagainst NULL.

2004-06-06  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap4/camel-imap4-store.c (imap4_rename_folder):
	Implemented, mostly. Still need to update state on the renamed
	folder object if instantiated and rename the on-disk cache
	directory.

	* providers/imap4/camel-imap4-folder.c
	(camel_imap4_folder_finalize): Free the cachedir.
	(camel_imap4_folder_new): Init the cachedir and load the saved
	summary before updating it against the server summary.

	* providers/imap4/camel-imap4-store.c
	(camel_imap4_store_finalize): Free the storage_path.
	(imap4_construct): Init the storage_path.

2004-06-04  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap4/camel-imap4-folder.c (camel_imap4_folder_new):
	Initialise the folder->summary and force an update of the message
	info cache by selecting the folder and flushing the updates to the
	imap4 summary object.

	* providers/imap4/camel-imap4-store.c (imap4_get_folder_info):
	Lock the connect_lock before we check if the engine is NULL and
	after we connect (assuming we need to), initialise the engine
	pointer again.
	(imap4_get_folder_info): Doh. Need to escape the "'s in the LIST
	command string.
	(imap4_get_folder): Same.

	* camel-stream-buffer.c (stream_flush): Fixed to work
	properly. After we've flushed the buffer, we want to set sbf->ptr
	to sbf->buf, we don't want to do sbf->ptr += written, that'll just
	corrupt our next write.

	* providers/imap4/camel-imap4-store.c (connect_to_server_wrapper):
	Duh. If the user doesn't care about SSL/TLS - use USE_SSL_NEVER,
	not USE_SSL_ALWAYS.

	* camel-tcp-stream-ssl.c (stream_flush): Always just return 0,
	don't try to PR_Sync() - fsync on a socket causes an error.

	* providers/imap4/camel-imap4-command.c
	(camel_imap4_command_step): Set exceptions when write/flush fail.

	* providers/imap4/camel-imap4-engine.c
	(camel_imap4_engine_take_stream): Set an exception in the case
	where we get an unexpected greeting from the server.

	* providers/imap4/camel-imap4-store.c (imap4_create_folder):
	store->dir_sep no longer exists, so query the engine for the
	directory separator for the parent_folder.
	(imap4_build_folder_info): CamelFolderInfo no longer has a path
	component.

2004-06-03  Not Zed  <NotZed@Ximian.com>

	* providers/nntp/camel-nntp-store.c (camel_nntp_command):
	disconnect if we get an io error or user cancellation.
	(nntp_disconnect_online): reset current folder.
	(connect_to_server): and here too just to make sure.

	* providers/nntp/camel-nntp-folder.c (nntp_folder_sync_online):
	only save the summary, don't update from server, thats what
	refresh info does.
	(nntp_folder_download_message): fix exception handling.
	(nntp_folder_cache_message): same.
	(nntp_folder_get_message): ditto, plus major cleanup.
	(nntp_folder_download_message): take combined uid so it can cache
	and lookup properly.  duh.

	* providers/nntp/camel-nntp-store.c
	(nntp_store_get_subscribed_folder_info): if not fast, then open
	the folder, and update it.  Yeah i've given up trying to worry
	about performance vs usability.

	* providers/nntp/camel-nntp-summary.c (camel_nntp_summary_check):
	update the storesummary if we update the folder summary.  Hmm,
	isn't duplicated data meant to be a bad thing? :P

	* providers/nntp/camel-nntp-store.c (camel_nntp_store_set_folder):
	removed, now handled by nntp_command.
	(nntp_connected): removed, now handled by nntp_command.

	* camel-string-utils.c (camel_tolower): added ascii to-lower
	function.
	(camel_toupper): and upper, for completeness.

	* camel-store-summary.c (CAMEL_STORE_SUMMARY_VERSION): bumped file
	version by 1.  This is a mess, version 1 files treated the
	bitfield 'flags' with bit number values not bits.  Messy.

	* providers/nntp/camel-nntp-store-summary.c (store_info_save):
	write last/first count.
	(CAMEL_NNTP_STORE_SUMMARY_VERSION): bump version to 1.
	(store_info_load): if we're loading >= version 1, then load
	last/first counts.

	* providers/nntp/camel-nntp-store.c
	(nntp_store_get_folder_info_all): pass the whole line to
	store_info_from_line, dont strip last/first info.
	(nntp_store_info_update): renamed from info_new_from_line.  only
	add if not present.  handle updates, try and handle unread counts
	and readonly status.

2004-06-02  Not Zed  <NotZed@Ximian.com>

	* providers/nntp/camel-nntp-store.c: setup xover once we've
	started.

	* providers/nntp/camel-nntp-summary.c: (xover_setup): moved to
	nntp store.

	* providers/nntp/camel-nntp-folder.c (folder_check)
	(folder_check_free, camel_nntp_folder_new): remove async summary
	stuff.

	* providers/nntp/camel-nntp-store.c (camel_nntp_command): take
	exception argument again, and folder argument.  do retry logic and
	auth logic differently.
	(camel_nntp_raw_command): raw command interface, dont try
	reconnect or anything fancy.  pass i/o errors straight out, etc.
	(camel_nntp_try_authenticate): change to return return codes &
	take exception.

	* providers/nntp/camel-nntp-summary.c (camel_nntp_summary_new):
	just take path argument.
	(camel_nntp_summary_check): take a store, and a folder name.
	(add_range_head, add_range_xover): remove the time based update
	events, they never had any effect anyway.  Take store argument.
	(xover_setup): take store argument.

	* camel-folder-search.c (search_match_threads): remove debug.

2004-06-01  Not Zed  <NotZed@Ximian.com>

	** A few fixes for better rfc compliance, and cleaner code.

	* camel-mime-utils.c (header_encode_param): a bunch of logic
	cleanups with new util functions.
	(header_decode_init): setup a new type ATTR_CHAR, for
	attribute-char.

	* tests/misc/test2.c (main): new test for rfc2184 stuff.

	* camel-mime-utils.c (header_convert): helper to convert between
	charsets.
	(rfc2184_decode): fix a bunch of logic problems and use the helper
	above to simplify code.
	(decode_param_token): removed, not needed.
	(header_decode_rfc2184_param): removed, not needed.
	(header_decode_param): removed, not needed.  ugh.
	(header_decode_param_list): completely rewritten, hence lack of
	need of above.

2004-05-31  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-mime-filter-gzip.c (camel_mime_filter_gzip_finalize):
	Don't leak the zlib stream internals.

2004-05-27  Jeffrey Stedfast  <fejj@novell.com>

	Fixes bug #59191.

	* providers/imap/camel-imap-store.c (camel_imap_store_readline):
	Don't override the exception with g_strerror() since presumably
	camel_imap_store_is_connected() will have set that for us (and
	will have a much more accurate exception anyway).

2004-05-26  Dan Winship  <danw@novell.com>

	* camel-store.c (camel_store_get_trash): If the store is not a
	vtrash store, just invoke the virtual method. (In particular,
	don't assume that the trash folder's name is CAMEL_VTRASH_NAME).
	If it is a vtrash store, just let camel_store_get_folder() do the
	work since it's duplicated there anyway. #57114
	(camel_store_get_junk): Likewise.

2004-05-25 Sivaiah nallagatla <snallagatla@novell.com>
	* providers/groupwise/came;-gw-listener.c (add_addressbook_sources):
	set port property on  e-source 

2004-05-25 Sivaiah Nallagatla <snallagatla@novell.com>

	* providers/groupwise/camel-gw-listener.c (lookup_account_info):
	return NULL when there is no existing gw account with same uid
	
2004-05-25  Not Zed  <NotZed@Ximian.com>

	* camel-store.c (camel_folder_info_build_path): removed.

	* camel-store.h (CamelFolderInfo): removed 'path', fixed all
	callers.
	(struct _CamelStore): removed 'dir_sep' fixed all uses.

2004-05-25  Sivaiah Nallagatla <snallagatla@novell.com>

	* providers/groupwise/camel-gw-listener.c (add_addressbook_sources)
	(add_calendar_tasks_sources) : remove /soap part from uri.
	make port as a e-source property instead of putting it in uri
	to amek the uris same as that of mail for password sharing 

2004-05-24  Not Zed  <NotZed@Ximian.com>

	* camel-mime-utils.c (camel_header_newsgroups_decode):
	fix/rearrange logic.  It was using the wrong working pointer.

2004-05-24  Sivaiah Nallagatla <snallagatla@novell.com>

	* camel-provider.h: Added CAMEL_PROVIDER_CONF_HIDDEN to
         conf item type enum. This is used by groupwise provider

	* providers/groupwise/camel-groupwise-provider.c: Added
	CAMEL_PROVIDER_CONF_HIDDEN to groupwise_conf_entries to pass the
	auth-domain value

	* providers/imap/camel-imap-store.c (imap_auth_loop): Read the
	auth-domain property from imap url and pass it camel sesstion apis

2004-05-22  Not Zed  <NotZed@Ximian.com>

	* camel-store.c: oops, forgot folder_created.  Removed locking, the
	object bag serialises stuff for us.
	(camel_store_get_junk): same.

	** Another unread count bug, #58814.

	* camel-store.c (camel_store_class_init): added a folder_opened
	event.
	(camel_store_get_folder): emit a folder_opened event whenever we
	[re] open the physical folder.

2004-05-21  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap/camel-imap-store.c (connect_to_server): Added a
	workaround for broken IMAP. Hopefully by forcing only the IMAP4
	command subset, we can work around their suckage.

2004-05-21  Not Zed  <NotZed@Ximian.com>

	* camel-session.c (camel_session_get_password): added a 'domain'
	argument, and rearragned arguments to be prettier and more
	consistent.  Fixed all callers.
	(camel_session_forget_password): added a domain argument.  Fixed
	all callers.

	** See #58376.

	* camel-folder.c (set_message_flags): if system flags change, then
	don't trigger a folder changed event.

	* camel-folder-summary.h (CAMEL_MESSAGE_SYSTEM_MASK): added this
	to indicate which flags are internal/apps not interested in.

	* camel-folder.c (filter_free): rearrange and use some helpers.
	(folder_changed): if we're frozen, dont go firing off threads to
	do any processing on each change, wait until we're called
	unfrozen.  Slight code rearragnement.
	(filter_filter): add progress to junk learn/unlearn, and separate
	them.

2004-05-19  Suresh Chandrasekharan  <suresh.chandrasekharan@sun.com>

	Fix for #58738 ja_JP.UTF-8: Evolution crashes when certain 
	ASCII/non-ASCII combination is used in mail subject

	* camel-mime-utils.c (camel_header_encode_string) Use 
	camel_mime_is_lwsp for determining word separators, 
	according to rfc822 (which's also same for rfc2047). 
	g_unichar_isspace as word separator is illegal.

2004-05-20  Jeffrey Stedfast  <fejj@novell.com>

	Fixes bug #42295 and the infinite loop part of bug #58766 (these 2
	bugs are almost identical, except the server responses are broken
	in different ways).

	* providers/imap/camel-imap-folder.c (imap_update_summary): Remove
	the kludge to re-SELECT the folder to force a re-FETCH of
	message-info's. This 1) doesn't do what it was meant to do and 2)
	has a tendency to cause infinite loops with broken servers such as
	Courier-IMAP.
	(imap_update_summary): Rework the loop that adds messages to the
	summary such that if we encounetr an error, we break out and set
	an exception (we can keep the messages up to the point of failure,
	but none after that because otherwise our uid-to-seqid mapping
	would be inconsistant with that of the server and could
	potentially cause data loss).

2004-05-20  Not Zed  <NotZed@Ximian.com>

	* camel-exception.c (camel_exception_setv): re-arrange the code so
	exception debug will print the expanded description.
	(camel_exception_set): print exception debug.

	* providers/pop3/camel-pop3-folder.c (pop3_get_message): same.

	* providers/local/camel-mh-folder.c (mh_get_message) *
	providers/local/camel-mbox-folder.c (mbox_get_message): *
	providers/local/camel-maildir-folder.c (maildir_get_message):
	Don't use INVALID_UID for errors which are more system related.
	And sync up all the error messages.

	* providers/nntp/camel-nntp-folder.c (nntp_folder_get_message):
	oops, poke the right uid to get the article number.
	(nntp_folder_cache_message): & here too.  Somehow fixes #58700,
	but i don't know why.

2004-05-19  Not Zed  <NotZed@Ximian.com>

	* camel-folder.c (transfer_message_to): copy the messageinfo
	rather than reference the source folder's one, we poke its flags
	variable if the message is deleted.  And dont re-delete the
	message if its already deleted.

	* providers/nntp/camel-nntp-folder.c (nntp_folder_get_message):
	use the article number instead of the messageid.  Some servers are
	just broken.
	(nntp_folder_cache_message): same.  See #58655.

	* camel-smime-context.c (sm_verify_cmsg): import the certs as
	UsageEmailRecipient as well as signer, and also save the certs
	always.

	** See #58641.

	* camel-vee-folder.c (vee_sync): don't rebuild auto-type vfolders.
	they should always be consistent and it saves a lot of unecessary
	work.

	* camel-store.c (store_sync): we don't want to sync any vfolders
	as part of the store sync call.  its used for a different purpose
	in vFolders.  oh well its a hack.

2004-05-18  Not Zed  <NotZed@Ximian.com>

	* providers/local/camel-maildir-store.c (fill_fi): do the same
	load of mailbox if we're in slow mode as we did for maildir.
	#58294.

	* camel-disco-folder.c (disco_expunge_uids): check for NULL
	implementation before calling it.
	(disco_sync): similar.  Fixes crash #58278.

2004-05-17  Jeffrey Stedfast  <fejj@novell.com>

	* camel-folder-search.c (search_match_threads): Fixed a string type-o.

	* camel-smime-context.c (sm_verify_cmsg): Fixed some spelling mistakes.

	* camel-gpg-context.c (gpg_decrypt): If the encrypted block was
	also signed, set the signature verification status on the Validity
	structure as well.

2004-05-17  Not Zed  <NotZed@Ximian.com>

	** Bug #56050.

	* providers/imap/camel-imap-store.c (imap_get_trash) 
	(imap_get_junk): similar to below.

	* providers/local/camel-local-store.c (local_get_trash)
	(local_get_junk): set state file on trash/junk to something we know
	about.

2004-05-17  Not Zed  <NotZed@Ximian.com>
	* providers/local/camel-mh-store.c (fill_fi): if we have no folder
	in-memory, load it if we're not doing it fast to get really up to
	date unread counts.  #57616.

2004-05-14  Not Zed  <NotZed@Ximian.com>

	* camel-store.c (camel_store_create_folder): don't allow creation
	of Trash or Junk folders.
	(camel_store_rename_folder): similar for rename.  #57250.

2004-05-13  Not Zed  <NotZed@Ximian.com>

	* camel-folder-summary.c (summary_build_content_info): set secure
	flag if we have a known security type.
	(flag_names[]): Added secure bit.
	(summary_build_content_info_message): set secure flag as
	appropriate.
	(summary_build_content_info_message): dont set attachments for
	simple types (non text), only base it on multipart/* stuff.
	(summary_build_content_info): same.

	* camel-folder-summary.h: added SECURE flag.  Indicates signed or
	encrypted content.

2004-05-12  Jeffrey Stedfast  <fejj@novell.com>

	* providers/imap/camel-imap-folder.c (camel_imap_folder_selected):
	Ignore PERMANENTFLAGS if it gives us an empty set. Works around
	broken IMAP servers like the one in bug #58355.

2004-05-12  Not Zed  <NotZed@Ximian.com>

	* camel-folder-search.c (search_threads): changed to match_threads.
	(camel_folder_search_search): remove thread matching stuff from here.

2004-05-11  Jeffrey Stedfast  <fejj@novell.com>

	* camel-smime-context.c (sm_signing_cmsmessage): Fixed a
	type-o. Fixes bug #58348.

2004-05-10  Jeffrey Stedfast  <fejj@novell.com>

	* camel-mime-filter-gzip.[c,h]: New class for zipping/unzipping
	gzip streams.

	* camel-mime-filter-yenc.[c,h]: New class for encoding/decoding
	the crack known as YEncode.

2004-05-07  Not Zed  <NotZed@Ximian.com>

	* camel-folder-thread.c (thread_summary): properly set the parent
	nodes for the re-parented phantom-node children.  Wasn't that fun
	to debug!

	* camel-folder-thread.h: make order and re bitfields, saves 4
	bytes/node.

2004-05-06  Not Zed  <NotZed@Ximian.com>

	* camel-digest-folder.c (digest_search_by_expression) 
	(digest_search_by_uids): 
	* providers/nntp/camel-nntp-folder.c (nntp_folder_search_by_expression)
	(nntp_folder_search_by_uids): 
	* providers/imap/camel-imap-folder.c (imap_search_by_expression) 
	(imap_search_by_uids):
	* providers/local/camel-local-folder.c (local_search_by_expression) 
	(local_search_by_uids): use camel_folder_search_search & some minor cleanups.

	* camel-folder-search.c (search_threads): keep track of the match
	threads option for this search.
	(camel_folder_search_match_expression): Removed, not used anymore.
	(camel_folder_search_search): new api entry point for searching, a
	bit easier to use and needed for thread matching.

	* camel-folder-search.c (camel_folder_search_search): new search
	api entry point, take a full summary and optionally a subset of
	uids to match against.
	(search_match_all): use the uids' passed in to only search a
	subset of uid's.

	* providers/imap/camel-imap-store.c (connect_to_server): set
	nodelay and keepalive on the socket.

	* camel-file-utils.c (camel_read): put a timeout on the select.
	Logic shuffle to match the ssl stuff.
	(camel_write): Similar.

	* camel-tcp-stream-ssl.c (stream_connect): remove timeout, use
	CONNECT_TIMEOUT directly.
	(stream_read): put a timeout on the poll.  IO_TIMEOUT.  And a
	little logic shuffle.
	(stream_write): similar.
	(CONNECT_TIMEOUT): make this 4 minutes === tcp-raw timeout.

2004-05-05  Not Zed  <NotZed@Ximian.com>

	* providers/imap/camel-imap-folder.c (get_message_simple): dont
	set X-Evolution-Source here anymore, set in caller.
	(imap_get_message): move the busted server get into the retry
	loop.  only leave the simple cache test outside of it.

2004-05-04  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-session.h: Get rid of #ifdef ENABLE_THREADS stuff, that
	was done away with a while back and is causing problems for 3rd
	parties trying to use camel unless they explicityly #define
	ENABLE_THREADS in their code.

2004-05-04  Christian Kellner <gicmo@xatom.net>

	* providers/groupwise/camel-gw-listener.h: Fixed typo.

2004-05-04  Not Zed  <NotZed@Ximian.com>

	** See #57979.

	* camel-vee-folder.c (subfolder_renamed_update): when the
	subfolder gets renamed, remove all the old uid's and add the new
	ones (since the uid is based on the subordinate folder name).
	(subfolder_renamed): listen to renamed folder events.

	* providers/local/camel-mbox-store.c (get_folder_info): if we're
	getting a single folder with no children, make sure we fill the
	counts out.  Fixes some rename strangeness.

	* camel-vee-folder.c (camel_vee_folder_add_folder): hook onto the
	folder renamed signal.
	(camel_vee_folder_finalise): unhook folder_renamed signal.
	(camel_vee_folder_remove_folder): same.

2004-05-03  Not Zed  <NotZed@Ximian.com>

	** See bug #57881.

	* camel-vee-folder.c (camel_vee_folder_add_folder): use the
	folder's change log and frozen count, not our copy.
	(vee_thaw): dont maintain our frozen count.
	(vee_freeze): same.
	(folder_changed_change): if we get changed messages that dont
	match, make sure they're also propagated as a change too.

	* camel-private.h: remove the freeze_count from
	camelveefolderprivate.  We already have that in the camel folder
	private.

2004-04-30  Priit Laes  <amd@tt.ee>

	* providers/nntp/camel-nntp-summary.c: Fix typo. #53466.

2004-04-28  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap/camel-imap-folder.c: Change the UID_SET_LIMIT to
	768 (something <1000 octets as suggested by rfc2683). Fixes bug
	#57389.

	* camel-smime-context.c: Mark exception strings for translation
	and fixed a spelling mistake.

2004-04-27  Not Zed  <NotZed@Ximian.com>

	** See bug #57659.

	* camel-vee-store.c (vee_get_folder_info): translate Unmatched in
	the folder display name.

	* camel-store.c (add_special_info): dont translate full_name or
	path, only do that for name.

2004-04-23  Sarfraaz Ahmed <asarfraaz@novell.com>
	
	* camel-provider.h: Added HAS_LICENSE flag for allowing camel
	providers to display license file.

2004-04-22  Not Zed  <NotZed@Ximian.com>

	* providers/imap/camel-imap-folder.c (imap_expunge_uids_online)
	(imap_expunge_uids_resyncing): Send a flag list rather than
	\Deleted by itself.  See #57381.

2004-04-21  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap4/camel-imap4-folder.c (imap4_sync_changes): Don't
	bother doing any work if perm_flags is 0.

2004-04-21  Sivaiah Nallagatla <snallagatla@novell.com>

	* providers/groupwise/Makefile.am: added CAMEL_LIBS to LIBADD

	* providers/groupwise/camel-gw-listener.c
	(get_addressbook_names_from_server): added new function to get
	addres book names from server.
	(add_addressbook_sources) (modify_addressbook_sources) : changed
	the implementation to use address book returned form above call
	while creating e-sources

2004-04-21  Not Zed  <NotZed@Ximian.com>

	* providers/nntp/camel-nntp-folder.c (camel_nntp_folder_new): set
	the meta data file on nntp folders.

	* camel-disco-folder.c (disco_refresh_info_online): implement
	dummy virtual method.

	* providers/nntp/camel-nntp-folder.c
	(nntp_folder_refresh_info_online): implement.  Fixes #57280.

2004-04-19  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap4/camel-imap4-folder.c (untagged_fetch): Fixed to
	not expect ]'s as part of the BODY atom token.

2004-04-16  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-vee-store.c (change_folder): (flags & 0) will never be
	true. Fixes bug #56982.

2004-04-15  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap/camel-imap-utils.c: Changed imap_atom_specials[]
	to not treat ']' as an atom char (as per rfc3501). Fixes bug
	#50985.

2004-04-14  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap/camel-imap-store.c
	(imap_check_folder_still_extant): Use %F instead of %S so that the
	folder name gets properly converted from using '/' path delimeters
	to whatever the native character the server uses. Should fix bug
	#56715.

2004-04-14  Not Zed  <NotZed@Ximian.com>

	* camel-disco-store.c (set_status): do offline mail syncing (only
	for open folders so far).  If we fail doing syncing or store sync,
	don't abort.

2004-04-13  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap/camel-imap-store.c (get_folder_online):
	Rearranged some error checking code to fix bug #56405.

2004-04-13  Not Zed  <NotZed@Ximian.com>

	* camel-folder.c (folder_getv): implement the new counts, and get
	them all atomically so they're only calculated once and can return
	consistent results.

	* camel-folder.h: Added CAMEL_FOLDER_DELETED, CAMEL_FOLDER_JUNKED,
	and CAMEL_FOLDER_VISIBLE args, to support client display of
	various values.

2004-04-13  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-folder.h (camel_folder_delete_message): Fix NotZed's fix
	to not mark messages as unseen. Fixes bug #56879.

2004-04-13   Sivaiah Nallagatla <snallagatla@novell.com>

	* providers/groupwise/camel-gw-listener.c
	(add_addressbook_sources): change the auth type string from
	Password to plain/password

2004-04-12  Jeffrey Stedfast  <fejj@ximian.com>

	Fix for bug #56878.

	* camel-gpg-context.c (gpg_verify): Don't rely on the exit code of
	gpg, we already save enough state to decide if the sig is valid
	without it. Modified to only set BAD if gpg->validsig and
	gpg->nopubkey are both FALSE. If we get a NO_PUBKEY status
	message, then it simply means that the the sender could not be
	verified.
	(gpg_ctx_parse_status): Listen for NO_PUBKEY status messages.

2004-04-11  Sivaiah Nallagatla <snallagatla@novell.com>

	* providers/groupwise/camel-gw-listener.c 
	(add_addressbook_sources) (modify_addressbook_sources) : add
	bookname to uri 

2004-04-09  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap/camel-imap-provider.c: Fix capitalisation of the
	"mailcheck" section title and move it to the top (so it matches
	with the UI).

	* providers/imap/camel-imap-folder.c (imap_get_message): Fetch the
	entire message in one fell swoop even if the message size is
	larger than 5k *if* the message is a single part. Fixes bug #56686.

2004-04-08  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap/camel-imap-store.c (get_folder_online): Changed
	(!flags & _CREATE) to (!(flags & _CREATE))
	(get_folder_online): Do what create_folder() does and if the
	parent folder has \NoInferiors set but contains no messages,
	delete the parent folder and recreate it before creating the child
	folder. Fixes bug #56651.

2004-04-08  Not Zed  <NotZed@Ximian.com>

	* camel-folder.h (camel_folder_delete_message): always set the
	seen flag when we delete a message.  I demand that this may, or
	may not, fix #56549.

	* camel-folder.c: include camel-debug.h
	(camel_folder_set_message_flags): fixed the doco slightly (well
	reversed the flag and set explanation) and give an example.

	* providers/local/camel-mbox-folder.c
	(mbox_set_message_user_flag): message changed to folder_changed.
	(mbox_set_message_user_tag): ditto.

	* camel-vee-folder.c (camel_vee_folder_finalise): dont hook onto
	message_changed.
	(camel_vee_folder_add_folder): or unhook.
	(camel_vee_folder_remove_folder): "
	(message_changed): or proxy.

	* camel-folder.c (camel_folder_class_init): removed the
	message_changed event - its redundant, and covered by
	folder_changed, and just makes life difficult for everything using
	message_changed/folder_changed (and nothing uses it anyway).
	(message_changed): removed.
	(set_message_user_flag): emit a folder_changed event instead of
	message changed.
	(set_message_user_tag): "
	(set_message_flags): "

	* camel-object.h: revered the CAMEL_OBJECT_TYPE change, it should
	be a global variable access.

2004-04-06  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap4/camel-imap4-folder.c: Added mutex locking where
	appropriate.

	* providers/imap4/camel-imap4-store.c: Added mutex locking where
	appropriate.

	* camel-folder-summary.h (CAMEL_FOLDER_SUMMARY_TYPE): Defined.

	* camel-object.h (CAMEL_OBJECT_TYPE): Fixed.

	* providers/imap4/camel-imap4-folder.c
	(camel_imap4_folder_utf7_name): Implemented.

	* providers/imap4/camel-imap4-store.c (imap4_build_folder_info):
	Use camel_folder_info_build() to build the folder-info tree.

2004-04-06  Not Zed  <NotZed@Ximian.com>

	* camel-debug.c: #if 0 out the sys/debugreg stuff.

	** See bug #56110.

	* providers/imap/camel-imap-folder.c (get_content): more debug!
	(get_content): if we have no content-type header set on a sub-part
	of a multipart/digest, then we need to set it to message/rfc822 as
	in the multipart/digest rfc (2046 or so?).

	* camel-folder.c (camel_folder_get_message): output this stuff as
	folder debug.

	* providers/imap/camel-imap-folder.c (imap_get_message): add some
	imap:folder debug.
	(get_content): get xx.TEXT rather than xx if we're from a message
	parent part.

	** See bug #56464.

	* camel-folder.c (camel_folder_transfer_messages_to): do not lock
	the source here.
	(transfer_message_to): call the main entry point for get message
	and append message.

	** See bug #56050.

	* camel-vee-store.c (vee_delete_folder): delete the state file if
	it exists.

	* camel-object.c (camel_object_state_write): create the parent dir
	if we need to.  Also spit a warning if we fail in the end.

	* camel-vee-folder.c (camel_vee_folder_new): set the persistent
	state file location.
	(vee_sync): write the state file when we sync.

2004-04-05  Not Zed  <NotZed@Ximian.com>

	* providers/imap/camel-imap-store.c (get_folders): dont add
	folders to folders_out here, only in get_folders_add_folders.

	* camel-store.c (camel_folder_info_build): simplify 'list append'
	since we have next pointer at the head of the struct.

	* providers/imap/camel-imap-store.c (create_folder): fixed
	"containes" spelling count.
	(get_folder_online): "
	(get_folders_add_folders): duh, add the folder info to the
	folders_out array.

2004-04-02  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-folder.c (camel_folder_get_deleted_message_count): New
	function to get the deleted message count (used for Outbox count
	which is total minus deleted).

2004-04-02  Not Zed  <NotZed@Ximian.com>

	* camel-exception.c (w): turn this on, this should always be on,
	it points to real bugs in the code.

	* camel-folder-summary.c (summary_build_content_info): dont set
	attachments if its a signature block.
	(summary_build_content_info_message): same.

2004-04-01  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-exception.c (w): Wrap annoying exeption warnings with w().

2004-03-30  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap4/camel-imap4-store.c (imap4_get_folder_info):
	Partially implemented.
	(imap4_get_folder): Implemented.

2004-03-30  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-mime-utils.c (header_decode_param): Use
	header_decode_text() rather than rfc2047_decode_word() to decode
	the brokenly rfc2047 encoded param value string in case it is
	actually made up of multiple rfc2047 encoded words. Thanks to
	Andrei Nigmatulin for the fix.

2004-03-30  Not Zed  <NotZed@Ximian.com>

	* camel-store.c (camel_store_get_folder_info): added some debug to
	dump the whole folderinfo tree if store:folder_info is set.

	* providers/imapp/camel-imapp-driver.c: #if 0 out some code, to
	kill warnings.

	* camel-url-scanner.c: include ctype.h for isspace (wonder if it
	should use utf8 funcs?).

2004-03-29  Not Zed  <NotZed@Ximian.com>

	** See #56146.

	* providers/imap/camel-imap-store.c (get_folders): check the
	top-level folders list for duplicates as well.
	(get_folders_add_folders): split out the folder return merging
	code from get_folders.  Absolute mess of crap to deal with more
	busted servers.

	* camel-debug.c (camel_debug_start, camel_debug_end): some helpers
	to wrap debug output for atomicicity.

2004-03-29  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap4/camel-imap4-folder.c (camel_imap4_folder_new):
	Implemented.

	* providers/imap4/camel-imap4-engine.c (engine_parse_namespace):
	If the namespace begins with "INBOX", canonicalise the INBOX
	portion (ie, make it all caps).

	* providers/imap4/camel-imap4-store.c (imap4_noop): Implemented.

2004-03-29  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap/camel-imap-store.c (get_folder_status): Updated
	to actually parse the STATUS response into a list of item/value
	pairs.
	(create_folder): Updated for above change.
	(get_folder_counts): Only call get_folder_status() once (we can
	get both values with a single call now). Fixes a FIXME and might
	also fix bug #55784.

	* providers/local/camel-mbox-store.c (get_folder_info): Removed
	debugging printfs.

	* providers/local/camel-local-folder.c
	(camel_local_folder_construct): Since the folder was *just*
	created, it shouldn't have any subfolders so set the
	CAMEL_FOLDER_NOCHILDREN flag (altho, ideally, we wouldn't be
	guessing these flags at all - rather we'd call get_folder_info()
	or some such). Fixes bug #56010.

2004-03-29  Radek Doulik  <rodo@ximian.com>

	* camel-mime-filter-tohtml.c (html_convert): close pre tag in case
	we just flush. I am not sure if it's still worth to check for
	inlen == 0 and handle it specially, but didn't want to make too
	big changes.

	Fixes #55817

2004-03-29  Not Zed  <NotZed@Ximian.com>

	* providers/imap/camel-imap-store.c (get_folder_counts): use
	object_bag_peek instead of _get, since we dont want to clash/wait
	for reservations.  More #56045 related fixes.
	(get_folder_counts): revert the lookup/hashtable stuff for the
	folder, and use object_bag_peek.

	* camel-object.c (camel_object_bag_peek): new method to get an
	object bag entry without worrying about if its reserved or not.

	* camel-gpg-context.c (gpg_verify): get the content-type off of
	the multipart-signed, not its container.  This seems wrong
	... but might fix #56084.

	* providers/imap/camel-imap-store.c (get_folder_counts): remove
	locking here, we're locked whne we enter.
	(fill_fi): call refresh_info unlocked.  More for #56045.

2004-03-28  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap4/camel-imap-folder.[c,h]: New source files
	implementing the CamelFolder class for the new IMAP4
	implementation.

	* providers/imap4/camel-imap-summary.[c,h]: New source files
	implementing the CamelFolderSummary class for the new IMAP4
	implementation.

2004-03-26  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap/camel-imap-folder.c (imap_update_summary):
	Reverted imap.web.de fix.

2004-03-26  Not Zed  <NotZed@Ximian.com>

	* providers/local/camel-maildir-summary.c (flagbits[]): Added new
	maildir flags D for draft and commented P for forwarded.

	* providers/imap/camel-imap-store.c (get_folder_counts): Instead
	of looking up the folder in the object bag which will handle
	reservations and perhaps deadlock, just get the list of opened
	folders and use them if they're available.  Should fix #56045.

2004-03-25  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap4/camel-imap-engine.c
	(camel_imap_engine_parse_resp_code): No longer need to split ']'
	tokens from atom tokens due to a fixup in the ABNF grammar in
	rfc3501.

	* providers/imap4/camel-imap-specials.c: Changed ATOM_SPECIALS to
	include ']' (this is an addition in rfc3501).

	* providers/imap4/camel-imap-store.[c,h]: New Store class for
	IMAP. Implemnted a bunch of but still got a ways to go.

2004-03-25  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap/camel-imap-folder.c (imap_update_summary): If the
	server is imap.web.de, just ask for all the headers rather than
	"HEADER.FIELDS.NOT (RECEIVED)". Actually, maybe we should always
	just query for the entire header block?
	(imap_get_message): If the server is brain-damaged (that's a
	technical term), always fetch the message in whole, never bother
	to try and fetch partial messages (Courier-IMAP gives us the wrong
	BODY responses fairly often).

	* providers/imap/camel-imap-store.c (connect_to_server): Set
	store->braindamaged to TRUE if we find the string "Courier-IMAP"
	in the greeting.

2004-03-25  Jeffrey Stedfast  <fejj@ximian.com>

	Fix for bug #55018.

	* providers/imap/camel-imap-store.c (create_folder): Don't allow
	the user to create folders with #, %, * or the directory separator
	in the folder name (added the checks for %, * and #).
	(get_folder_online): Add a check to make sure the folder name is
	sane before sending a CREATE (ie. we want to allow getting of
	folders with discouraged characters in them if they exist, but we
	don't want to allow the user to create them).

2004-03-25  Martyn Russell  <ginxd@btopenworld.com>

	* providers/smtp/camel-smtp-provider.c: Removed newline character
	from the provider description

2004-03-25  Sivaiah Nallagatla <snallagatla@novell.com>

	* providers/groupwise/camel-groupwise-provider.c: removed ldap
	seetings and added a settng for SOAP port 

	* providers/groupwise/camel-gw-listner.h
	(add_calendar_tasks_sources, remove_calendar_tasks_sources),
	(modify_calendar_tasks_sources): read port number from url instead
	of hardcoding. Also removed code for adding e-sources for ldap
	address book and adding now e-sources for groupwise address book

2004-03-24  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap4/camel-imap-engine.c (camel_imap_engine_literal):
	New convenience wrapper function.
	(engine_parse_status): Fixed to handle literal mailbox strings.

	* providers/imap4/camel-imap-command.c (camel_imap_command_newv):
	Changed how %L works - create the CamelIMAPLiteral for our caller
	instead of expecting them to create it for us. We can autodetect
	what type of object (stream vs data-wrapper) the literal is, so
	it's trivial to do.

2004-03-23  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap/camel-imap-folder.c (imap_get_message): Reworked
	the else bit to fix a bug where if we had the BODY structure, we simply
	wouldn't try fetching the actual message.

2004-03-23  Not Zed  <NotZed@Ximian.com>

	* camel-exception.c (camel_exception_setv): use camel debug to add
	some debug here.

	* camel.c (camel_init): call camel_debug_init().

	* camel-debug.c (camel_debug_init, camel_debug): new util stuff
	for extended debug options.

	* providers/imap/camel-imap-folder.c (imap_get_message): if we're
	supposed to be online, check we are online before proceeding.
	Actually major restructure so we re-try the fetch a couple of
	times first before failing.  i.e. silent reconnect.  See #55381.

	* providers/imap/camel-imap-store.c (get_folder_info_online):
	connect lock around this.  was getting a race with mem corruption
	otherwise.

2004-03-22  Not Zed  <NotZed@Ximian.com>

	* camel-mime-utils.c (camel_header_newsgroups_decode)
	(camel_header_newsgroups_free): decode newsgroups header into a
	list of newsgroups.

	** See #55887.

	* providers/nntp/camel-nntp-summary.c (camel_nntp_summary_check):
	NOOP if we're offline.

	* providers/nntp/camel-nntp-store.c (nntp_connected): spit a
	warning if we try to do stuff whilst offline, rather than crash.

2004-03-19  Not Zed  <NotZed@Ximian.com>

	* camel-disco-store.c (disco_connect): ref the diary before
	replaying it.  it could get unreffed during replay if there's an
	error and we disconnect.

	* camel-store.c (camel_store_get_folder): no longer use
	folder_lock, we already have adequate serialisation code here or
	below here.  I hope.
	(camel_store_get_folder_info): same here.

	* providers/imap/camel-imap-store.h: remove async_thread thing.

2004-03-17  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap/camel-imap-folder.c (imap_get_message): Checking
	that mi->content->type != NULL is no longer good enough to tell if
	a ContentInfo is complete (ie. contains the parsed BODY
	response). We need to check that th ContentInfo has children if
	the part is a multipart of message/rfc822 part. Apparently Zucchi
	didn't test his camel-folder-summary changes using IMAP.

2004-03-17  Radek Doulik  <rodo@ximian.com>

	* camel-folder-summary.h: use 1<<30 for CAMEL_MESSAGE_JUNK_LEARN,
	1<<17 was already used by imap provider and maybe others

2004-03-17  Not Zed  <NotZed@Ximian.com>

	* providers/local/camel-maildir-store.c: Reverted jeff's fix for
	#55018, since it wasn't tested, and doesn't work.  Wrote an
	alternate implementation, and tested it at least once.  Turns out
	it was a one line error, it still wasn't tested.  Oh well, its
	rewritten now.

	* See bug #55618.
	
	* camel-disco-diary.c (camel_disco_diary_new): seek to the end of
	the file after we open it.  c99 apparently says the file merely
	adds to the end of the file when you write, not that it is opened
	and positioned at the end of the file (linux's man pages are out
	of date).

	* camel-folder-summary.c (content_info_new): setup the content
	type as well, from the headers.

	* providers/imap/camel-imap-summary.c
	(camel_imap_summary_add_offline): copy size from the source info.

2004-03-15  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-folder.c (folder_rename): Always use '/' to derive the
	basename of the folder. folder->full_name is always the UNIX-path
	evrsion of the folder name, no matter what the actual path
	delimeter is on the underlying store.

	* providers/imap/camel-imap-store.c (get_folder_online): If the
	initial SELECT fails and CREATE is specified, clear the exception
	before attempting to CREATE, this way we don't have an exception
	set even if the CREATE passes. Fixes bug #55607.

2004-03-16  Not Zed  <NotZed@Ximian.com>

	* camel-mime-message.c (camel_mime_message_init): rever previous
	patch.  We don't want to set the default mime/type, it'll break
	stuff.

2004-03-15  Not Zed  <NotZed@Ximian.com>

	* providers/local/camel-mbox-store.c (delete_folder): same as
	below for path.

	* providers/local/camel-local-store.c (delete_folder): NULL out
	str before looking up the state file using it.  Otherwise we
	double-free str.

	* camel-mime-parser.c (folder_scan_skip_line): we want to scan
	till in-end-1.  If we've been called we're either at the end of
	data, or we know we have an end of line character within memory.
	Another case in Bug #53355.

	* providers/imap/camel-imap-folder.c (get_content, get_message):
	set the mime-type field on the content the same way as
	construct_from_stream does.  Bug #55472.

	* camel-mime-message.c (camel_mime_message_dump): utility function
	to dump message content to stdout.
	(camel_mime_message_init): default mime type to message/rfc822.

	* camel.c (camel_init): change camel verbose debug to be an int, a
	bitmask of debug options.

	* camel-mime-utils.c (camel_header_location_decode): drop embedded
	whitespace characters, and don't do unquoting, etc.  See rfc2557
	4.4.2 and rfc2017 3.1.

2004-03-12  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/smtp/camel-smtp-transport.c (smtp_set_exception): Now
	takes an argument to specify whether disconnecting when respbuf is
	NULL is safe (to prevent us from recursively disconnecting or
	disconnecting during a connect).

2004-03-12  Jeffrey Stedfast  <fejj@ximian.com>

	Fix for bug #53497.

	* providers/smtp/camel-smtp-transport.c (smtp_helo): Instead of
	unreffing the streams, call camel_service_disconnect().
	(smtp_mail): Same.
	(smtp_rcpt): Same.
	(smtp_data): Same.
	(smtp_send_to): Ignore exceptions for smtp_rset(). Also, check
	that we are connected before we try to send (in Evolution's
	current usage scenario, this isn't a problem but in the future if
	we ever try to fire off several messages via the same smtp
	connection, it may be - especially if RSET failed during the
	previous send).

2004-03-12  Radek Doulik  <rodo@ximian.com>

	* camel-folder.c (folder_changed): clearn the learn bit only if
	set.

2004-03-12  Jeffrey Stedfast  <fejj@ximian.com>

	Fixes for bug #55018.

	* providers/local/camel-local-folder.c
	(camel_local_folder_construct): Use camel_url_to_string() here
	too, so we properly encode the fragment.

	* providers/local/camel-mbox-store.c (get_folder_info): Use
	CamelURL to properly encode the fi->uri. Pass the CamelURL into
	scan_dir() so that scan_dir() can re-use it (rather than having to
	malloc/parse/free for each file/dir)
	(scan_dir): Use camel_url_to_string().

	* providers/local/camel-maildir-store.c (get_folder_info): Same as
	mbox.
	(scan_dir): Same as mbox. We also need to set the
	CAMEL_FOLDER_NOSELECT flag if appropriate.

	* providers/local/camel-mh-store.c (get_folder_info): Same as mbox
	and maildir.
	(folders_scan): Now takes a url argument which we pass off to
	folder_info_new().
	(recursive_scan): Same.
	(folder_info_new): Use camel_url_to_string().

2004-03-11  Radek Doulik  <rodo@ximian.com>

	* camel-folder.c (camel_folder_set_message_flags): watch for
	setting JUNK flag, if JUNK_LEARN is not set as well then reset
	JUNK_LEARN bit
	(folder_changed): look for junk changes in uid_changed's messages,
	if these changes request junk filter learning
	(CAMEL_MESSAGE_JUNK_LEARN bit set) then prepare junk and nonjunk
	uid arrays, clear CAMEL_MESSAGE_JUNK_LEARN bit so that we don't
	process it again
	(folder_changed): start filter thread if there's junk and/or
	nonjunk arrays
	(filter_filter): if junk/nonjunk arrays are non-NULL, call junk
	filter report to learn junk/non-junk messages
	(filter_free): free junk/nonjunk uids and arrays

	* camel-folder-summary.h: added CAMEL_MESSAGE_JUNK_LEARN to
	CamelMessageFlags, used when setting CAMEL_MESSAGE_JUNK flag to
	say that we request junk plugin to learn that message as
	junk/non-junk

2004-03-12  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/smtp/camel-smtp-transport.c (connect_to_server): If
	errno is EINTR, set USER_CANCEL instead of SERVICE_UNAVAILABLE or
	whatever.
	(smtp_helo): Same.
	(smtp_auth): Same.
	(smtp_mail): Same.
	(smtp_rcpt): Same.
	(smtp_data): Same.
	(smtp_rset): Same.
	(smtp_quit): Same.
	(smtp_set_exception): Here too.
	(smtp_auth): If the AUTH response code is not 334, then use
	smtp_set_exception() to get the most accurate error report we can.

2004-03-11  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-object.c (cobject_state_read): Sanity check that count is
	<1024 and also use g_try_malloc so that we can recover if malloc
	fails.

2004-03-11  Not Zed  <NotZed@Ximian.com>

	* providers/imap/camel-imap-store.c (no_such_folder): removed
	this.  not sure what it was doing there, a 1 line funciton used
	once.
	(get_folder_online): pass exception to camel_imap_command.  if we
	got a user cancel, pass it up.  See #55388.
	(hash_folder_name, compare_folder_name): more g_ascii_strcasecmp
	stuff.

2004-03-11  Not Zed  <NotZed@Ximian.com>

	* camel-vee-store.c (vee_get_folder_info): we need to add the
	folderinfo always if we're recursive from top.  Should fix #52965
	and maybe the other vfolders not showing on startup bug.

	* providers/imap/camel-imap-store.c (get_one_folder_offline):
	(parse_list_response_as_folder_info): turn off NOINFERIORS always,
	translate to nochildren.
	(imap_store_refresh_folders): check we're updating an imap folder,
	we could also have trash folders in the store too.

2004-03-08  Not Zed  <NotZed@Ximian.com>

	* camel-vee-store.c (vee_get_folder_info): setup virtual/system
	flags as appropriate.
	(change_folder): setup flags properly.

	* providers/nntp/camel-nntp-store.c
	(nntp_store_get_subscribed_folder_info): mark all folders as
	system folders.

	* providers/local/camel-mh-store.c (fill_fi): add this to setup
	folderinfo.
	(folder_info_new): call fill_fi to fill unread/total.
	(recursive_scan, folders_scan): ahh yeah, so wtf was i thinking,
	store->flags != get_folder_info flags!!!!

	* providers/local/camel-maildir-store.c (camel_folder_info_new):
	remove unread count arg & setup total.
	(fill_fi): setup total field.
	(scan_dir): remove the code that checked the directory directly -
	use fill_fi instead.  It will more accurately reflect what you get
	when you visit the folder.
	(camel_folder_info_new): mark "." as a system folder.
	(scan_dir): try to setup children/no children flags properly.

	* providers/local/camel-mbox-store.c (fill_fi): setup total field.
	(scan_dir): init total.
	(get_folder_info): "

2004-03-05  Not Zed  <NotZed@Ximian.com>

	* providers/imap/camel-imap-store.c
	(parse_list_response_as_folder_info): mark INBOX as a system
	folder.  Can't be renamed/deleted.
	(fill_fi): setup total field.
	(get_folder_counts): ditto.

	* camel-store.c (add_special_info): set the system folder flag.

	* camel-store.h: time to fix up the camelfolderinfo mess.  fix
	some member names, and add some type fields.  Fixed all uses.

2004-03-04  Not Zed  <NotZed@Ximian.com>

	** See bug #53355.

	* providers/imap/camel-imap-folder.c (get_content): if the parent
	isn't a message/rfc822 type, we don't want to get the section.TEXT
	for multipart/signed, we just want to get section.

2004-03-03  Rodrigo Moya <rodrigo@ximian.com>

	* providers/groupwise/camel-gw-listener.c
	(add_calendar_tasks_sources): use "Calendar" and "Checklist" for the
	folder names, instead of "Default".
	(remove_calendar_tasks_sources): remove the correct folder.

2004-03-03  Not Zed  <NotZed@Ximian.com>

	* camel-operation.c (camel_operation_uncancel): attempt at
	uncancelling a cancelled operation.

	* camel-stream-filter.c (do_write, do_write): fun dun diddley un
	fun.  Since we're writing a const buffer, we need to copy it
	first.  See #54937.

2004-02-27  Not Zed  <NotZed@Ximian.com>

	** See bug #54755.

	* camel-vtrash-folder.c (vtrash_append_message)
	(vtrash_transfer_messages_to): error/fail out if the user tries to
	copy messages to the trash.
	(vtrash_transfer_messages_to): use the destination bit not the
	source bit for moving messages to a vtrash folder.

	* camel-gpg-context.c (gpg_ctx_parse_status): ignore NODATA
	response, otherwise we abort in a meaningless way.  See #52939.

	* providers/imap/camel-imap-utils.c: use g_ascii_str[n]casecmp
	everywhere.
	* providers/imap/camel-imap-utils.c (imap_body_decode): fix the
	sense of the nil check for the subtype of a mutlipart.  See
	#53355.

2004-02-26  Not Zed  <NotZed@Ximian.com>

	* camel-session.c (camel_session_check_junk_for_imap) 
	(camel_session_set_check_junk_for_imap): removed.

	* providers/imap/camel-imap-provider.c: Add filter_junk and
	filter_junk_inbox options to the receive option page.

	* providers/imap/camel-imap-store.c (imap_setv, imap_getv): handle
	FILTER_JUNK and FILTER_JUNK_INBOX parameters.
	(imap_setv): conver to switch rather than if statement.
	(construct): handle url args for filter_junk and
	filter_junk_inbox.

	* providers/imap/camel-imap-folder.c (camel_imap_folder_new): Set
	the folder's flags based on the stores junk settings.
	(imap_update_summary): remove the test for
	session_check_junk_for_imap, its handled per-store now.

	* camel-folder.c (folder_changed): only check for FILTER_RECENT or
	FILTER_JUNK to see if we need to do filtering.

	* camel-folder.h (CAMEL_FOLDER_FILTER_JUNK): renamed from
	CAMEL_FOLDER_SUPRESS_JUNK_TEST (and obviously inverted logic).

2004-03-02  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/local/camel-mbox-summary.c
	(mbox_summary_encode_x_evolution): Overrides the parent method. We
	don't want to encode user flags/tags or the size of the header
	will change and force a complete rewrite of the mbox file.

2004-02-25  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-filter-driver.c (camel_filter_driver_filter_folder): Free
	the uids *after* reporting Complete, otherwise we get an FMR if
	our caller didn't pass in the uids.

	* camel-sasl-gssapi.c (gssapi_challenge): #ifdef out another
	gss_release_buffer() call as this function causes memory
	corruption if using Heimdal's implementation of Kerberos5. Yay
	Heimdal.

2004-02-25  Radek Doulik  <rodo@ximian.com>

	* camel-folder.c (get_unread_message_count): do not avoid junk
	mails in unread count

2004-02-25  Not Zed  <NotZed@Ximian.com>

	* providers/imap/camel-imap-summary.h (CAMEL_IMAP_MESSAGE_RECENT):
	moved the RECNET flag into the folder area (bit 17-30).

2004-02-24  Not Zed  <NotZed@Ximian.com>

	** See bug #53876.

	* providers/imap/camel-imap-command.c (camel_imap_command): ref
	the folder before unreffing store->current_folder, incase they're
	the same.  Do a select anyway.

	* providers/imap/camel-imap-folder.c (imap_refresh_info): keep the
	connect_lock for longer, imap_rescan for one assumes its locked.
	Fixes a race selecting the folder for refresh.

2004-02-24  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-stream-process.c: #include <signal.h>, we don't need limits.h

	* camel-store.c (camel_store_folder_uri_equal): New function to do
	what camel_store_uri_cmp() was supposed to do.

2004-02-23  Rodney Dawes  <dobey@ximian.com>

	* providers/local/camel-mbox-store.c (scan_dir): If our folder has
	a subdir, but no actual children, then we need to unset the flag for
	CAMEL_FOLDER_CHILDREN

	Fixes #54470

2004-02-23  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-store.c (camel_store_uri_cmp): Removed. Useless/broken
	function.

2004-02-20  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-provider.c (camel_provider_list): Init list to NULL to
	prevent the crash in bug #54574.

2004-02-19  Chris Toshok  <toshok@ximian.com>

	* camel-smime-context.c: wrap this file with #ifdef ENABLE_SMIME
	instead of #ifdef HAVE_NSS.

2004-02-19  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/local/camel-mbox-store.c (get_folder): Add sanity
	checking to the folder name if we are going to create it, just
	like we do in create_folder().

2004-02-19  Not Zed  <NotZed@Ximian.com>

	* providers/*/camel-*-provider.c
	(camel_provider_module_init): Fixes for api changes.

	* camel-provider.c (camel_provider_load): no longer take session
	argument.  the providers are global resources.
	(camel_provider_init): dont return anything anymore.  (error?)
	call from camel_init now.  Use a recursive lock too.

	* camel-session.c (camel_session_register_provider)
	(camel_session_list_providers, camel_session_get_provider): Moved
	to camel-provider, camel_provider_register/list/get.
	(vee_provider): moved to camel-provider.c

2004-02-18  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-gpg-context.c (gpg_verify): Use the trust to decide the
	validity signature status. (Better way of solving yesterday's
	problem)

	* camel-cipher-context.h: Revert change from yesterday.

2004-02-17  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-gpg-context.c (gpg_verify): Set the trust.

	* camel-cipher-context.h: Add a trust metric to signatures.

2004-02-17  Not Zed  <NotZed@Ximian.com>

	* camel-vee-store.c (vee_sync): implment, make sync a noop on vee
	stores.  Speeds up exit, so we don't try and sync and re-sync
	folders multiple times.

	** See bug #53861.

	* providers/nntp/camel-nntp-summary.c (add_range_xover): Fix from
	Edd Dumbill <edd@usefulinc.com> to avoid aborting on irrelevently
	truncated lines.

2004-02-16  Not Zed  <NotZed@Ximian.com>

	** See bug #51045.

	* providers/imap/camel-imap-store.c (fill_fi): similar to mbox
	version.
	(get_folder_counts): use fill_fi to try and get folder counts if
	we're not doing the hard slog.
	(get_one_folder_offline): use fill_fi to try to get folder counts
	from open folders or summaries.

	* providers/local/camel-maildir-store.c (fill_fi): similar to mbox
	version.
	(scan_dir): use fill_fi to get the unread count now.

	* providers/local/camel-mbox-store.c (fill_fi): helper to lookup
	unread count either from active folder or from summary file, if
	it's available.
	(scan_dir, get_folder_info): use helper above to get folder info.

	* devel-docs/camel-folder-summary.txt: New document describing the
	format/conventions in the CamelFolderSummary file.

	* providers/nntp/camel-nntp-summary.c (summary_header_load/save): 
	* providers/imapp/camel-imapp-summary.c (summary_header_load/save): 
	* providers/imap/camel-imap-summary.c (summary_header_load/save):
	Handle versions, per-class version number (1).

	* providers/local/camel-mbox-summary.c (summary_header_load/save):
	Handle versions properly, add a per-class version (1).  Write out the
	folder size as a size_t rather than 32 bit int.

	* providers/local/camel-local-summary.c (summary_header_load/save):
	read/write the per-class version number (1).

	* camel-folder-summary.c (summary_header_load): do version
	checking differently, allow the version to be bumped without
	aborting the load.  Added unread/deleted/junk counts to base
	header.
	(summary_header_save): Save out the new-format header.  Version
	bumped to 13.

	* camel.c (camel_init): return 0 rather than spit a compiler warning.

	* camel-file-utils.c (camel_file_util_encode_*_t): macro-ise the
	type encoder/decoders.  Also add size_t encoder/decoder.

2004-02-13  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap/camel-imap-store.c (get_folder_online): Same.

	* providers/local/camel-mh-store.c (get_folder): Same as maildir
	changes.

	* providers/local/camel-maildir-store.c (get_folder): Make
	exceptions strings consistanmt with the mbox exception strings
	(and vise versa). Also handle the CAMEL_STORE_FOLDER_EXCL flag.

	* providers/local/camel-mbox-store.c (get_folder): Check
	CAMEL_STORE_FOLDER_EXCL flag.

	* providers/local/camel-local-store.c (get_folder): Simplified by
	using camel_mkdir instead of doing it manually.

	* camel-store.c (camel_store_get_folder): If the folder exists in
	the cache and the O_EXCL flag was passed, return NULL and set an
	exception.

	* camel-store.h: Added a new CAMEL_STORE_FOLDER_EXCL flag for use
	with get_folder().

2004-02-12  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-file-utils.c (camel_file_util_encode_string): Since
	decoding a string doesn't allow strings longer than 65536,
	truncate strings that are longer than 65536 here. Fixes bug
	#54319.

2004-02-09  Not Zed  <NotZed@Ximian.com>

	** See bug #53978.

	* providers/local/camel-mbox-store.c: added ".lock" to the list of
	ignored extensions.
	(ignore_file): ignore anything ending in ~ too.

	** See bug #51319.
	
	* providers/local/camel-local-folder.c
	(camel_local_folder_construct): re-enable indexing when folder is
	first opened.  Also load defaults if no meta-data present.

2004-02-06  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-provider.c (camel_provider_init): Use strrchr, not strchr.

	* camel-gpg-context.c (gpg_ctx_parse_status): Forget the need_id,
	not the userid. Fixes bug #53908.

	* camel-store.c (add_special_info): Set a CAMEL_FOLDER_VIRTUAL bit
	on the special folder info so our UI can know if it is virtual or
	not (meant for vTrash/vJunk).
	(camel_store_get_folder_info): Don't add vTrash/vJunk if the
	NO_VIRTUAL flag bit is set. Used by the subscriptions editor.

2004-02-06  Not Zed  <NotZed@Ximian.com>

	* camel-folder.c (camel_folder_set_message_flags): changed to
	return a boolean to indicate if the flags were actually changed or
	not.  Fixed all implementors.

2004-02-05  Not Zed  <NotZed@Ximian.com>

	* providers/local/camel-mbox-store.c (rename_folder): rename
	.cmeta file too, and fix the recovery order.

	* providers/local/camel-local-store.c (rename_folder): rename the
	.cmeta file too.

	* providers/local/camel-local-folder.c (local_rename): fix this to
	use local_get_full_path stuff.

	* camel-store.c (camel_store_rename_folder): fix umr's comparing
	old and new names.

2004-02-05  Not Zed  <NotZed@Ximian.com>

	** See bug #53553.
	
	* camel-provider.c (camel_provider_init): changed to return a
	hashtable of url protocols to CamelProviderModule structs, rather
	than simple strings.

	* camel-session.c (get_provider): if we load a provider module,
	mark it as loaded.
	(ensure_loaded): Check the module loaded flag before trying to
	load it.

	* providers/local/libcamellocal.urls: Remove spoold from the list,
	since it doesn't exist anymore.  Actually fixes #53553, the rest
	is to robustify the code.

2004-02-05  Not Zed  <NotZed@Ximian.com>

	* camel-session.c (CS_CLASS): dont typecheck cast.

	* camel-store.c (camel_vjunk_folder_new): removed, use
	vtrash_new(junk).
	(setup_special): changed to get_special, with a type now, and
	dont add vtrash folders to the sources.
	(get_trash, get_junk): down to 1 liners, call get_special

	* camel-vtrash-folder.c (CF_CLASS): dont use cast typecheck macros
	here, makes debugging easier and removes redundant checks.
	(camel_vtrash_folder_init): dont set flags here.
	(camel_vtrash_folder_new): takes a new argument, type, for junk
	folders too, removed name arg (taken from type).
	(vtrash_transfer_messages_to): parameterise flag processing.

2004-02-04  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap/camel-imap-store.c: Get rid of some unnecessary
	CAMEL_OBJECT() casts.

	* providers/imap/camel-imap-folder.c (camel_imap_folder_new): The
	folder_name argument passed to this function is ALWAYS in the UNIX
	path form (ie. using '/' as the dir sep) and so when getting the
	short_name, don't use imap_store->dir_sep as the dir sep, always
	use '/'. Fixes bug #53755 for the IMAP case.

2004-02-04  Jeffrey Stedfast  <fejj@ximian.com>

	Fix for bug #53755 (local folders case)

	* providers/local/camel-mbox-store.c (xrename): No longer takes an
	exception arg, we just set errno. Our caller can take care of
	setting an exception.
	(rename_folder): Don't pass an exception to xrename(), we always
	overwrote if an error occured it anyway.
	(rename_folder): Rename the .sbd as well.

2004-02-04  Not Zed  <NotZed@Ximian.com>

	* camel-store.c (camel_store_sync): added 'expunge' parameter,
	easier 'empty trash on exit' call.
	(store_sync): duh, actually pass expunge to folder_sync.

2004-02-04  Not Zed  <NotZed@Ximian.com>

	* providers/imap/camel-imap-store.c
	(parse_list_response_as_folder_info): if we can't add the folder
	to the summary {i.e. duplicate}, then ignore it.  See #53836.

	* camel-store.c (camel_store_delete_folder): changed order around,
	first try to delete and only remove from the object bag if the
	delete worked.  If vjunk/vtrash enabled, don't allow those to be
	deleted.
	(cs_delete_cached_folder): helper to delete the folder if its in
	the cache, remove it from trash/junk, etc.
	(camel_store_unsubscribe_folder): changed similarly to
	delete_folder.

	* camel-vee-store.c (vee_delete_folder): dont do any trash/junk
	processing anymore.

2004-02-03  Not Zed  <NotZed@Ximian.com>

	* camel-store.c: use the folders object bag to manage the trash
	folder and junk folders.  Remove the init_trash and init_junk
	stuff, just use get_trash and get_junk to mean the same thing.
	Get rid of the hacked up vjunk and vtrash "uri" stuff too.

	* camel-object.c (camel_object_bag_add): null out the pair->func,
	otherwise we get an uninitalised memory read during unhook event.

2004-02-03  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-vee-folder.c (vee_folder_build_folder): Use macro casts
	from int to pointer.

	* camel-folder.c (camel_folder_change_info_add_source): Same as below.
	(camel_folder_change_info_add_source_list): Same.

	* camel-folder-search.c (camel_folder_search_execute_expression):
	Use GINT_TO_POINTER() to cast 1 to a pointer for
	g_hash_table_insert().

	* camel-vee-folder.c (vee_folder_remove_folder): 64bit fixes.
	(folder_added_uid): Same.
	(vee_folder_build_folder): Here too.
	(folder_changed_add_uid): And here.
	(folder_changed_remove_uid): Same.

2004-02-03  Jeffrey Stedfast  <fejj@ximian.com>

	* tests/misc/url-scan.c: New test suite for url scanning.

	* camel-url-scanner.c: Added single/double quotes to url_braces[]
	in case the user is quoting the url.
	(camel_url_web_end): Add "-;:" to list of punctuation to strip off
	the end of urls. Also fixed to handle user@domain's
	(camel_url_addrspec_start): Strip open brace characters from the
	beginning of the addr.
	(camel_url_web_start): Make sure "www" wasn't part of something
	not a url (like "Ewww.Gross") by check that pos[-1] is either an
	open brace or whitespace.
	(camel_url_addrspec_end): Don't allow toplevel domain addr-specs
	(if we encounter something that looks like it is a toplevel domain
	addr, it is more likely to be bogus than correct).

2004-02-02  Jeffrey Stedfast  <fejj@ximian.com>

	Fixes for bug #53091.

	* providers/imap/camel-imap-store.c (create_folder): Set the new
	folder's fi->flags to CAMEL_FOLDER_NOCHILDREN since we know it
	doesn't have any (we just created it!).
	(subscribe_folder): Same.

	* camel-store.c (folder_info_clone_rec): Copy the flags too. Fixes
	the local folder case of bug #53091.

2004-01-31  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/pop3/camel-pop3-store.c (pop3_try_authenticate): Same
	as below.

	* providers/smtp/camel-smtp-transport.c (smtp_connect): Instead of
	using the form %s@%s in the password prompt, use %s on host %s,
	hopefully this will be less confusing to users who have usernames
	of the form user@vhost.

2004-01-30  Rodney Dawes <dobey@ximian.com>

	* providers/groupwise/camel-groupwise-provider.c: Fix spelling error in
	provider description

	Fixes #53572

2004-01-30  Jeffrey Stedfast  <fejj@ximian.com>

	* camel.c (camel_init): Protect against multiple camel_init()
	calls. Remember if we've already been called.

2004-01-30  Not Zed  <NotZed@Ximian.com>

	* camel-store.c (camel_store_rename_folder): copy the old_name
	that comes in, since it might be the actual folder_name, which
	will go away during processing.  Related to #53123.

2004-01-29  Not Zed  <NotZed@Ximian.com>

	** See bug #53269.
	
	* providers/nntp/camel-nntp-store.c
	(nntp_store_get_cached_folder_info): don't dereference last before
	checking if its null.

	* camel-object.c (camel_object_bag_rekey): added a doc comment.

	** See bug #53520.

	* camel-session.c (get_service): free the url once done, it now
	gets copied by the service.

	* camel-service.c (construct): copy the url that comes in, don't
	just '0Wn34z' it.  clena up exception handling too.

2004-01-29  Not Zed  <NotZed@Ximian.com>

	* camel-object.c (cobject_state_write): output scan->name and
	scan->value for writing metadata, rather than meta->name/value
	which just duplicates the last entry, related to #53195.

	* camel-url.c (camel_url_free): zero out passwd/user/host before
	freeing them.

2004-01-28  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/local/camel-mbox-store.c (rename_folder): Make sure
	the new dir path exists before trying to rename files to avoid
	ENOENT errors. Also save errno when we encounter errors so that we
	can report the true error later rather than an error we may get
	while reverting changes. Also, it is OK if the ibex files don't
	exist, so check for that errno case.

2004-01-28  Sivaih Nallagatla <snallagatla@novell.com>

	* providers/groupwise/camel-gw-listener.c (account_changed)
	(modify_esources) : add port and /soap parts to relative uri while 
	updating it when account changed

2004-01-27  Radek Doulik  <rodo@ximian.com>

	* providers/imap/camel-imap-folder.c (camel_imap_folder_new): set
	CAMEL_FOLDER_SUPRESS_JUNK_TEST flag
	(imap_update_summary): update CAMEL_FOLDER_SUPRESS_JUNK_TEST flag

	* camel-folder.c (folder_changed): use
	CAMEL_FOLDER_SUPRESS_JUNK_TEST flag instead of check_junk_for_imap

	* camel-folder.h (CAMEL_FOLDER_SUPRESS_JUNK_TEST): added new flag

2004-01-27  Not Zed  <NotZed@Ximian.com>

	** See bug #53373.

	* camel-store.c (camel_store_rename_folder): use object_bag_rekey
	to rename the object.  object_bag use was broken.

	* camel-object.c (camel_object_bag_rekey): new api to atomically
	re-key

2004-01-23  Radek Doulik  <rodo@ximian.com>

	* camel-folder.c (folder_changed): use check_junk_for_imap flag

	* camel-session.c: add check_junk_for_imap flag

2004-01-23  Not Zed  <NotZed@Ximian.com>

	* providers/imap/camel-imap-folder.c (IMAP_SMALL_BODY_SIZE):
	removed the meaningless fixme, a butt-retrieved-number is as good
	as any in this case.
	(imap_get_message): revert peterw's change of 2002-07-15, instead
	of checking for online mode here, let get_message do it when you
	retrieve the parts.  This lets a multi-fetch (i.e. large) message
	work more betterer in offline mode.

2004-01-22  Jeremy Katz  <katzj@redhat.com>

	* camel-mime-part.c: Fix prototype to be consistent.

2004-01-21  Not Zed  <NotZed@Ximian.com>

	** See bug #52996.

	* camel-data-cache.c (camel_data_cache_add): put a do-loop around
	the object_bag_reserve stuff, otherwise we can add/abort out of
	sync (i.e. when object_bag_reserve returned a pointer we mustn't
	call add/abort).

	* camel-object.c (camel_object_bag_*): Added some inline doco.

2004-01-20  Not Zed  <NotZed@Ximian.com>

	** See bug #52817.

	* camel-session.c (camel_session_get_password): merged reprompt
	and secret into a flags field, and add more options.  Fixed all
	callers.

	** See bug #52899.

	* camel-gpg-context.c (gpg_ctx_parse_status): use need_id as the
	password key, not userid.

2004-01-19  Siviaah Nallagatla <snallagatla@novell.com>

	* providers/groupwise/camel-gw-listener.c
	(remove_calender_tasks_sources, modify_calender_tasks_sources):
	add port and "/soap" to source uri

2004-01-19  Not Zed  <NotZed@Ximian.com>

	* camel-vee-store.c (change_folder): use a CamelURL to properly
	encode the url we generate.
	(vee_get_folder_info): ditto.
	(vee_get_folder_info): removed unused variable/warning.

	* camel-session.c (vee_provider): Update the provider flags for
	URL_FRAGMENT_IS_PATH.

	* providers/imapp/camel-imapp-utils.c (imap_parse_addfress_list):
	namespaces fixes for HEADER_ADDRESS*

2004-01-17  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap/camel-imap-folder.c (imap_sync_online): Limit the
	flags we set (or unset) to the folder's permanent flags.

2004-01-16  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-mime-message.c (camel_mime_message_build_mbox_from): Same.

	* camel-internet-address.c (internet_decode): Same.

	* camel-mime-utils.[c,h]: Namespaced camel_header_address_t enums
	s/HEADER_ADDRESS_/CAMEL_HEADER_ADDRESS_/g

2004-01-16 Sivaiah Nallagatla <snallagatla@novell.com>

	* providers/groupwise/camel-groupwise-provider.c: added some conf
	entries for LDAP address setup

	* providers/groupwise/camel-gw-listener.c: added
	add_ldap_addressbook_source, modify_ldap_addressbook_source,
	remove_ldap_addressbook_source functions for setting up LDAP
	address book. Also setting "username" property on cal/tasks
	ESources

2004-01-15  Not Zed  <NotZed@Ximian.com>

	** See bug #52881.

	* camel-object.c (camel_object_bag*): Support reserving different
	keys from the same thread.  Oh the pain.

	* camel-vee-store.c (vee_get_folder_info): implement child flags
	properly. Changed to build tree itself rather than calling
	camel_folder_info_build.
	(vee_get_folder): if we're adding a folder with dummy parents,
	create and add the dummy parent folders too (as real folder
	objects).  We are the only owner of the ref, so this sort of leaks
	the folder, but they're small.

2004-01-14  Rodrigo Moya <rodrigo@ximian.com>

	* providers/groupwise/camel-groupwise-provider.c
	(camel_provider_module_init): missing renaming.

2004-01-14  Rodrigo Moya <rodrigo@ximian.com>

	* providers/groupwise/camel-gw-listener.c (add_esource): set the
	"auth" property on the ESource's we create, to get authentication.

2004-01-14  Not Zed  <NotZed@Ximian.com>

	** Patch from Timo Sirainen <tss@iki.fi> to honour read-only
	status for imap folders.
	
	* providers/imap/camel-imap-folder.c (camel_imap_folder_selected):
	check for read-only status response.
	(imap_sync_online): only call sync_offline if we're read-only.
	(imap_expunge_uids_resyncing): NOOP for read-only.

2004-01-14  Not Zed  <NotZed@Ximian.com>

	* providers/local/camel-local-folder.c (local_getv): remove debug
	printf.

	** See bug #52835.

	* camel-smime-context.c (sm_get_passwd): removed debugging.  If we
	get called multiple times in a row, then forget the old password
	and re-prompt - it was a bad password.  Zero out password memory
	too.

2004-01-13  Rodrigo Moya <rodrigo@ximian.com>

	* providers/groupwise/camel-groupwise-provider.c: missing renaming.

2004-01-13  Sivaiah Nallagatla <snallagatla@novell.com>

	* providers/groupwise/camel-gw-listener.[ch]: renamed
	groupwise-config-listener.[ch] to these file names and also
	changed code to use CamelURL insted of EUri

	* providers/groupwise/camel-groupwise-provider.c: use the renamed
	config listener apis

	* providers/groupwise/Makefile.am: changed the source file names

2004-01-12  Meilof Veeningen  <meilof@wanadoo.nl>

	* providers/nntp/camel-nntp-folder.[ch]: now based on discofolder,
	cache_message and append_message implemented, only retrieve messages
	when we are subscribed, some stubs

	* providers/nntp/camel-nntp-provider.c: newsgroup name display
	settings, password authentication, fix for check_equal where the
	protocols wouldn't be checked

	* providers/nntp/camel-nntp-store.[ch]: base on discostore with
	online/offline support, subscriptions, downloading changed parts of
	the newsgroup list, some stubs, authentication, automatic reconnect

	* providers/nntp/camel-nntp-store-summary.[ch]: NNTP store
	summary based on IMAP code

	* providers/nntp/camel-nntp-summary.c: save summary after xover

	* providers/nntp/camel-nntp-grouplist.h: added CamelNNTPGroupList
	structs

	* providers/nntp/Makefile.am: added store summary

2004-01-12  Not Zed  <NotZed@Ximian.com>

	** See bug 52725.

	* providers/imap/camel-imap-folder.c (get_content): pass in
	transfer encoding when setting up wrapper part.

	* providers/imap/camel-imap-wrapper.c (camel_imap_wrapper_new):
	Added an encoding type parameter, set on data wrapper.

2004-01-10  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-mime-utils.c (rfc2047_encode_word): if e_iconv() returns
	-1, check that errno != EINVAL - if errno *is* EINVAL, it just
	means that our convlen wasn't long enough to include the whole
	sequence. This is fine, we'll just start where we left off next
	loop thru. Fixes bug #52593 (the buffer was duplicated because
	state wasn't flushed).
	(camel_header_encode_string): Fixed a type-o in loop where
	encoding=0, don't g_string_append_len starting at 'word'
	inptr-start bytes long - 'word' could be NULL and/or inptr-start
	could be longer than inptr-word.

2004-01-09  Rodney Dawes  <dobey@ximian.com>

	* providers/groupwise/Makefile.am (EXTRA_DIST): libcamelgroupwise.urls
	instead of libcamelimap.urls

2004-01-09  Sivaiah Nallagatla <snallagatla@novell.com>

	* providers/groupwise/groupwise-config-listener.c
	(is_groupwise_account): added null check for source url to take
	care of accounts with Server Types as "None"

2004-01-09  Not Zed  <NotZed@Ximian.com>

	* providers/imap/camel-imap-store.c (imap_forget_folder): fix
	removal of journal file, and remove the cmeta state file too.

	* providers/imap/camel-imap-folder.c (imap_getv): count up so we
	call parent class if we missed any, rather than only if we didn't
	miss any.
	(imap_rename): rename the object state file.
	(camel_imap_folder_new): set the object state file for persistent
	properties.

	* camel-disco-folder.c (disco_getv): support
	(PERSISTENT_)PROPERTIES & OFFLINE_SYNC.
	(disco_setv): implement OFFLINE_SYNC.
	(camel_disco_folder_get_type): setup disco properties list.
	(cdf_folder_changed): honour the offline_sync setting on the
	current folder.
	(disco_sync): save object state.
	(disco_setv): save object state if it changed.

	* camel-data-wrapper.c (camel_data_wrapper_set_mime_type_field):
	move assertions here.
	(set_mime_type_field): change order slightly to properly handle
	setting the same object.  removed assertions from internal method.

2004-01-08 Sivaiah Nallagatla <snallagatla@novell.com>

	* providers/Makefile.am : add groupwise to SUBDIRS

	* providers/groupwise/camel-groupwise-provider.c: new camel
	provider for groupwise

	* providers/groupwise/groupwise-config-listener.[ch] : new class
	to add e-sources for groupwise calender and tasks

	* providers/groupwise/Makefile.am : added new files to Makefile.am

2004-01-05  JP Rosevear <jpr@ximian.com>

	* camel-utf8.c: include sys/types.h for freebsd

2004-01-05  Rodrigo Moya <rodrigo@ximian.com>

	* providers/groupwise/camel-groupwise-provider.c (groupwise_url_hash,
	groupwise_url_equal): renamed from imap_*.

2004-01-05  Not Zed  <NotZed@Ximian.com>

	* camel-tcp-stream-raw.c (socket_connect): check the right return
	of the socket call, dont set fd to the value of the -1 check!

2003-12-27  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-tcp-stream-raw.c (socket_connect): Save errno and check
	the return of the socket() call.

2003-12-24  Rodrigo Moya <rodrigo@ximian.com>

	* providers/groupwise/camel-groupwise-provider.c
	(camel_provider_module_init): g_module_open the other providers we
	depend on to avoid load ordering problems.

2003-12-22  Rodrigo Moya <rodrigo@ximian.com>

	* providers/groupwise/camel-groupwise-provider.c: removed useless
	configuration options, and added other options from the IMAP
	provider.
	(camel_provider_module_init): register a SMTP transport object
	also, and removed SASL registration, since we don't support it.

2003-12-19  Sivaiah Nallagatla <snallagatla@novell.com>

	* providers/groupwise/Makefile.am:
	* providers/groupwise/libcamelgroupwise.urls:
	* providers/groupwise/camel-groupwise-provider.c: added Camel
	provider for Groupwise accounts, based on the IMAP one.

2003-12-11  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-gpg-context.c (gpg_ctx_parse_status): Don't immediately
	prompt for a passwd after receiving the NEED_PASSPHRASE status
	message. Instead, parse the userid that gpg needs a passwd for and
	store it on our context. Wait for a GET_HIDDEN status message
	before prompting, this way if the user has their gpg configured to
	use gpg-agent, the user won't get 2 passwd prompts.
	(gpg_sign): Fixed to not free a gpg context that we have not
	allocated (could happen in a fail case).

2003-12-10  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/local/camel-mbox-store.c (get_folder_info): Use
	CAMEL_FODLER_NOCHILDREN rather than NOINFERIORS because
	NOINFERIORS means the folder cannot contain subfolders. However,
	our mbox structure always allows subfolders.
	(scan_dir): Same.

	* camel-store.h: Add a CAMEL_FOLDER_NOCHILDREN flag.

	* providers/imap/camel-imap-store.c (get_folders): Same as below.

	* providers/imap/camel-imap-utils.c (imap_parse_list_response):
	s/CAMEL_IMAP_FOLDER_NOCHILDREN/CAMEL_FOLDER_NOCHILDREN/

2003-12-10  Not Zed  <NotZed@Ximian.com>

	* camel-smime-context.c (sm_verify): also check
	application/pkcs7-signature (bloody applemail).
	(camel_smime_context_describe_part): as above, and fix the logic.
	dont think its used anyway.  Bug #51750.

2003-12-10  Not Zed  <NotZed@Ximian.com>

	* Makefile.am (libcamel_la_SOURCES): put the
	camel-smime-context.[ch] back in here, remove it from EXTRA_DIST,
	and make it compile optinally the same way camel-tcp-stream-ssl.c
	does (#ifdef ...).

	* camel-smime-context.c (sm_verify_cmsg): add signer info to
	certvalidity.

	* camel-cipher-context.c (CamelCipherValidity): Added certinfo to
	validity for signing and encrypting, so we can find the keys later
	for a gui.
	(camel_cipher_validity_add_certinfo): add signer or
	encrypter info to the validity.
	(camel_cipher_validity_envelope): add sign/encrypt keys.

2003-12-10  Not Zed  <NotZed@Ximian.com>

	* camel-stream-process.c (do_exec_command): remove dthe clearenv
	stuff, not sure why its there.  s/setenv/putenv/ for portability.
	See Bug #51767.

2003-12-08  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-mime-utils.c (header_decode_rfc2184_param): Revert the
	s/is_/camel_mime_is_/ changes or we get really long variable
	names.
	(header_decode_param): Same.
	(header_decode_param_list): Here too.

2003-12-09  Not Zed  <NotZed@Ximian.com>

	** See bug #51899.

	* providers/imap/camel-imap-store.c (get_folders): add the first
	fi to the info's hash, so we dont duplicate it if we come across
	it again (which we generally will).

2003-12-09  Not Zed  <NotZed@Ximian.com>

	* providers/smtp/camel-smtp-transport.c (smtp_send_to): encode the
	address before sending it out, rather than using the raw/utf8
	version.

	* camel-internet-address.c
	(camel_internet_address_encode_address): check for quoting the
	local part of the address before outputting it.
	(cia_encode_addrspec): quote local part if need be.
	(camel_internet_address_encode_address): make folding optional
	based on whether inlen is null or not.

	* camel-mime-utils.[ch]: rename is_* to camel_mime_is_* and export
	the type functions.

2003-12-08  Not Zed  <NotZed@Ximian.com>

	* providers/imap/camel-imap-utils.c (imap_atom_specials): add } to
	the atom specials list.  This isn't correct, but some busted
	servers expect it.  Bug #50728.

2003-12-08  Jeffrey Stedfast  <fejj@ximian.com>

	Fixes bug #51881

	* providers/local/camel-mbox-store.c (delete_folder): Same.

	* providers/local/camel-local-store.c (delete_folder): Unlink the
	cmeta file too.

2003-12-06  JP Rosevear <jpr@ximian.com>

	* */Makefile.am: Remove hard coded disable deprecated flags

2003-12-05  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-gpg-context.c (gpg_ctx_op_start): Properly set the
	O_NONBLOCK flag along with any previously set flags.

	* camel-filter-search.c (run_command): Don't set O_NONBLOCK on the
	pipe (1. we don't need to, and 2. we should have been setting
	O_NONBLOCK|prev_flags but we weren't, and so the pipe got
	O_RDONLY|O_NONBLOCK even tho we wanted to write to it).

	* camel-filter-driver.c (pipe_to_system): Same.

2003-12-04  Radek Doulik  <rodo@ximian.com>

	* camel-folder.c (folder_changed): check recent messages for junk
	mail

	* camel-session.c (camel_session_check_junk): new wrapper method
	for check_junk flag
	(camel_session_set_check_junk): ditto

	* camel-session.h (struct _CamelSession): added check_junk flag
	(if to check incoming mail for junk messages)

2003-12-03  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-store.c (add_special_info): Free fi->path if we are gonna
	replace it with the vinfo path.

	* providers/local/camel-mbox-store.c (create_folder): Treat
	parent_name == NULL and parent_name == "" the same.

	* camel-store.c (camel_store_get_folder_info): Only add
	vTrash/vJunk info's if we've requested the toplevel folder tree,
	otherwise we get vTrash/vJunk folders in odd places in the folder
	tree.
	(add_special_info): Use the provider->url_flags to determine if
	the url uses the fragment or not for the path.

2003-12-02  Not Zed  <NotZed@Ximian.com>

	* providers/local/camel-local-folder.c (local_setv): remove some
	debug printfs.

	** See bug #51576.

	* camel-url.c (camel_url_decode): robustify url decoding for bad
	input, addresses a crash.

	** See bug #51478.

	* camel-gpg-context.c (gpg_ctx_free): handle the context being
	NULL, and exit silently.

2003-12-01  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-process.c (camel_process_fork): Start at fd = 3.

	* camel-gpg-context.c (gpg_ctx_op_start): Same.

	* camel-filter-driver.c (pipe_to_system): Same.

	* camel-filter-search.c (run_command): Start at fd = 3.

2003-12-01  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-stream-process.c (do_exec_command): Same.

	* camel-process.c (camel_process_fork): Same.

	* camel-filter-search.c (run_command): Same as below.

	* camel-filter-driver.c (pipe_to_system): Same as below.

	* camel-gpg-context.c (gpg_ctx_op_start): Use fcntl() to set
	FD_CLOEXEC on each fd rather than close()ing it. Apparently
	Linux's older pthread implementations use sockets and so this
	fouls threading up. GO LINUX! GO!

2003-12-01  Radek Doulik  <rodo@ximian.com>

	* camel-store.c (add_special_info): set SUBSCRIBED and NOINFERIORS
	flags to special folders, renamed method from
	add_vtrash_or_vjunk_info
	(camel_store_get_folder_info): call add_special_info directly

2003-11-28  Radek Doulik  <rodo@ximian.com>

	* camel-store.c (camel_store_get_folder_info): use old code from
	mail-ops to add vtrash/vjunk info

2003-11-28  David Woodhouse  <dwmw2@redhat.com>

	* providers/imap/camel-imap-provider.c: Enable GUI option for
	'custom command' connection.
	* providers/imap/camel-imap-store.c: Don't g_free strings in
	.rodata. It's considered rude.

2003-11-28  Not Zed  <NotZed@Ximian.com>

	* camel-mime-utils.c (mail_list_magic[]): Added list-unsubscribe
	header match.

2003-11-26  Not Zed  <NotZed@Ximian.com>

	* camel-smime-context.c (sm_verify_cmsg): take a stream rather
	than a part for the content.
	(sm_verify): get the content directly as a stream.

	* camel-multipart-signed.c
	(camel_multipart_signed_get_content_stream): new api to get the
	content stream which will match the signed version.

2003-11-26  JP Rosevear <jpr@ximian.com>

	* Makefile.am: make sure we always dist the smime stuff

2003-11-26  JP Rosevear  <jpr@ximian.com>

	* Makefile.am (libcamelinclude_HEADERS): conditionally compile
	s/mime support

2003-11-25  Not Zed  <NotZed@Ximian.com>

	* camel-cipher-context.c (camel_cipher_validity_envelope): change
	args to make it suit storing the validity in a tree.
	(camel_cipher_validity_init): init the list header.
	(camel_cipher_validity_clone): call validity_new so it gets init
	properly.
	(camel_cipher_validity_free): free any children nodes recursively.

	* camel-cipher-context.h (CamelCipherValidity): added next/prev
	and list header.

2003-11-18  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-session.c (camel_session_finalise): Don't destroy the
	providers as it mans we can never ever have more than 1 session
	object. See bug #51119 for details.

2003-11-17  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/local/camel-mbox-store.c (create_folder): Fixed an
	exception to give a more meaningful description.
	(get_folder_info): We always want to scan at least one level deep.

2003-11-14  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/local/camel-mbox-store.c (get_folder_info): Handle ""
	as a request for a full dirscan as well (not just NULL). Makes it
	consistant with other stores.
	(scan_dir): Set the fi->flags appropriately.

	* providers/local/camel-mbox-folder.c
	(camel_mbox_folder_get_full_path): Removed temporary hack.

2003-11-14  Not Zed  <NotZed@Ximian.com>

	* camel-mime-parser.c (SCAN_BUF): oops, put the mempool stuff
	back, we don't use e-memory afterall.  Damn plane hacking.

2003-11-13  Not Zed  <NotZed@Ximian.com>

	* camel-mime-parser.c: Remove mempool code, we use the stuff in
	e-util.
	(PRESERVE_HEADERS): new compile option, if on, we preserve headers
	and folding exactly rather than unfolding all input.  THIS BREAKS
	EVERYTHING right now, so don't turn it on.

	* camel-gpg-context.c (gpg_decrypt): reset the input memstream
	before passing it to the gpg engine.

	* tests/smime/pgp-mime.c (main): redirect /dev/null to stdin so it
	doesn't hang waiting for input.
	(main): removed from build - this tests multipart/signed
	explictly, but now the details of this is handled directly by the
	cipher context.

	* tests/smime/pgp.c (main): fixes for api changes.
	(main): redirect /dev/null to stdin so it doesn't hang waiting for
	input.

	* tests/message/test1.c (main): update for api changes.

	* camel-smime-context.c (sm_verify): look at the content object's
	mime type, not the container's type.

2003-11-11  Not Zed  <NotZed@Ximian.com>

	* camel-cipher-context.c (camel_cipher_validity_set_valid): take
	into account the @valid argument and set validity properly.
	(camel_cipher_validity_clone): new method to copy validities.

	* camel-smime-context.c (sm_signing_cmsmessage): removed a todo.

2003-11-10  Not Zed  <NotZed@Ximian.com>

	* camel-smime-context.c (sm_verify_cmsg): split out the CMSMessage
	verification code so it can be used from enveloped or externally
	signed data.

	* camel-cipher-context.c (camel_cipher_verify): only take a
	mimepart, internally handle multiparts and the hash.

2003-11-07  Not Zed  <NotZed@Ximian.com>

	* camel-cipher-context.c: make ciphervalidity a public structure,
	added encrypt status.
	(camel_cipher_decrypt): changed to return a ciphervalidity.  fixed
	implementations.
	(camel_cipher_validity_*): Fixed implementations to match new
	structure, some of this is now redundant.

2003-11-06  Not Zed  <NotZed@Ximian.com>

	* camel-smime-context.c (camel_smime_context_describe_part):
	implement.

2003-11-05  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/smtp/camel-smtp-transport.c (connect_to_server): Don't
	bother trying to see if the server advertises EHLO. Simply always
	try EHLO and fall back to HELO if EHLO fails. Fixes bug #50535.

2003-11-05  Not Zed  <NotZed@Ximian.com>

	* camel-smime-context.c (camel_smime_context_describe_part): new
	(unfinished) api to peek inside smime parts to tell us whats in
	it.

2003-11-03  Not Zed  <NotZed@Ximian.com>

	* camel-gpg-context.c (gpg_encrypt): Make this output the
	full multipart/encrypted part, not just the encrypted content part.

	* camel-cipher-context.c (camel_cipher_sign): change to output
	full mime part, not just a stream.
	(camel_cipher_canonical_to_stream): utility function to
	canonicalise a mimepart to a stream.

	* camel-smime-context.c (sm_encode_cmsmessage): removed.
	(sm_sign): change interface to output a full mime-part, not just a
	part of a mime part in multipart/signed mode.

2003-11-04  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-gpg-context.c (gpg_ctx_parse_status): We might need to
	convert the passwd from UTF-8 into the locale charset. Fixes bug
	#50485.

2003-10-31  Not Zed  <NotZed@Ximian.com>

	* camel-cms-context.[ch]: removed, now redundant.

2003-10-30  Not Zed  <NotZed@Ximian.com>

	* camel-smime-context.c (sm_get_passwd): implement something basic.

	* camel-cipher-context.h: Added a note about api inconsistencies.

2003-10-30  Not Zed  <NotZed@Ximian.com>

	* camel-multipart-encrypted.c (camel_multipart_encrypted_decrypt):
	fix for cipher_decrypt changes.

	* camel-gpg-context.c, camel-cipher-context.c: moved all the init
	code to the end to save having to keep forward declarations
	around.
	(camel_cipher_decrypt): changed to take mimepart input and return
	a mimepart.
	(gpg_decrypt): fix for changed args.

2003-10-29  Not Zed  <NotZed@Ximian.com>

	* camel-smime-context.[ch]: replaced entirely with a new
	implementation which inherits from camel-cipher-context, and add
	to build.

	* camel-multipart-encrypted.c (camel_multipart_encrypted_encrypt):
	fix for cipher_encrypt api changes.
	(camel_multipart_encrypted_decrypt): use g_ascii_strcasecmp.

	* camel-gpg-context.c (gpg_encrypt): Fix to handle input/output as
	parts not streams

	* camel-cipher-context.c (camel_cipher_encrypt): change to take
	mimeparts rather than streams as input/output.  And remove the
	'sign' argument, it is implied if userid is supplied.

2003-10-28  Not Zed  <NotZed@Ximian.com>

	* tests/smime/pgp.c (main): fix for ciphercontext api changes.

	* camel-multipart-signed.c (camel_multipart_signed_verify): pass
	in the part to cipher_verify directly.
	(camel_multipart_signed_sign): let the cipher context setup the
	part details.

	* camel-gpg-context.c (gpg_sign): put the signature stream into a
	mimepart, with appropriate headers/encoding.
	(swrite): write out a mimepart rather than a stream.
	(gpg_verify): handle changed args.

	* camel-cipher-context.c (camel_cipher_sign): write the signature
	to a mimepart rather than a simple stream.
	(camel_cipher_verify): take the signature as a mimepart not a
	stream.

2003-10-22  Not Zed  <NotZed@Ximian.com>

	* camel-utf8.c (camel_ucs2_utf8, camel_utf8_ucs2): helpers for
	ucs2 stuff.  ucs2 is 16 bit truncated unicode.

2003-10-28  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-mime-utils.c: We should check List-Post before List-Id
	(List-Post has to contain the mailing-list posting address,
	whereas List-Id does not.) WAlso moved X-Loop to after List-Id to
	make FreeBSD lusers happy. Fixes bug #32297.

2003-10-28  Jeffrey Stedfast  <fejj@ximian.com>

	* Fixes bug #35083

	* providers/imap/camel-imap-store.c (connect_to_server): Same
	here.

	* providers/pop3/camel-pop3-store.c (connect_to_server): Same as
	the smtp changes.

	* providers/smtp/camel-smtp-transport.c (connect_to_server): If
	HAVE_SSL is undefined, don't default to raw connections if the
	option to connect via ssl is set. Instead set an exception and
	return fail.

2003-10-27  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* camel-mime-utils.c: (camel_header_decode_date):
	better detection of broken date to give to broken_date_parser.

2003-10-24  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-text-index.c (text_index_name_add_buffer): If a word is
	longer than CAMEL_TEXT_INDEX_MAX_WORDLEN, then ignore it. This
	fixes bug #50096.

2003-10-23  Jeffrey Stedfast  <fejj@ximian.com>

	* *.c: Removed unneeded CAMEL_OBJECT() casts.

2003-10-21  Not Zed  <NotZed@Ximian.com>

	* providers/local/camel-local-folder.c (local_getv, local_setv):
	use the right tag name for the index_body arg.
	(local_sync): write any persistent metadata - to make it
	persistent.
	(camel_local_folder_construct): turn off indexing, for now, it
	should be done in local_setv.

	* providers/local/camel-local-folder.h: change body_index to a bool
	type.

	* camel-object.c (cobject_state_read, cobject_state_write): handle
	bool types
	(cobject_state_write): make sure we free all arg types.

	* camel-arg.c (camel_argv_build):
	(camel_arggetv_build):  handle bool type.

	* camel-arg.h: Added BOO (bool) type.

2003-10-15  Not Zed  <NotZed@Ximian.com>

	* camel-store.c (camel_folder_info_build): Fix so we output the
	tree in sorted depth-first order, rather in reverse.

2003-10-16  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-sasl-kerberos4.c: Fixed a #include.

2003-10-10  Not Zed  <NotZed@Ximian.com>

	* providers/local/camel-local-provider.c: set the url fragment
	flag for local providers.

	* camel-provider.h: Move the URL_PART_NEED bits to the high 16
	bits, to allow for easier changes in the future.  Added a
	URL_PART_FRAGMENT flag for providers that use fragment = folder
	path.

2003-10-09  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-mime-utils.c (header_decode_date): Allow timezone offsets
	to be up to 14 hours ahead of UTC. Fixes bug #49357.

	* broken-date-parser.c (get_tzone): Same.

2003-10-08  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/smtp/camel-smtp-transport.c (smtp_helo): Removed an
	unused variable.

2003-09-25  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/smtp/camel-smtp-transport.c (smtp_helo): If the
	localhost lookup results in a numeric IPv6 host, use the form
	"[IPv6:<addr>]" as specified in rfc2821. Fixes bug #46006.

2003-09-23  Ettore Perazzoli  <ettore@ximian.com>

	* providers/local/camel-local-provider.c: Set the IS_STORAGE bit
	in the mbox provider, since it can now contain a hierarchy of
	folders.

2003-09-23  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/local/camel-mbox-store.c (get_folder): If the CREATE
	flag is set and the parent .sbd directory does not exist, create
	it.

	* camel-mime-utils.c (append_8bit): Don't forget to flush the
	iconv conversion.

	* tests/message/test4.c (main): Don't try dot-files.

2003-09-22  Not Zed  <NotZed@Ximian.com>

	** See bug #41610
	
	* providers/pop3/camel-pop3-folder.c (cmd_tocache): protect a
	divide by 0 for 0 length messages.

2003-09-22  Not Zed  <NotZed@Ximian.com>

	* providers/imap/camel-imap-provider.c: Added "offline_sync"
	option, which lets you synchronise all mail to local storage
	automagically.

	* camel-disco-folder.c (cdf_folder_changed): hook onto the folder
	changed single, for all new messages, check that they are online
	using another thread, if the offline_sync option has been enabled
	for this store.

2003-09-21  Not Zed  <NotZed@Ximian.com>

	* camel-session.c (session_thread_destroy): call proper entry
	point for freeing the message.

2003-09-18  Not Zed  <NotZed@Ximian.com>

	* camel-folder.c (filter_filter): register the filtering process
	for progress, and do progress of the filtering process.

2003-09-17  Not Zed  <NotZed@Ximian.com>

	* camel.c (camel_init): init camel operation.

	* camel-operation.c (camel_operation_reset): removed, not used,
	not worth it.
	(camel_operation_mute): new method to stop all status updates
	permanently.
	(*): Changed to use thread specific data and a list rather than a
	hashtable.
	(cancel_thread): removed.
	(camel_operation_register): return the previously registered op.

2003-09-22  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/nntp/camel-nntp-store.c (connect_to_server): Fix the
	code that creates a new ssl stream to pass the correct arguments
	and the proper flags.

	* providers/imapp/camel-imapp-folder.c (imap_sync): Cast the
	CamelFolder to a CamelIMAPPFolder to hush some compiler warnings.

	* camel-mime-utils.h: Define a struct _CamelContentDisposition
	(allows the imapp code to compile)

	* providers/imapp/camel-imapp-driver.c: #include <string.h>

2003-09-18  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-mime-utils.c (camel_transfer_encoding_to_string): New
	function to replace the one from camel-mime-part.c
	(camel_transfer_encoding_from_string): Same.
	(camel_content_transfer_encoding_decode): Renamed from
	camel_header_content_encoding_decode().

	* camel-mime-part.c (camel_mime_part_encoding_to_string): Removed.
	(camel_mime_part_encoding_from_string): Removed.

	* camel-data-wrapper.[c,h]: updated for CamelTransferEncoding
	namespace changes

	* camel-folder-summary.c: updated for CamelTransferEncoding
	namespace changes

	* camel-mime-filter-bestenc.[c,h]: updated for CamelTransferEncoding
	namespace changes

	* camel-mime-message.c: updated for CamelTransferEncoding
	namespace changes

	* camel-mime-part-utils.c: updated for CamelTransferEncoding
	namespace changes

	* camel-multipart-signed.c: updated for CamelTransferEncoding
	namespace changes

	* camel-smime-context.c: updated for CamelTransferEncoding
	namespace changes

	* providers/imapp/camel-imapp-utils.c: updated for
	CamelTransferEncoding namespace changes

	* tests/lib/messages.c: updated for CamelTransferEncoding
	namespace changes

	* tests/message/test1.c: updated for CamelTransferEncoding
	namespace changes

2003-09-18  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-mime-utils.[c,h]: namespaced the encoding/decoding
	routines.

	* camel-mime-filter-basic.c: updated for namespace changes to the
	encoding/decoding routines in camel-mime-utils.c

	* camel-multipart.c: updated for namespace changes to the
	encoding/decoding routines in camel-mime-utils.c

	* camel-sasl-digest-md5.c: updated for namespace changes to the
	encoding/decoding routines in camel-mime-utils.c

	* camel-sasl.c: updated for namespace changes to the
	encoding/decoding routines in camel-mime-utils.c
	
	* camel-vee-folder.c: updated for namespace changes to the
	encoding/decoding routines in camel-mime-utils.c

	* providers/imap/camel-imap-search.c: updated for namespace
	changes to the encoding/decoding routines in camel-mime-utils.c

	* providers/pop3/camel-pop3-folder.c: updated for namespace
	changes to the encoding/decoding routines in camel-mime-utils.c

2003-08-26  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-mime-parser.[c,h]: s/HSCAN_/CAMEL_MIME_PARSER_STATE_/g and
	s/_header_state/_camel_mime_parser_state/g

	* camel-filter-driver.c: Same.

	* camel-folder-summary.c: Here too.

	* camel-http-stream.c: And here.

	* camel-mime-message.c: ...

	* camel-mime-part-utils.c: ...

	* camel-mime-part.c: ...

	* camel-movemail.c: ...

	* camel-multipart-signed.c: ...

	* camel-multipart.c: ...

	* providers/local/camel-mbox-folder.c: ...

	* providers/local/camel-mbox-summary.c: ...

	* providers/local/camel-mh-summary.c: ...

	* providers/nntp/camel-nntp-summary.c: ...

	* providers/pop3/camel-pop3-folder.c: ...

2003-08-25  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-mime-utils.[c,h]: Namespaced.

	* camel-data-wrapper.c: updated for namespace changed made to
	camel-mime-utils.[c,h]

	* camel-digest-folder.c: updated for namespace changed made to
	camel-mime-utils.[c,h]

	* camel-filter-driver.c: updated for namespace changed made to
	camel-mime-utils.[c,h]

	* camel-filter-search.c: updated for namespace changed made to
	camel-mime-utils.[c,h]

	* camel-folder-search.c: updated for namespace changed made to
	camel-mime-utils.[c,h]

	* camel-folder-summary.[c,h]: updated for namespace changed made
	to camel-mime-utils.[c,h]

	* camel-http-stream.c: updated for namespace changed made to
	camel-mime-utils.[c,h]

	* camel-http-stream.h: updated for namespace changed made to
	camel-mime-utils.[c,h]

	* camel-internet-address.c: updated for namespace changed made to
	camel-mime-utils.[c,h]

	* camel-medium.[c,h]: updated for namespace changed made to
	camel-mime-utils.[c,h]

	* camel-mime-message.c: updated for namespace changed made to
	camel-mime-utils.[c,h]

	* camel-mime-parser.[c,h]: updated for namespace changed made to
	camel-mime-utils.[c,h]

	* camel-mime-part-utils.c: updated for namespace changed made to
	camel-mime-utils.[c,h]

	* camel-mime-part.[c,h]: updated for namespace changed made to
	camel-mime-utils.[c,h]

	* camel-movemail.c: updated for namespace changed made to
	camel-mime-utils.[c,h]

	* camel-multipart-encrypted.c: updated for namespace changed made
	to camel-mime-utils.[c,h]

	* camel-multipart-signed.c: updated for namespace changed made to
	camel-mime-utils.[c,h]

	* camel-multipart.c: updated for namespace changed made to
	camel-mime-utils.[c,h]

	* camel-search-private.[c,h]: updated for namespace changed made
	to camel-mime-utils.[c,h]

	* camel-types.h: updated for namespace changed made to
	camel-mime-utils.[c,h]

	* providers/imap/camel-imap-folder.c: updated for namespace
	changed made to camel-mime-utils.[c,h]

	* providers/imap/camel-imap-store-summary.c: updated for namespace
	changed made to camel-mime-utils.[c,h]

	* providers/imap/camel-imap-utils.c: updated for namespace changed
	made to camel-mime-utils.[c,h]

	* providers/imapp/camel-imapp-utils.[c,h]: updated for namespace
	changed made to camel-mime-utils.[c,h]

	* providers/local/camel-local-summary.[c,h]: updated for namespace
	changed made to camel-mime-utils.[c,h]

	* providers/local/camel-maildir-summary.c: updated for namespace
	changed made to camel-mime-utils.[c,h]

	* providers/local/camel-mbox-summary.c: updated for namespace
	changed made to camel-mime-utils.[c,h]

	* providers/local/camel-spool-summary.h: updated for namespace
	changed made to camel-mime-utils.[c,h]

	* providers/nntp/camel-nntp-summary.c: updated for namespace
	changed made to camel-mime-utils.[c,h]

	* providers/nntp/camel-nntp-utils.c: updated for namespace changed
	made to camel-mime-utils.[c,h]

	* providers/pop3/camel-pop3-folder.c: updated for namespace
	changed made to camel-mime-utils.[c,h]

	* providers/sendmail/camel-sendmail-transport.c: updated for
	namespace changed made to camel-mime-utils.[c,h]

	* providers/smtp/camel-smtp-transport.c: updated for namespace
	changed made to camel-mime-utils.[c,h]

2003-09-16  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/local/camel-mbox-folder.c
	(camel_mbox_folder_get_full_path): Implement a temp hack so trunk
	works until we merge in new-ui-branch.

	* camel-stream-filter.c (do_flush): Don't warning about how we
	haven't written anything to the stream, this is not an
	error. fflush() doesn't care if you try to fflush() a stream
	without writing to it, so we shouldn't care either.

2003-09-15  Not Zed  <NotZed@Ximian.com>

	* providers/imapp/camel-imapp-store.c (store_resp_list)
	(imap_login, try_sasl, imap_try_authenticate): removed dead code.

	* providers/imapp/camel-imapp-stream.c: return -1 if stream not
	set.

	* providers/imapp/camel-imapp-engine.c (iterate_completion): put
	done request on the done queue, so all requests are always
	somewhere.
	(camel_imapp_engine_command_free): just spit warnings of active
	messages being freed, but abort if the item isn't in any list.
	Also remove the node from its list before going on.
	(iterate_untagged, iterate_continuation, iterate_completion):
	staticifiy.

	* providers/imapp/camel-imapp-provider.c
	(camel_imapp_module_init): move camel_exception_setup call here.

	* providers/imapp/camel-imapp-driver.c
	(camel_imapp_driver_get_type): remove execption setup here, it
	isn't early enough.
	(camel_imapp_driver_list): handle exceptions.

2003-09-12  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/local/camel-mbox-folder.c
	(camel_mbox_folder_get_full_path): Implements
	CamelLocalFolder::get_full_path() (publicly namespaced so that
	CamelMboxStore can re-use them).
	(camel_mbox_folder_get_meta_path): Same.

	* providers/local/camel-mbox-store.c (get_folder): Changed the way
	the path is constructed, since we now handle subdirectories and
	stuff.
	(delete_folder): Try deleting the Folder.sbd directory. We also
	need to manage our own meta files since CamelLocalStore's impl
	constructs paths differently than what we need.
	(create_folder): Implemented.
	(rename_folder): Implemented.
	(scan_dir): Scan an mbox tree
	(get_folder_info): Implemented using scan_dir().

	* providers/local/camel-local-store.c (delete_folder): Set fi->url
	to the correct value, meaning we need to prefix it with the
	protocol and the folder_name is not actually part of the path, it
	is a separate component to the url.

	* providers/local/camel-local-folder.c
	(camel_local_folder_construct): Use the new class virtual method
	to construct the full folder path and all the meta files.
	(local_get_full_path): Implemented default get_full_path method.
	(local_get_meta_path): Implemented default get_meta_path method.

2003-09-11  Dan Winship  <danw@ximian.com>

	* Makefile.am (noinst_LTLIBRARIES): Remove libcamel-static.la

2003-09-05  Not Zed  <NotZed@Ximian.com>

	* providers/imap/camel-imap-store.c (imap_noop): call
	camel_folder_sync bypassing the folder lock.  See
	imap_store_refresh_folders too.

2003-09-04  David Woodhouse  <dwmw2@infradead.org>

	* providers/camel-imap-store.[ch]: Add PREAUTH handling and
	pine/mutt/etpan/etc.-style 'ssh <mailhost> exec imapd' support.
	
2003-09-03  David Woodhouse  <dwmw2@infradead.org>

	* camel-stream-process.[ch]: New stream implementation for running
	commands.
	* Makefile.am: Compile the above

2003-08-20  Not Zed  <NotZed@Ximian.com>

	** See bug #47765.

	* camel-folder-search.h: Removed match1 member.

	* camel-folder-search.c (camel_folder_search_match_expression):
	use current directly rather than match1.  This method isn't used
	anywhere anyway.
	(search_not): remove match1 stuff.
	(search_match_all): properly handle the match-all against 1
	message as a scalar result, not an array result.

2003-09-03  Not Zed  <NotZed@Ximian.com>

	* camel-http-stream.c (camel_http_stream_set_proxy): handle NULL
	proxy_url - unset the proxy.

2003-08-29  Not Zed  <NotZed@Ximian.com>

	* camel-object.c (camel_object_state_write): 
	(cobject_getv):
	(cobject_setv, cobject_state_read, cobject_state_read) 
	(cobject_state_write): removed debug printfs.

	* providers/local/camel-local-folder.c (local_getv): Need to copy
	the local properties list before passing it out, since it's freed.

2003-08-27  Not Zed  <NotZed@Ximian.com>

	* providers/local/camel-local-folder.c (local_getv): implement
	PERSISTENT_PROPERTIES, for index mode.

	* camel-object.c (cobject_state_read): Also add property reading,
	and bump version to 1.
	(cobject_state_write): add persistent property writing.

2003-08-26  Not Zed  <NotZed@Ximian.com>

	* camel-folder.c (folder_getv): chain up properly.

	* camel-file-utils.c (camel_file_util_savename): helper to create
	a .#filename filename.

	* providers/local/camel-local-folder.c
	(camel_local_folder_construct): init meta-data for local folders.
	(local_getv): chain up properly, if args are not processed, rather
	than don't if they aren't.

2003-08-23  Not Zed  <NotZed@Ximian.com>

	* camel-object.c (cobject_class_init): added a new event,
	meta_changed.
	(camel_object_meta_set, camel_object_meta_get): meta-data api.
	(camel_object_free_hooks): Free meta-data if it is set on the
	object.

	* providers/local/camel-local-folder.c
	(camel_local_folder_get_type): setup a property list for local
	folders, just 'index_body' at present.

2003-08-25  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-filter-driver.c (pipe_to_system): Added some more error
	checking for reading/writing to the pipes. Fixes bug #47880.

2003-08-21  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-data-wrapper.c (decode_to_stream): Don't poke
	wrapper->stream directly, use camel_data_wrapper_write_to_stream()
	instead as this simplifies things and makes the imap data wrapper
	implementation Just Work (tm).

	* providers/imap/camel-imap-wrapper.c: changed prototype of
	write_to_stream() to return ssize_t.

2003-08-20  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap/camel-imap-wrapper.c (imap_wrapper_hydrate): Make
	sure to ref the stream. Fixes bug #47749.

2003-08-18  Not Zed  <NotZed@Ximian.com>

	* camel-http-stream.c: Various fixes to make it work.

	* tests/smime/pgp-mime.c (main): added missing 'ret' variable.

	* providers/smtp/camel-smtp-transport.c (connect_to_server): 
	* providers/imapp/camel-imapp-store.c (connect_to_server:
	* providers/imap/camel-imap-store.c (connect_to_server):
	* providers/pop3/camel-pop3-store.c (connect_to_server):
	* camel-http-stream.c (http_connect): change service->session for
	tcp_stream_ssl_new.

	* camel-tcp-stream-ssl.c: Changed service to session, and fix some
	refcounting of it.
	include camel-operation.h

2003-08-15  Not Zed  <NotZed@Ximian.com>

	** See bug #47634.

	* tests/lib/messages.c (test_message_compare): check
	write_to_stream returns.
	(message_dump_rec): helper to dump message structure.

	* camel-mime-part-utils.c
	(simple_data_wrapper_construct_from_parser): dont set content
	encoding here.
	(camel_mime_part_construct_content_from_parser): set it here
	instead, on every part.  basically same as setting the
	mime_type_field always.

	* camel-multipart-signed.c (camel_multipart_signed_class_init): 
	* camel-mime-message.c (camel_mime_message_class_init): 
	* camel-multipart.c (camel_multipart_class_init): override
	decode_to_stream to always do the same as write_to_stream, since
	we can never be encoded.

2003-08-15  Jeffrey Stedfast  <fejj@ximian.com>

	* providers/imap/camel-imap-wrapper.c (imap_wrapper_hydrate):
	Don't attach any filters to decode base64/qp/etc.

2003-08-14  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-mime-part.c (write_to_stream): Save errno when
	flushing/unreffing the filter stream.

2003-08-13  Jeffrey Stedfast  <fejj@ximian.com>

	* camel-mime-part.c (write_to_stream): If the content is
	base64/qp/uu/etc encoded but the part is 7bit/8bit/(or otherwise
	non-encoded), set reencode to TRUE so that we decode the original
	content stream. Fixes a bug noticed on
	evolution-patches@ximian.com where a patch had a
	Content-Transfer-Encoding of 7bit but was base64 encoded.

2003-08-13  Not Zed  <NotZed@Ximian.com>

	* camel-folder-summary.c (camel_folder_summary_remove_range): Fix
